commit 653c0c1ca86afffbd86b7c1259eea7f9d8fa801b
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Dec 20 10:09:20 2018 +0100

    macosx: Workaround graphical issues with fullscreen panel buttons
    
    On macOS Mojave only, those buttons are wrongly rendered (they look
    as they are disabled). If you touch those buttons, they look fine
    again.
    This is a quick workaround to fix the graphical appearance, but
    the underlying issue is not clear yet.
    
    (cherry picked from commit cb0b0fc8d2c31704301afce87e8bd98c6474a07a)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 170e6f8f2d99b2c91fe8b93644eb193e86a96bf5
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Dec 20 02:00:34 2018 +0100

    contrib: srt: Correctly mark partial availability for functions

commit 7354a2c945489ea82162417250f09726bd6be285
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Mar 26 13:19:38 2018 +0200

    tools: bootstrap: Fix nasm version check
    
    (cherry picked from commit 6839a212a1032c33dbfdaafe1b69bc795aa374f4)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 05186c30b98a71a9c496639b3fae6c29706b63ec
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Mar 26 13:19:07 2018 +0200

    tools: bootstrap: Split version check in a separate function
    
    (cherry picked from commit 8dc86858b52a6b2808c0a01961b7c4fbb7e4e917)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 46ef4b5ce8f050042f20b697c3c318cf82ef0933
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 19 17:57:49 2018 +0100

    Update PO

commit a85807ce6435ef80dba87848adedc8a50c1a82a9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 19 17:45:13 2018 +0100

    Update NEWS

commit e5adc631ed855971992abaac041201d379f2a012
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 19 13:41:51 2018 +0100

    m3u: Don't copy option from NULL current input
    
    refs #19928
    
    (cherry picked from commit cd1929d40e9aed06ba48be69f1de2e0c4dbc1730)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d754ca20647c1a5c30c5ce94a1d42abcfdf0df73
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 19 17:04:34 2018 +0100

    Update NEWS

commit 2d7696aa3a7fac9b857e731153ff67df35727979
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Nov 8 15:42:11 2018 +0300

    extras/tools: added ninja
    
    (cherry picked from commit f6aeb194f430db6184df627e49e872e276d8449c)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 4abd072851f8c54d7f33e94bd8518cbb2a6283bc
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Dec 18 23:38:36 2018 +0100

    extras/tools: Fix meson build

commit 67373db984dee4f796c8a0c72aa744267deedcb3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 17 18:28:11 2018 +0100

    codec: dav1d: drain on EOS
    
    refs #21568
    
    (cherry picked from commit 0fb3aaeff3fdadf91a39dcdba4384bef94ee71aa)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0bfd5377a7ffe8ee0af20bb1d298598cb9648f8c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 17 18:27:44 2018 +0100

    codec: dav1d: proper handling of drain
    
    refs #21568
    
    (cherry picked from commit de9b68e2cbb0c08e5d901179931386cc536e9cfc)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 1b77fb46dd0df8256f8d5dfbc40cd54d572e6586
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 17 18:17:47 2018 +0100

    codec: dav1d: don't send null data for drain
    
    (cherry picked from commit e4701cb67169abbc92a10ec1f7e41198f4b18f71)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c013eedd88afd1593ce6a519b26f314aa247afc1
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Dec 17 11:38:26 2018 +0100

    dav1d: pass the PTS in the frame metadata and get it back from the decoder
    
    Replaces the timestamp FIFO.
    
    (cherry picked from commit 9b35183b84b986fccc2c5668ceaae269108f4fd5)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 84f6219f5bcba0b256cd53daf02e86b8cfa1f40a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Dec 13 12:03:35 2018 +0100

    contrib: dav1d: provide the sequence header during picture allocation
    
    Otherwise we will always have a format update on the first output.
    
    (cherry picked from commit 6f416925739a673d1478ffb5299ac787589e54f0)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c7b34cc30b736915bc8aca339bf0ea0c64a4cc65
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Tue Sep 11 17:29:43 2018 +0200

    codec: add a dav1d AV1 decoder module
    
    It is using the picture callback API so there's is no copy on output of the decoder.
    
    Co-authored-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    Co-authored-by: Steve Lhomme <robux4@ycbcr.xyz>
    (cherry picked from commit 059b9e563bc0ec6daf7081ae5b7c1077c0ce6deb)
    (cherry picked from commit 500fe27a07cd2870d4cc5b40855c0743f765f74e)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 7fecfc7774fb7b9794cada868f4f7125f5d6d31f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Dec 13 10:34:23 2018 +0100

    contrib: dav1d: use the official 0.1.0
    
    (cherry picked from commit 500fe27a07cd2870d4cc5b40855c0743f765f74e)
    (cherry picked from commit aa786e16771c8e8217d1eb1f290c91960ca42926)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit a30739feed075b8e63d3986f83a5211b9a4bd0f7
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Dec 12 12:19:32 2018 +0100

    packetizer: use the proper return types in the ISO tables
    
    (cherry picked from commit 9290f0fb444f4e6f5474737b9d74297ce1b9fa97)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit bdc4de5fe7161cdeaa76d7e77d54dd3c3f4a2907
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 18 09:42:08 2018 +0200

    packetizer: iso_color_tables: fix return cast
    
    (cherry picked from commit 7c98f6baaded723ded091b79e4cc89a2105a68ae)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2fb5c61a131c3f4a5eac977be60259642a10a13f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 11 16:04:22 2018 +0200

    packetizer: add limited reverse iso_color_tables lookup
    
    (cherry picked from commit df96b6023da8bea3ca2bbf4dddefe1b52fd92929)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b226ed81b0eda9239261f396c3e7220b20343ad4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Aug 8 16:54:12 2018 +0200

    codec: aom: do proper color mapping
    
    (cherry picked from commit c4e5806a0e12dfb099abe865facb5bc7c10e30e5)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 7461e254c40e724f8ab23242c1d44486c5504407
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Aug 8 14:25:28 2018 +0200

    packatizer: move color lookup tables for refactoring
    
    (cherry picked from commit e30314a439ca0f462fb3e524c6cda98b03b09065)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 28408ab437a2b0d8f6acbaef0fd2582493b242b6
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Nov 12 10:34:47 2018 +0200

    contribs: Define WINDRES like other tools, set it in crossfile.meson
    
    (cherry picked from commit dce35a735783553035459575421a16242a4e824a)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit fd8a933f3cf8a78fb065fdd008660f1a705ca361
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Oct 24 10:25:28 2018 +0200

    contrib: Add support for cross compilation with meson
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 0946648d3c2dccdd930b3fa7f14af3a003a2111e)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 6cc3091d5fb835140687543b2c2f13937a9b0480
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Oct 24 10:25:27 2018 +0200

    contrib: add generic meson support
    
    to differentiate optimized and debug builds
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 868f1cc977234ecd210ef153d5612000c6379662)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit dafc1f1c88870003d80c02582ab624ee22545454
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Nov 8 17:31:18 2018 +0300

    snap: build meson
    
    The version in ubuntu 16.04 is too old.
    
    (cherry picked from commit ca2872e525319daa8383e22f99452f13d5631b2c)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 6e5d075508ffe3462f470df39658b5352fa9f837
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Nov 8 15:45:48 2018 +0300

    extras/tools: bootstrap: create build/bin/
    
    This is required for the meson wrapper.
    
    (cherry picked from commit 2d01fd57c373e408ec99011b68f3ef15255e3f81)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b93a482bc098010c49dcc8861ada33789b93fa34
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Mon Aug 13 17:21:17 2018 +0200

    extras/tools: added meson
    
    (cherry picked from commit 401f215acd4c6d55bcee737e3796620df297a66c)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 7f690d13dd353225549cfcd24a53cb0f9e9c9db8
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Oct 8 08:26:49 2018 +0200

    picture: align pictures on 64 bytes
    
    Code relying on AVX-2 (like dav1d) cannot work without an alignment of 32 bytes
    at least. Even avcodec has a requirement of 64 (likely to get at least 32 on all
    planes). So it's probably time to upgrade.
    
    picture_Setup ensures a horizontal alignment to 32 bytes and a vertical to 16
    bytes. So for all buffers allocated by the core, we have a size multiple of 512
    bytes.
    
    (cherry picked from commit 0667915e5ad073ca054eb22463d64af400da7ec5)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 689b2e752a3cf82b2bac3087c923094183eb7b53
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 17 20:17:28 2018 +0100

    packetizer: h264: fix AUD dequeuing
    
    (cherry picked from commit c5eef850753f4bd139bafdc6f78d4fe4fd90c5bf)

commit 8216306e91a5834eb67263a9a12290ed441b3631
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Dec 17 09:29:40 2018 +0100

    d3d11_shaders: don't output negative colors after chroma conversion to RGB
    
    Fixes #21349
    
    (cherry picked from commit be03a7a02506b551b301e3c1e173b7cf222fe080)

commit 5d3c9d55a87dba3d2dbf57fb77913a16f0acf38d
Author: Filip Roséen <filip@atch.se>
Date:   Fri Sep 28 18:18:13 2018 +0200

    text_renderer/freetype: fix SIGSEGV in harfbuzz
    
    There is no documentation but that is how they do it in their tests:
    https://github.com/harfbuzz/harfbuzz/blob/master/test/api/test-unicode.c#L587
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 8c2351eeec3a701facb0d4ad73be44cf61bb6bd2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e03e6d8efc125f89c71b251c4734b7c34a094ead
Author: Erick Tyndall <erythros@gmail.com>
Date:   Mon Oct 1 11:59:27 2018 -0400

    chromecast: detect additional failed load type
    
    Correctly handle additional failed load. Specifically x265 codec on chromecast
    version 1 and 2 cause an idle state with an unhandled error.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 1070b0601e741ce410d65af4e40c26ada9f9ae5d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4cba4c02857701479fdc9eb7874aee50847b15e0
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Thu Oct 4 22:04:34 2018 +0200

    skins2: fix fullscreen wrong size on Windows10 (high DPI)
    
    When setting the scaling factor of Windows10 to something different
    from the default 100%, a wrong fullscreen width/height was used.
    
    At init, the skins2 engine is a non DPI-aware process. Since Windows10
    expects to rescale in the background, reported sizes are altered.
    Then, the skins2 engine launches the qt dialog provider, which makes the
    process go from non DPI to DPI aware. As a result, Windows10 stops plans
    to rescale, and provides the application with the real sizes.
    
    The patch uses the latest valid sizes whatsoever.
    
    This fixes trac #15349
    
    TODO: As of today, the skins2 engine is seen as DPI aware,
    (because of Qt) but nothing is implemented to behave accordingly.
    
    (cherry picked from commit 028c89ad19d522976a1523e88f84102e667a7340)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7c6101925303b7f8877f99295d97c336b3e655dd
Author: Niklas Haas <git@haasn.xyz>
Date:   Fri Oct 5 21:07:51 2018 +0200

    opengl: fix memory leak in obscure PBO failure case
    
    This basically doesn't happen in practice, but we should correctly free
    the picture even in this failure path.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 2f90ab90ad3bf8e47caadbbbd8177582162a3c6c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 51f04b41fd77363abe2ed2c073c0f2095a6c4a47
Author: Niklas Haas <git@haasn.xyz>
Date:   Fri Oct 5 21:07:50 2018 +0200

    opengl: fix value scale on mastering metadata
    
    This is not in cd/m² scale, but in a scale where a value of 10000.0
    means 1 cd/m². So we have to divide out this factor.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit a15da61da363e9976b9e1af1a63a2edc0b03a683)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3b0b6396b44466ebd28c0fe2b32a2e5fa97bad45
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Oct 15 17:21:22 2018 +0300

    access/udp: Define MSG_TRUNC on recv call
    
    recv() needs MSG_TRUNC flag so it will tell actual data-size if truncate
    would happen additional to setting flag for it.
    
    Tested adjustment of MTU by sending data to localhost via netcat:
    
    cat ~/tmp/myfile.mp3|netcat -u 127.0.0.1 1234
    
    and vlc -Idummy -vv udp://@127.0.0.1:1234 --sout="#stat"
    
    without this patch the udp input constantly complains about trunced
    input and doesn't adjust the receiving amount.
    
    udp fixup
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 373ee85fe57d29bcf3502c47e29cc2fcde7af983)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bbb70a65406afe9c01d637fd1137c2c6ef9ca357
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Oct 15 17:21:21 2018 +0300

    access/rtp: define MSG_TRUNC on recv call if available.
    
    recv() needs MSG_TRUNC flag so it will tell actual data-size if truncate
    would happen additional to setting flag for it.
    
    Tested the adjust of MTU by sending data to localhost via netcat:
    
    cat ~/tmp/myfile.mp3|netcat -u 127.0.0.1 1234
    
    and vlc -Idummy -vv rtp://@127.0.0.1:1234 --sout="#stat"
    
    without this patch the rtp input constantly complains about trunced
    input and doesn't adjust the receiving amount.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 8b5c5e37c1b73227fde974408f9f9f5742f3954f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d097485bc92dd07133ecaefa09a802b000dfbde2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 6 10:01:37 2018 +0200

    demux: ogg: don't reuse streams without es
    
    (cherry picked from commit 2120c5961e2a6c54bcf2bde7b18ecf1924ea8352)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1394e19ae60638fbe965695a94a3d036912add41
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Nov 10 19:19:44 2018 +0300

    snap: make sure wrapper part runs after vlc part
    
    (cherry picked from commit f39a2c74d230a09d00906c911a53a57480884300)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6835af3dc2be313300d64840360f4a487d432356
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Nov 10 19:18:40 2018 +0300

    snap: bump desktop-helpers version
    
    (cherry picked from commit 653fbfb3da3bc4af50da0b9551a97070a1dbdab0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6cacbced3959849586148851eb444af70bf3f5f3
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Dec 6 15:58:09 2018 +0100

    macosx: ExtensionProvider: Add more log messages
    
    Some error cases were not logged at all making it hard to figure out
    whats going on when things do not behave as expected.
    
    (cherry picked from commit 52b97ed0e1fa9b82019dcc635e45d5edcbf8ab3b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0ebc35d36858bd8277582c33a6de997ec7e7be0e
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 12 14:25:26 2018 +0100

    extras/tools: Bump built cmake version to 3.13.x
    
    This version now contains the patch required for windows store build
    using llvm.
    
    (cherry picked from commit 8eb7a0d0be06f856ab6a5a015ced8ea5d4fadf96)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8543b81baf62570847f6b4223c6e4f78a3d20d1a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 16 20:28:09 2018 +0100

    Contribs: update GnuTLS to 3.5.19
    
    Seems to fix issues with CBC modes
    
    (cherry picked from commit 731ea0cf32ab1fce15679295eb02f8f53a4999c1)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cdd2cbfb339fd63bd79a0df641a5ab1d87a77577
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Oct 23 23:21:41 2018 +0200

    macOS codesign: Add option to enable runtime hardening for macOS Mojave
    
    Runtime hardening restricts what the application can do, while not being
    a full sandbox. For instance, only signed code is loaded by default, and
    certain personal data is restricted in access.
    
    The following flags / options are set for now:
    - Allow execution of JIT code: For Lua Scripts
    - Disable library validation: libaries are also loaded if they are signed
      by the developer certificate of another developer, not from VideoLAN
      (still, unsigned libs are not loaded anymore)
    - Audio input access: For qtsound
    - Camera access: For avcapture
    - Apple Events: To control iTunes and Spotify
    
    (cherry picked from commit 77548a174cea044f4a4a1909c3e9371df44d1e6d)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 98a9b471d034ea775257fe859042175f8b99ba15
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 16 20:17:10 2018 +0100

    Update NEWS

commit 65b7360a6aac1c6a43e599bbdb6e5f8c1d59d5e1
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 16 20:04:38 2018 +0100

    macosx: Disable automatic switching between dark and bright mode for now
    
    It seems on macOS Mojave, _automatic_ switching between dark and
    bright mode automatically opts into layer baked mode, which in
    turn changes some internals related to openGL rendering, breaking
    the Aspect ratio of the movies (see radar 45895864 for details).
    
    However, manually setting the dark appearance works and does not
    break the vout, so lets do that in case the user selected dark
    in VLCs preferences.

commit 3bfba86224b47ff750fda2ad6bcf0c3ee5684bce
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 16 18:23:09 2018 +0100

    macosx: Remove shadow from main window title in black mode
    
    Text without shadow looks far better.

commit 74b1d43a4e7c61a2373e17058db51418a31a35a0
Author: Damien Erambert <damien.erambert@me.com>
Date:   Sun Dec 16 18:21:44 2018 +0100

    macosx: Update topbar images
    
    To fix the corner.
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit f66b69a41a27d10329e065da66678d24d2a974c7
Author: Damien Erambert <damien.erambert@me.com>
Date:   Sun Dec 16 17:50:05 2018 +0100

    macosx: Update dark button graphics
    
    Those better for the dark window style of macOS mojave.
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 97557b77f6fb2feb128066bd7e5bf72b085c98f6
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Dec 4 18:58:05 2018 +0100

    macosx: Fix correct reinitialization of most of our buttons
    
    The button graphics were totally wrong if appearance changed in
    the middle of the program. Also on startup, some graphics were wrong.
    Factor out the code and use the same in all cases.
    
    Also fix automatic appearance switching for volume slider, set
    darkMode variable correctly, and fix appearance if setting was dark
    mode and the OS mode is bright.

commit 0fd278ed1a4cf716d51d6a70efd1186e91ae52c2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jul 1 22:55:35 2018 +0200

    Contribs: update gcrypt to 1.7.10
    
    CVE-2018-0495
    
    (cherry picked from commit 6081bfc2942d26fc652c8de43cf37807ab7c9262)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6da935825b130f751be052c76932c6368517e565
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 15 12:12:43 2018 +0100

    contrib: breakpad: Fix compilation with new toolchain
    
    Breakpad.xib is in the old Xcode3 format, supporting OS versions
    down to 10.5. This old target is not supported anymore by new
    toolchains, therefore upgrade the format with Xcode 10, and set
    10.7 as minimum version.
    
    (cherry picked from commit 004467b3a7062e8d0849fc80e5431d2cc0ca0a6c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 20b3c287d9d32257ad4b3541dfa8ca1d2719d97d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 19 15:30:45 2018 +0100

    contrib: bluray: expose bdjo_data struct
    
    (cherry picked from commit 4313ea04aa329b585b8a67b017a63ccdfd2cd9fb)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f71ceaec2711b06bce338b888f1654bfbc5f5c90
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sat Nov 3 15:47:27 2018 -0400

    contrib: png: bump to 1.6.35
    
    (cherry picked from commit d9735b44f4004c74a7ffad966915b15415271533)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5c61eba49ee27c4716b44cb941d300f41fcb5f3c
Author: Jean-Baptiste Kempf <cone@example.com>
Date:   Sun Dec 31 20:50:44 2017 +0100

    Contribs: update libpng to 1.6.34
    
    (cherry picked from commit 27a7e4e0ea85911106dbca439db53aa82b6c70cc)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e737afd4fad4e4ff72a186bd66222ff7a541a1d1
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Thu Oct 18 11:53:09 2018 -0400

    contrib: opus: update to 1.3
    
    (cherry picked from commit e9e94f2b4ad7b744991a77a2550ad1415c551460)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a1e5047e3474f6c89af9e960d4df1942900b4719
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Oct 15 12:18:13 2018 +0200

    contribs: soxr: Fix build when providing PKG_CONFIG_EXECUTABLE
    
    Otherwise the 2nd find_package(PkgConfig) gets confused:
    
    -- Found PkgConfig: /path/to/pkg-config (found version "0.29")
    -- Checking for module 'libavcodec'
    --   Found libavcodec, version 58.19.104
    -- Could NOT find PkgConfig (missing: PKG_CONFIG_EXECUTABLE) (found version "0.29")
    CMake Error at /usr/share/cmake-3.12/Modules/FindPkgConfig.cmake:489 (message):
      pkg-config tool not found
    Call Stack (most recent call first):
      /usr/share/cmake-3.12/Modules/FindPkgConfig.cmake:602 (_pkg_check_modules_internal)
      CMakeLists.txt:140 (pkg_check_modules)
    
    (cherry picked from commit fd7356d7f7d5677e7fd70211ae1cc3ff2e9ad2bf)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 38506a2ac8e416b27b556ac5a894f4708330b709
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Oct 4 13:53:47 2018 +0200

    contribs: lame: use version 3.100
    
    (cherry picked from commit 4ac5fe7ff0e49da5b1fc4d04430661646e9c216f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6ac538121ee1d8599e8fce980332666f1fe6ab9b
Author: Martin Storsjö <martin@martin.st>
Date:   Sun May 27 00:12:15 2018 +0300

    contrib: lame: Avoid the dependency on gettext
    
    Modify configure.in before reconfiguring, to avoid requiring the
    dependency on gettext.
    
    (cherry picked from commit 8d0093e71e6297ae6a60c3170e80d0d722f5be5e)
    (cherry picked from commit f942eac0d25cb6921324ffa1b3c7d7436a27cf5f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7ec6b158453c3078f5e1e878d6d12cbc623b8b11
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri May 25 08:45:41 2018 +0200

    contrib: lame: use a more newer version of autotools
    
    the ansi2knr automake options produces an error in newer versions, so we disable it
    
    (cherry picked from commit 69f8fb3fc2f23d118475454b72b0553281d50184)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 65d67548fd553dd540533a119bf4c06c447d6b6d
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Mar 29 15:46:50 2018 +0200

    contrib: ffmpeg: don't use libvpx at all in libavcodec
    
    We have our own decoder/encoder
    
    (cherry picked from commit 668d0178dd264e3b117ab4858515d0a6030e8b1b)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c3492c870c9d91f0bc52a583bef3936cb01fd749
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 24 15:17:02 2018 +0200

    contrib: harfbuzz: don't build tests on winstore builds
    
    it tries to link with .lib files
    
    (cherry picked from commit b9341db73d42ef8773a545d5e946c9cfe067537e)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 6aa5eb7a67052ad01d12e4f656c4bdf56bc23d5d
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Apr 18 14:19:56 2018 +0200

    direct3d11: get the feature level from the external D3D11 device on winstore builds
    
    (cherry picked from commit ecedb2e7af79c92b2564c1a31142c89c05350067)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f9f94919320fefeb0208ebef899a84c64fbc0f8e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Mar 29 13:09:59 2018 +0200

    sap: use the same declaration signature as the definition
    
    (cherry picked from commit 3272ae0bb34d5fe31c9b3225a1c7a7c254132ec5)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 6aaed21fb04c727662d80cb9cc76a3ff3b21fb03
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Mar 28 11:26:47 2018 +0200

    keystore: CryptUnprotectData is officially found in dpapi.h
    
    In MS SDKs and in mingw64
    
    (cherry picked from commit f6f0f27557c5c91d2a22f9917afe04b94a727ab8)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 05d63bb286e1043ee23dd4326bfd21f068e6fe63
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 5 10:31:25 2018 +0100

    demux: wav: check implicit duration
    
    fixes truncated files duration
    
    (cherry picked from commit c90692ebd00fd21b4a9d53e17f2fc7dbf4a215db)

commit bedc72800f1a5fd2a4d1bb59417bb6605757a8de
Author: Alexandre Janniaux <alexandre.janniaux@gmail.com>
Date:   Thu Dec 6 21:36:07 2018 +0100

    avcodec/encoder: fix leak in case of codec opening failure
    
    If the required codec is invalid or doesn't match the required codec id,
    we must release the string obtained from var_GetString.
    
    Signed-off-by: Tristan Matthews <tmatth@videolan.org>
    (cherry picked from commit f69475d477e6c597a47b8bc55ee61fdf2ec23f02)

commit 814aeb76deb662604bc3fa76faa4eac4333f0515
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 6 14:46:32 2018 +0100

    contrib: vpx: Fix android arm64 builds
    
    (cherry picked from commit e851e1b23a581a82dd0bfbe3b1eaa3039b657f5c)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 218028bb7fe6c7dc44f9299a5fd538095bf7eea1
Author: Soomin Lee <bubu@mikan.io>
Date:   Wed Dec 5 09:53:40 2018 +0100

    contrib: vpx: iOS: Handle aarch64 as arm64 for VPX_OS
    
    As stated in the libvpx README[1], for aarch64, darwin11 doesn't exist and leads to:
    
     `Unrecognized toolchain 'arm64-darwin11-gcc'`
    
    See failure on jenkins[2].
    
    [1]: https://github.com/webmproject/libvpx/blob/master/README
    [2]: https://jenkins.videolan.org/job/VLCKit/job/vlc-nightly-iOS-MobileVLCKit/900/consoleFull
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 9bc4318cbf22c7c33295fe24ab863992f5c7ad27)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 8cb18e7467b6d80c9bad111219015e48558d6dc1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 4 22:09:47 2018 +0200

    qt: do not translate meta labels twice (refs #21516)
    
    (cherry picked from commit cfce4b100ae9b3974d5aa16ab2466ea56284d016)

commit 2a326d9b35ca49afce30de0ad4ca24773271dfa5
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Dec 3 17:53:19 2018 +0100

    update NEWS with RX Vega fixes

commit f18118a18479d63e9c689405f095e3a6adf144cd
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Dec 3 17:45:14 2018 +0100

    direct3d11: the RX Vega zero copy issue is fixed in drivers 24.20.14011.xxx
    
    (cherry picked from commit 4791208a7461e21f274571ff18bd7bcee093bd57)

commit 9982a175938e73f8b9af9d473bb508427d195d1f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Dec 3 10:33:54 2018 +0100

    direct3d11: disable zero-copy for RX Vega 8/11 too
    
    https://forum.videolan.org/viewtopic.php?f=14&t=147078&p=483016
    (cherry picked from commit 886d23692ae9cd9a48c237f0a3d9c1416949d7ae)

commit 613ee774aa46dd6c379b470c67e447ed48662c9b
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Nov 30 17:12:24 2018 +0100

    direct3d11: disable zero-copy for RX Vega Frontier Edition too
    
    See #21215
    
    (cherry picked from commit a7eed838d4ab1876bed6c7461199ff8d85ef648f)

commit 476079cf6f34d00ba5403730dcebdf1766dee8b0
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Nov 29 12:29:07 2018 +0100

    direct3d11: do an extra copy when using AMD RX Vega 56/64 chips
    
    They display garbage otherwise
    
    (cherry picked from commit 1882a005d9607bea702a2b4ea8b95c8f467f855a)

commit 395447ed19f4e7f342d3dd06761e8e1384f3665c
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Dec 3 15:06:16 2018 +0100

    contrib: shout: Don't force -lwsock32
    
    (cherry picked from commit 2e5a1e8b46f59b90e5b14da24f47103cca165e76)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 84acd56da0f748c28be54ab78e3545897e6a040e
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Dec 3 14:19:54 2018 +0100

    contrib: libdsm depends on pthreads
    
    (cherry picked from commit 03ad554ba54c4f8c006c786f3547a0b22ecaec80)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d8ab4cbd7fc8b7ee8fba456aa71ffebf851f50e0
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Dec 3 14:19:40 2018 +0100

    contrib: libdsm: Don't use _pipe on winstore
    
    (cherry picked from commit 82faba6e5ecbd7d3159820ef4ab71dc8083ea8dc)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f7b18385f6965cf96411da4d25792d893e979700
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 1 23:32:18 2018 +0200

    caf: fix integer underflow
    
    Pointed-out-by: Hans Jerry Illikainen <hji@dyntopia.com>
    (cherry picked from commit 0cc5ea748ee5ff7705dde61ab15dff8f58be39d0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8a33aea097a44854b49c816eafcf8f0e4d9fd69b
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Dec 1 17:46:26 2018 +0300

    contrib: Restored pkg-config file fix.
    
    Broken in 63179341afc6b04961c602957bbd0fd61957af79.

commit b1dadb2c6c04c918b44a5a8438c0b64b377e90a5
Author: Geoffrey Métais <geoffrey.metais@gmail.com>
Date:   Mon Nov 26 16:07:05 2018 +0100

    Audiotrack: use API for volume management
    
    Do like mmdevice: use AudioTrack volume API for volume in [0;1] range, and soft
    gain for volume in ]1;2] range.
    
    (cherry picked from commit b3139ace006e232da3d7e83a0a50a3ccf170d354)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit d93be5118b4e8e8bdcc25914dc57f06dc90688dd
Author: Martin Storsjö <martin@martin.st>
Date:   Sat Mar 31 22:11:35 2018 +0300

    contrib: ffmpeg: Patch ffmpeg to build with clang without gas-preprocessor
    
    Vanilla clang supports altmacro since clang 5.0, and thus doesn't
    require gas-preprocessor for building the arm assembly any longer.
    
    However, the built-in assembler doesn't support a few of the fringe
    features used in the assembly.
    
    Patches 1-2 are needed for both libav and ffmpeg, while 3-5 are
    needed only on ffmpeg. All patches are already in the latest
    corresponding upstream master versions.
    
    Patches 1-2 and 4-5 are only needed on Xcode 9.3, while patch 3
    is needed with clang >= 5.0 for any target.
    
    (cherry picked from commit a4c0c013985a634095d34132916cbd0ea00fff11)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit cf609b81062ff06ae144b31b027e302219791e67
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Feb 26 10:37:21 2018 +0200

    contrib: postproc: Don't omit adding -DPIC on windows
    
    This fixes the earlier patch from 204d674232 to match what is done
    in libav/ffmpeg's configure script even closer - even if we skip
    adding -fPIC when building for windows, we still need to pass -DPIC
    to pick the right form for assembler source.
    
    (cherry picked from commit 18de5f37f1dd524705c2839b1ff3a05b92abe069)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 9239e614a3955f9005d6afaa77b5719c6b9237c6
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Dec 13 17:00:41 2017 +0200

    contrib: postproc: Don't add -fPIC when targeting windows
    
    This roughly matches 3965d404ccd from libav/ffmpeg. With GCC,
    adding -fPIC when building for windows (x86_64) results in a warning,
    while it is an error with clang.
    
    (cherry picked from commit 204d67423273dc4937d652fe12f037882ca79458)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 70073ce94983864e2d4dcba0bc5d2881329b438a
Author: Soomin Lee <bubu@mikan.io>
Date:   Tue Nov 27 12:04:15 2018 +0100

    demux: mkv: Remove unnecessary throw
    
    This case wasn't an error in the file itself and the playback can continue
     to the following files.
    
    Additionally, throwing led to a crash on iOS 12.0.0 and iOS 12.0.1.
    
    (ref: https://rink.hockeyapp.net/manage/apps/194470/app_versions/113/crash_reasons/242850559)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>
    (cherry picked from commit 92b6657b0855981cc74fd652c0eac9e9d66f9987)

commit 228e367ba02ef4e03bf193cd52ae639ee03a5c31
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Nov 26 16:37:58 2018 +0100

    direct3d11: wait until the rendering is done before we leave Prepare()
    
    And don't Flush() the device context. It's considered harmful.
    
    This will improve the Display() call timing.
    
    It also improves lags with Intel on high bitrate sources in multithread.
    
    (cherry picked from commit f389e8b0bb25d62550031ca62611ffe24ea9f953)

commit 63179341afc6b04961c602957bbd0fd61957af79
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Nov 22 12:50:13 2018 +0100

    contrib: shout: Don't build examples nor doc
    
    (cherry picked from commit ef8c7fc596569ce4757bc8e0240bc42503542184)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 7a2c77128e058331f675d154dc7dd9f3296a08ed
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Feb 28 11:59:55 2018 +0200

    configure: Check if C++ headers define locale_t
    
    In environments that lack a full locale.h implementation, the C++
    headers might implement some fallbacks with the same name
    (on windows, libcxx does this).
    
    In these cases, don't provide the normal fallbacks from vlc_fixups.h
    when compiling in C++ mode, but include the C++ <locale> header instead.
    
    If <locale> provides locale_t, include the header and define
    HAVE_NEWLOCALE (which skips the vlc_fixups.h version of locale_t),
    but keep the vlc_fixups.h fallback for uselocale. (One could
    also add another configure test for whether <locale> provides
    the uselocale function.)
    
    (libcxx doesn't provide any fallback for the uselocale function
    since it isn't easily implemented with the msvcrt _locale_t objects.
    The libcxx fallback locale_t objects are applied via the setlocale
    function, and passed to functions that take a _locale_t parameter.)
    
    (cherry picked from commit 797efbd40743251090d4cfa1db176b2317291507)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 93e305002e186fa6cf9bef18c2569128284905eb
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Dec 14 23:16:37 2017 +0200

    configure: Try to add -Wno-incompatible-ms-struct if adding -mms-bitfields
    
    This avoids warnings that are treated as errors by default when building
    with clang - warnings like these:
    
    In file included from modules/access/dcp/dcp.cpp:59:
    In file included from contrib/x86_64-w64-mingw32/include/AS_DCP.h:88:
    In file included from contrib/x86_64-w64-mingw32/include/KM_fileio.h:35:
    contrib/x86_64-w64-mingw32/include/KM_util.h:48:11: error: ms_struct may not produce Microsoft-compatible layouts for classes with base classes or virtual functions [-Wincompatible-ms-struct]
        class IntPrinter : public std::string
    
    (cherry picked from commit 89707bdde37c8b77a8cb4546166da53d4b8cc516)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit aa9c14c8f2788634eed15eb6808c5cbf3ab44ee4
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 30 11:05:53 2017 +0100

    configure: Simplify mingw flag checks
    
    (cherry picked from commit 2aea8b85a2b013dd4bee5a88a6400bd364df50db)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 454a9ef1263a13bc5a3df8ff0a7843e7e76e22bc
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed May 16 12:21:34 2018 +0200

    contrib: vpx: make sure we use pthreads-win32 on Windows
    
    (cherry picked from commit 2916292eb7c3a3b77d5aea677372a8725b52a18c)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 75e620af18361d1f4b00820504e0403ab4a5d48a
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Apr 20 10:59:35 2018 +0300

    contrib: vpx: Backport patches for windows on arm with mingw
    
    These patches are from the latest git master of libvpx (past the 1.7.0
    release).
    
    This also tries to configure with arm64 optimizations on other platforms
    as well, which hadn't been hooked up before.
    
    (cherry picked from commit e14d19fe8620e6399066b613cfd7ec1d389a2f7d)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 8325586c3f067e56f94b602a38cd028089c3ad58
Author: Martin Storsjö <martin@martin.st>
Date:   Tue Dec 19 13:03:54 2017 +0200

    contrib: vpx: Configure as generic-gnu instead of armv7-win32-gcc
    
    Vpx doesn't support the armv7-win32-gcc target (and adding support
    for it is slightly more work than just a trivial patch).
    
    (cherry picked from commit bd34617bcb88679cce56ad97d785e381a503f8c4)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit fff44f60c0912dc5c62812561d7e08d0e7d420c5
Author: Martin Storsjö <martin@martin.st>
Date:   Tue Feb 27 12:41:40 2018 +0200

    extras/tools: Patch libtool to find the compiler-rt that clang uses by default
    
    When libtool links DLLs that include C++ code, it does so by
    passing -nostdlib and manually adding the compiler built-in
    default libraries. When linking, clang specifies the compiler-rt
    library by passing the full path to the .a file, instead of using
    -L + -l. libtool currently doesn't pick up such a full path to
    a static library as a library it should include.
    
    This patch is a custom libtool patch from chromium os [1],
    upstreaming is in progress at [2].
    
    [1] https://chromium.googlesource.com/chromiumos/overlays/portage-stable/+/88201a517e3a797e4197bacc4959785a934c08d6
    [2] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27866
    
    (cherry picked from commit 5c7092dfe6ee45f38c9ff7063678956ace155815)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 54b939195e7bf13b0ec07c6c7cbc197f58e380f6
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Feb 7 11:25:37 2018 +0200

    arm: Allow building assembly in thumb mode
    
    Windows on arm is thumb2 only.
    
    Add the necessary "it" instructions before conditionally executed
    instructions (which doesn't emit any extra instructions when not
    building in thumb mode). The number of "it" instructions could
    be reduced in some places by reordering the instructions, but keeping
    them as they were originally to avoid any impact on existing
    targets.
    
    Remove redundant .arm directives; the assembler normally starts out
    in that mode anyway, and for windows we shouldn't override the
    default mode.
    
    (cherry picked from commit 4a9b6e51932b17763d3d53f42b9486af3e7f7297)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e780abbcb0f32b1ba97561566599a30fc07650b7
Author: Martin Storsjö <martin@martin.st>
Date:   Sun Mar 18 13:54:29 2018 +0200

    contrib: pthreads: Use the right CONTEXT field on arm64
    
    (cherry picked from commit 6869332cc10ad6b7292fd87d1b06aa30e0074ed4)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit bd1bd2a894d6ce52994e2cb608f5c256e9d8aba8
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Jan 10 14:54:49 2018 +0200

    contrib: pthreads: Don't use x86 inline asm on non-x86 platforms
    
    (cherry picked from commit f391a2a3b0410a4361ca0b93209b6e5ec79ff918)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2f74fa2c56e257d31a5c87f7dfdea6758ea59a22
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Jan 5 23:53:37 2018 +0200

    contrib: pthreads: Fix building with llvm-mingw
    
    This avoids doing things with dlltool that llvm-dlltool doesn't
    implement.
    
    I don't see the need of running a second pass with dlltool to
    produce an output def file and yet another pass to produce
    an import library out of it; just make the linker output the
    import library while linking the dll. (If the import library is
    to be used by MSVC, there is a point in generating it with dlltool
    instead of with ld though. Even then, there's no point in generating
    the def file using dlltool though, when it could just be generated by
    the linker.)
    
    Remove an inline declaration on a function that can't be inline-only
    (static inline).
    
    For non-static inline functions in C, the compiler can choose to
    use the inline function itself, or assume that a definition exists
    in a different translation unit. In this case, clang seems to
    not inline ptw32_cond_check_need_init and creates an undefined
    reference to the same function that should be defined in another
    translation unit (which doesn't exist).
    
    See https://www.greenend.org.uk/rjk/tech/inline.html for more details
    on this.
    
    (cherry picked from commit c407f7fbbdf75712f5e7a634321975cd60484db8)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e1e18166ad153c3f726bea5aa948b9759a2376bb
Author: Martin Storsjö <martin@martin.st>
Date:   Tue Oct 16 12:24:37 2018 +0300

    contrib: gnutls: Don't disable assembly for x86_64 with clang/windows
    
    Since some time, clang supports all the necessary assembler directives
    for building the gnutls x86_64 assembly.
    
    The aarch64 assembly isn't ready to be built on windows yet, though;
    it unconditionally tries to use .size and .type and GNU stack notes.
    
    (cherry picked from commit 024b3189d0ee66fd25b1760d08c324e833982ba7)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ab2ac694d16cc557e7973e917af5e7677d1bb4d7
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Dec 13 16:11:09 2017 +0200

    contrib: gnutls: Disable assembly on windows/x86_64 and aarch64 when built with clang
    
    Move the check for clang from the qt rules.mak into the toplevel
    main.mak.
    
    This fixes building in these configurations.
    
    (cherry picked from commit bc61a1e6cc1a4e2828997619faaea8cae7a28cd1)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d9361759293f05ec17ba653138c75201c932d79c
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Jan 10 22:19:08 2018 +0200

    contrib: gmp: Add a patch for fixing building for windows/arm64
    
    This patch has been sent upstream, but hasn't yet been acted on.
    
    (cherry picked from commit 12847e326ef9f0aa0e73e9c2124d06b1e6c352d4)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d72a928f7c1ae4228d864a9fb7a44fea3836ac3c
Author: Martin Storsjö <martin@martin.st>
Date:   Tue Dec 19 11:14:34 2017 +0200

    contrib: arm: Disable the assembly when building mad, gmp and nettle for windows
    
    All of these do have arm assembly, but it can't (easily) be built in
    thumb mode, while windows on arm is thumb only.
    
    (cherry picked from commit 18b4577b856fec300cc799f29e4bc1d3dc06d069)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f877bb40f13908657176e6af65f8d608d47f0041
Author: Martin Storsjö <martin@martin.st>
Date:   Sun Jul 1 23:22:44 2018 +0300

    extras: tools: Patch cmake to improve support for GCC/Clang targeting WindowsStore
    
    This patch exists in upstream cmake in the master branch, and probably
    will be part of the next release after 3.12 (3.11 is currently the
    latest release).
    
    This is necessary if building for WindowsStore with clang.
    
    (cherry picked from commit 4f7f76348b8d31f9f1eb350a4d83034672466d3e)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b53e527948ef630d9c123597dc9ba1fe3e453a60
Author: Martin Storsjö <martin@martin.st>
Date:   Sat Dec 16 22:08:33 2017 +0200

    contrib: gcrypt: Backport upstream patches for fixing building for windows on aarch64
    
    These patches should be part of the next release after 1.8.1.
    
    (cherry picked from commit 866f1330568ae4f67b865220ce3c1d108eabc18e)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 79a5586d76025f00304877e3a01e67d6f08fc464
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Feb 26 11:31:46 2018 +0200

    contrib: live555: Don't try to use $(LD) to create static libraries on MinGW, use $(AR)
    
    This fixes building with llvm-mingw.
    
    (cherry picked from commit 28a96b9b5e46e33239b19b9d067387588266c4b0)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 92033220233ceb6ac0414c09ab4ad1cddb1edf19
Author: Martin Storsjö <martin@martin.st>
Date:   Sat Jun 16 12:28:20 2018 +0300

    contrib: lua: Make the win32 makefile patching stricter
    
    This fixes building for armv7, broken in a3d1527e.
    
    The "= ar" pattern could match any case of an armv7
    prefixed tool, like "RANLIB= armv7-w64-mingw32-...".
    
    (cherry picked from commit fcd1a0bebde89591c87e3aec8773ef8ad14fd306)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 14eef1d9f47c01e532daaf22a6ae8f74bc3f6672
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Jun 14 10:22:01 2018 +0300

    contrib: lua: Make sure to use the right AR tool for the target
    
    In many cases, the host AR tool just happens to work fine for e.g.
    mingw cross builds, but clang targeting x86 mingw recently started
    generating code that trips up GNU binutils ar, with cases like this:
    
    ar: lcode.o: Unrecognized storage class 0 for .rdata symbol `__xmm@8000000000000
    0008000000000000000'
    
    Just consistently use the right AR tool for the target, just like
    we do for RANLIB and STRIP.
    
    (cherry picked from commit a3d1527ecc4c775253c6822502bbaeb2a788933e)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c80f1ebd99f5a9e1c0d7af55232186461222d1c8
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Dec 21 23:57:42 2017 +0200

    contribs: lua: Use an import library when linking, fix building with lld
    
    lld doesn't support providing the DLL instead of an import library
    when linking.
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 05d812e41b2c2b3e086f5f81a63341f5a8ff7a3b)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 5bf38c1ce823351fa6917b07faf31affa0bd6ea0
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Aug 24 17:42:25 2018 +0200

    contribs: flac: Regenerate configure script
    
    This fixes build with automake 1.16
    
    (cherry picked from commit ece14f9ee78760a8176467978d0a09a45f9a9a2f)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ad75f9e82964a7ec9dfa3b26e50d18d097ebf653
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Dec 14 23:42:21 2017 +0200

    contrib: flac: Don't force __MSVCRT_VERSION__ to a specific (old) version
    
    The forcing of this define was added upstream many years ago, probably
    to expose certain features that aren't available by default in the old
    mingw.org headers. In mingw-w64, setting __MSVCRT_VERSION__ doesn't
    expose much new functionality at all (contrary to in mingw.org), and
    the default in mingw-w64 is 0x0700.
    
    Therefore, since we're using mingw-w64 anyway, don't force this version
    but just use whatever the toolchain default is, assuming the default
    is new enough.
    
    This fixes building with mingw-w64 with the default msvcrt set to
    ucrtbase.
    
    (cherry picked from commit 44736e0a50738ece67d154f1c338b1389c2064b1)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit cf042c0048e0f7abab095b4bbca42fb348094c3b
Author: Martin Storsjö <martin@martin.st>
Date:   Tue Feb 27 15:18:58 2018 +0200

    contrib: d3d11: Update more headers in sync from the pinned mingw-w64 version
    
    If building with the latest mingw-w64 git master, some headers
    are newer than the ones downloaded here. Syncing specific files to
    the older pinned version produces inconsistent and broken headers.
    
    This fixes building with the latest mingw-w64 master.
    
    (cherry picked from commit 7e37b7ffbac41ca3e2a44099993a3c05bd16fbf2)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 746fc79d30f0aab442e3a872420616dbe2f4fce1
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 21 15:00:40 2018 +0100

    contribs: smb: Fix pipe compat function
    
    (cherry picked from commit f0db80ae63572f2f811f8b5295e91d10058dd3d8)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 23e11d19d87a6c1a04505d0c7916fee6b99c8a3e
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Nov 20 19:02:09 2018 +0100

    contrib: dsm: Fix .pc generation
    
    (cherry picked from commit 09dcd08b601a0f2f777257013f2491455322543a)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 06fecd458e497bbe11a59c5ef11507686e0e7943
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Nov 20 16:48:40 2018 +0100

    contribs: libtasn1: Don't build executables
    
    Which deprecates previous patch
    
    (cherry picked from commit ae7d45aeb76bac457fd593abb465046a2902cd6a)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 9b8a8045664b6f9bb0ad52bcccef17eb5de09107
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Nov 20 15:13:56 2018 +0100

    contribs: jpeg: Don't build executables
    
    (cherry picked from commit 5750f753cf8128fd6d1fd4eda9f505f4c68dfc15)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 61c086afd36a17fc3ea58c6d0a60bda379360ac3
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 21 14:41:48 2018 +0100

    d3d11: winstore needs quads & shader code
    
    (cherry picked from commit 7b4f9acd9e38e02cdb771950c1626c97ecf4f3c4)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f0e9151f2b33194642db43c43f1cf2d06c503f3a
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 21 15:05:03 2018 +0100

    d3d11: Fix winstore build
    
    (cherry picked from commit 10fd1cc270c0567408221a49823f601842029d87)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 177a4a2a5f36a00af42a861e316939b3f29bc16e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 13 23:15:23 2018 +0100

    contribs: bluray: fix stream selection without menus
    
    (cherry picked from commit a2e6e10430d24eb5e0ad006b16212af9c09fe830)

commit 1be3a564cf23ca0e886c808c285fce8c5c5cab2b
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Nov 18 15:59:07 2018 +0100

    macosx: Fix UI issue in selector for stream output
    
    (cherry picked from commit 6b365a1ca1c5c35a6369e4fea1bee6924082bb6c)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 2ed30ba039c1e5022740c9686721b52f3c30b909
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sun Nov 18 10:49:49 2018 +0100

    macosx: fix dropzone background appearance on macOS versions < 10.14 (fixes #21431)

commit a860a872a9894cfb966516a437ed22e084f333a9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 13 10:25:16 2018 +0100

    access: bluray: don't restart decoder on seek
    
    video stream resync/vout can't be reused fast enough.
    partial revert of 0160bec1b539b2df7766fc39873e304d2c761b29
    
    (cherry picked from commit 160102bf195f128def1ec0fcea8d59b4aafd5df8)

commit 12178e44d184db0f8e450a0ee0bee2530754afab
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 13 16:30:23 2018 +0100

    access: bluray: use SET_ES instead of input vars

commit caabd999cf32f4d5b7d5b101dccea5b560bd8127
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 13 15:35:03 2018 +0100

    access: bluray: remove video pid storage
    
    unused
    
    (cherry picked from commit 1daaaaf5ef01b07e341c9fdf5cb8bb2e299a4660)

commit b0b4dff30a694beb981afa3d073ec1d066f18a3d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 13 15:33:40 2018 +0100

    access: bluray: notify libbluray of ES deselection
    
    (cherry picked from commit a90ccde8bd994a4f65ddfffc103ed83ad054ecfb)

commit f6e32bb5d81548e99fafe65b8600451a785b5645
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 22 19:58:04 2018 +0200

    access: bluray: recycle ES instead of Del/Add
    
    (cherry picked from commit 35162aaf76877b325b0657a04dd792c9553935c0)

commit ad4b2a7d736bea77a0caed8d457ec944df58ea05
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Nov 8 14:02:38 2018 +0300

    extras/tools: bump nasm to 2.14.
    
    This fixes building nasm with gcc 8.2.
    
    (cherry picked from commit 218ba7fca8ff815a5478b74f1f50d68f8b449510)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ffb4ac001fbe4af3046d59313e31a54b3d81f728
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 8 21:53:25 2018 +0100

    access: bluray: avoid being spammed with menu chapters
    
    (cherry picked from commit 6b146206086881599894f74eb5b8e1062a778ec3)

commit 951dbeb6f9cc4efc9df3feb5e3427775f8b709f2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 8 13:04:58 2018 +0100

    vout: ensure expired subpictures are really deleted
    
    currently happens only when another subpicture is in the heap
    and is valid
    
    (cherry picked from commit a39eb8df51aeb4e6b568416896b2b0e4e7833e9f)

commit 592bb7d0b366d0114c61cd6687379f79c2f6faf3
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Nov 9 13:37:18 2018 +0300

    windows build: make it easier to spot an error on contrib builds
    
    (cherry picked from commit 3f87228c53f40bd3aea2e915b628d804b23ef250)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit bbd887cc420b6029044b372c59bd3bb5bf605fa6
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Nov 9 13:37:09 2018 +0300

    macos build: make it easier to spot an error on contrib builds
    
    (cherry picked from commit 735dbe52db27d4c243e179be51179c1ae6a6aaa6)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit 8d8262353db089fa33e2d20748f7b2e59af884bd
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Nov 9 13:14:43 2018 +0300

    snap: ship libaacs in the resulting snap
    
    While this enables snapped VLC to play Blu-ray discs, the setup is a bit
    more convoluted than the regular non-confined VLC, because
    XDG_CONFIG_DIRS are redefined in the snap runtime.  This means AACS
    config file must be put under $HOME/snap/vlc/current/.config/, and will
    not be moved over when a new version is installed.
    
    (cherry picked from commit 76e9e424bbcadf00a6277ecb4aa8e0071beb25b9)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit d6c1232d16ebf99476378ad76a1605f89c9556e2
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Nov 9 13:11:02 2018 +0300

    snap: make it easier to spot an error on contrib builds
    
    (cherry picked from commit 5f19cda55977ce7141c008008d010c01063e130c)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit f36fc9e7a6d2bc5224697b72c3c6fc3961bee4a4
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Nov 9 11:16:03 2018 +0300

    snap: build nasm as a requisite for the newer x264

commit cc46bdfc48b5b8c969890af02154c3f77d43f59d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 8 19:38:23 2018 +0100

    youtube.lua: update signature descrambling javascript parsing
    
    Signature descrambling call is now wrapped in URL decoding/encoding
    calls.
    
    (cherry picked from commit d07058575cb4fbb9f6f3aa5b02cda13e2f5983ef)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 188fc7fa9799c5faef6027b50c6fa4f45cb310a2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 8 14:05:13 2018 +0100

    hotkeys: change text scale increments (refs #21432)
    
    (cherry picked from commit d20f77eb385ed837079d710b08f49cf788558b85)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9bb7fe27795dcc29d0bb3e0b68d15ffa29a1e683
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Mar 26 11:14:50 2018 +0200

    extras/tools: Add nasm
    
    It's required by newer x264
    
    (cherry picked from commit 8b599c458ab0245a4755e8143c089995e8cbc093)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit 0f3c90e4138cadaaf58d448e326e63fe197f6b73
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Mar 25 15:06:24 2018 +0300

    contrib: update x264 to 153-version and change to master
    
    Remove separated 26410b hacks and patch that is already in version 153.
    Use master as stable doesn't yet have the patch or the 10bit/8bit
    unification.
    
    ref #19581
    
    (cherry picked from commit d16a85586a9c2925899ec691d91b89ca419d666f)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit dd93fd09fd7e0446d1bc1a4c544942b5380482b3
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Mar 24 13:23:33 2018 +0200

    x264: drop <148 build support and fix 10bit support
    
    Drop old #if as 148 is not that recent anymore.
    
    fixes #19581
    
    (cherry picked from commit a8953ba707cca1f2de372ca24513296bcfcdaaa8)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit 8af4c227a3cfa2d4b3065eb24e3ce1610f80f2fc
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Mar 18 14:26:18 2018 +0200

    configure: bump x264 version requirement and separated x26410b check
    
    on x26410b case, check that x264 has high enough version present.
    
    0.148 is by default in ubuntu 16.04 LTS and has been present since 2015.
    
    ref #19581
    
    (cherry picked from commit 2529f3dabfcc40673de13c7043c23072b5e1fce9)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit 23ba6163e84f17f28b92cf2b1274b657bc64173a
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Nov 7 20:20:37 2018 +0100

    macosx: guard unregistration of key path as well
    
    Fixes a crash on exit on old systems.

commit da7153712c3b16082b3117f0c69fc75a96a135b9
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Nov 7 19:41:39 2018 +0100

    macosx/package: Force HFS+ filesystem for dmg image
    
    On modern systems, Apple believes APFS would be a good default
    choice. Those images currently do not open anymore on older OS
    releases, so force HFS+ for compatibility.
    
    (cherry picked from commit a2003d150cd3baab3145220309511f40397372a8)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 40a4a466ce468924c03c319e420bdf30108fcd5d
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Nov 5 10:08:19 2018 +0100

    d3d11: don't use the primary conversion for unknown primaries
    
    (cherry picked from commit fce5fafb54e3ee4a320a00d8c68a55b45d7710a3)

commit ee61e5fd5f6facdd04caf6a7f9320c73200a0270
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Nov 5 09:37:00 2018 +0100

    visual: the visualization effects are in the sRGB colorspace
    
    (cherry picked from commit 1cf1163ddf6347c3364006db1bc213fdbe50510b)

commit bed5271a6736ec7cc1958051dfb21d8453179a5f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Nov 5 09:52:47 2018 +0100

    decoder: adjust colorspace for aout based video outputs
    
    It's done for video just before calling input_resource_RequestVout() as well.
    
    Fixes #21356
    
    (cherry picked from commit 3089bf5a33ec77794d047a44df3da2d1b9b1aeb4)

commit 96561d4db0046e2da3ed8a623cdd98b595f86f76
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 31 12:59:27 2018 +0100

    codec: avcodec: use same threshold as vout for frame drop
    
    (cherry picked from commit f94831d7a560b71d05416e087165092ae5fc187c)

commit ce5c9e7be53048261aa26f5fb7b58db0a02a8d46
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Wed Oct 31 20:39:48 2018 +0100

    macosx: add mojave specific sidebar icon set

commit 4d4670e1e7703f36e2eced60c409f65b4f46efb0
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Tue Oct 9 13:14:36 2018 +0200

    macosx: add helper for sidebar icons on mojave

commit 5df2ba0bbaeb1204ff01f83b69164e34322d8347
Author: Krish De Souza <kd913@ic.ac.uk>
Date:   Wed Oct 10 23:55:52 2018 +0100

    Cleanup: Minor package and API update to snapcraft.yaml
    
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>
    (cherry picked from commit 22ed204fbd3f7ec33a235c580c4909966a757ad2)

commit dbdcd7e43f702cf17e5e96f260d63bcb1c067a56
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 29 17:08:58 2018 +0100

    codec: spu: set priority higher than ts (fix #21280)
    
    (cherry picked from commit 4f6920b1b673a3997a79460f76ad32faa88fcc9b)

commit 31bfd7ec40271ddd14c973411d9e5f5dbaabe845
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 30 17:56:24 2018 +0100

    update NEWS

commit fb05f87c6ff95546cdb5731ac3c9a586a730d3da
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 24 17:48:27 2018 +0200

    access: bluray: disable ts hotfixes and force standard
    
    (cherry picked from commit ef38c066047348d6ae5b706ee24d746b97afdd59)

commit 6f4264afc703a2764f0dfa3cfdc03b869c73fae9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 24 17:46:02 2018 +0200

    demux: ts: add options for misc hotfixes
    
    (cherry picked from commit 2af7827aada2414a5cb60b280dc57e9bcc425ac3)

commit 9bf56f347b70dd5574af54138e88d4112c6eb076
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 24 17:23:34 2018 +0200

    demux: ts: use preparsing flag
    
    (cherry picked from commit 09ef812c050ee4ce6a2fcaffa9b9fd335a6757ac)

commit 6b1886a2d82a5d7347c7c09d2567c0795fbce631
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 25 10:52:48 2018 +0200

    access: bluray: handle BD_EVENT_SEEK
    
    (cherry picked from commit d9dabc683666f1e66c37cc0d720e9e119a8f1ea8)

commit 6bac4fb9c6aa603fe25533b2f9a5827161206b05
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 24 17:59:13 2018 +0200

    access: bluray: drain on end of title
    
    (cherry picked from commit 580c9409713dc4abc2e4f349e51f8c1aaa44610e)

commit d6e8d9e5d20fc262e14118e1b793f15a057ceafd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 23 17:26:14 2018 +0200

    access: bluray: force low delay with timed slideshow clips
    
    (cherry picked from commit f7a730db7d8ca25361d45b93db5edb0f59fbf9ef)

commit 7b69f2bec60a53121dcd6bc569b4243b2e502f34
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 23 12:20:13 2018 +0200

    access: bluray: align read size to cluster size
    
    (cherry picked from commit b9dbc6e2f77b11cf29b02602fb3a63cbbb0529cb)

commit 768eaeddb5d0733e3f7e96d2bf893dacac9d488f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 22 20:55:28 2018 +0200

    access: bluray: reset pcr on every demux initiated random access
    
    core can't cope with diff > 30s
    
    (cherry picked from commit aa290bfdd2000cfee36be92c9a479b0ac52c0ad2)

commit d646475d202c067e536cb6629e504a9c84f2b986
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 22 13:29:31 2018 +0200

    access: bluray: drain on end of title
    
    (cherry picked from commit 0cc37b09515b9b585c0cac8875351616a4049c11)

commit f97c70a9b38c0dae8803b16381b236330cdb2ab6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue May 8 15:24:46 2018 +0200

    access: bluray: enforce seamless timestamps between clips
    
    (cherry picked from commit 61a6647c1155a5ca2d1f4f47dddb1c32a693655e)

commit b7b06f5dde85cad5f4b2a2e8ea8558e0823291a5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Apr 24 18:18:50 2018 +0200

    demux: add timestamps continuity helper

commit 1cb156b662a8369c3e32612c85aa672bf00b37dd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Aug 1 11:44:38 2018 +0200

    demux: add moving average helper

commit f7bb1745ca002046c5ead588262b56141ebbbbba
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 22 19:54:10 2018 +0200

    access: bluray: add discontinuity handler in es_out
    
    (cherry picked from commit 21161cdce8d1302e9911a45f71fc0a03f67ca5cb)

commit 5b84c414ad7b9ece00faace5b19fd6edac92bcb1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 18 21:36:02 2018 +0200

    access: bluray: allow to disable esout output
    
    (cherry picked from commit e2ada88b83a91d7d976ef65942a39895c8fc4083)

commit b05693e03c65733af9a4c9d08b3fbe6cf5b008ad
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Oct 21 12:37:11 2018 +0200

    access: bluray: unify behaviour of all random access
    
    (cherry picked from commit 4cf129654a404239e52b9a1ad913c5a1493a8b90)

commit 1b89390f7832ea13e7e80e30fe5be2c81e5894b3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 18 18:48:25 2018 +0200

    access: bluray: process events after a read
    
    A truncated read can occur on clip boundary
    whose events must be handled
    
    (cherry picked from commit 52e61cda8c05d0f97ae266f1eba94b533375d8a9)

commit 7088eb7077118a52ba223affaafc5ed752fab90b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 19 17:06:13 2018 +0200

    access: bluray: lie to slave demux and ignore selections
    
    (cherry picked from commit 47f8e13abc8a478c2f6dc80b5da080dbf3e85dd4)

commit 2d33086944f7ca64e47c2ccfe195c9a89d169b6e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 18 14:57:10 2018 +0200

    access: bluray: fix BD-J background recursive lock
    
    (cherry picked from commit 13ef07ed408f817a2610092172160cd7546ce829)

commit 1001cfbfc6e5b51e521ec1f68078e6fa0c41d008
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 17 23:46:16 2018 +0200

    access: bluray: workaround stream deselection
    
    In no menu mode, stream selection is reset in
    libbluray registers, depending on language preference.
    
    A more complete fix will require patching libbluray
    to retain full selection (pid|lang+format|lang)
    as lang can have duplicate entries.
    
    (cherry picked from commit e5b7476395f56ad683abe50e7e4091cb451c7755)

commit c6b6e1d60d9cf2076d12429b6f82459c0b97483b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 17 12:03:51 2018 +0200

    access: bluray: add lock in fake es_out
    
    fixes concurrent access due to chained Demux thread
    
    (cherry picked from commit c631c7ec5407e0c299c8a05ddfeade5c1ee96bf6)

commit 6b84c19e7a854af0786927af63912acdb96a74fe
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 16 18:48:14 2018 +0200

    access: bluray: store stream selection in esout
    
    (cherry picked from commit a07b8ba78525a20feecf006f8434516722a11d26)

commit 3aa82819ea0938e5e8c8055a6fdbfe200034d066
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 16 19:05:37 2018 +0200

    access: bluray: store the whole fmt in es_pair
    
    (cherry picked from commit ea7791ad14a65cdf7e44f2cb08674cb80104f5ae)

commit aaca247384b852a870e62d7362dd49ad50bd871b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 16 14:26:05 2018 +0200

    access: bluray: keep es pair in fake es out
    
    (cherry picked from commit 5c22ba84ba79819768a2256ef876200e9014b045)

commit b4eaadd69ae75a616f81ced129b0159787a0997d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 17 14:04:51 2018 +0200

    access: bluray: refactor stream lookup
    
    (cherry picked from commit 2861a844cfb13728c8839642ce5e98ebb8425179)

commit a83f47c2d5a2288186b9f92d58b811ff68026ce6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 16 13:35:23 2018 +0200

    access: bluray: rename bluray fake esout
    
    (cherry picked from commit d5fa5d409a246f0fe19955b87efbc3b476d39136)

commit f4a804df7ab3341b76afcc0c0d6ed668e38449c0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 16 12:52:52 2018 +0200

    access: bluray: refactor and disambiguate es_pair
    
    (cherry picked from commit ec9c759baf4d0cd57e79ded10b348aebcb59d984)

commit 7cb68e46fc1e2d934b1f0a0e0754b2f2b2d488dd
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon May 7 13:52:54 2018 +0200

    bluray: use defines for still image boundaries
    
    (cherry picked from commit 24d43feca0c291f4073fd128ce67a78cf0b04ec4)

commit dd103f6b8da34633b29ac3a8cdedf633ed6dbab9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jul 4 15:51:38 2018 +0200

    access: bluray: define READ_SIZE
    
    (cherry picked from commit 443250a0f52e9c20e22bd3b30ed7c1bf8b9fb5ce)

commit 5a0b134d91793b0fea37d1ab965e2e23c5f72714
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue May 8 15:24:17 2018 +0200

    access: bluray: refactor fake es_out
    
    (cherry picked from commit 8853abc0267232b052575cfb6ad4850da864655b)

commit 9d735f6bb21cab00b48eb67fd14e6a34843346c9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Apr 13 07:31:39 2018 +0200

    access: bluray: do not report time/position for interactive menus
    
    (cherry picked from commit 0dea268d73df247951072f678aeba6d14b1dda68)

commit 5299564d79b7671912a64dc6004249cb43e10f94
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Apr 13 05:56:25 2018 +0200

    access: bluray: fix init titles signedness
    
    (cherry picked from commit 8e2a7a4074536c40368cf582df826387deba0e6d)

commit ae469031f6dcf2daf89e63e971f22ed6ced7c1ed
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Apr 12 15:12:47 2018 +0200

    access: bluray: send proper EOS for HEVC
    
    (cherry picked from commit da4dce1b8d89a52eb9fcc7fdb67244e1637dfec6)

commit 4eea4cefd11cf5fc2e65a303ffcf87a51dc4d064
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Apr 12 15:12:03 2018 +0200

    access: bluray: rewrite eos patching/switch
    
    (cherry picked from commit ad03bd6d72885eb2cdd3f71e89577d573c0b1076)

commit d291a46269c886e99412a37c27045a64d89c03dd
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sat Oct 27 16:38:43 2018 -0400

    demux: mp4: fix ADPCM_IMA_QT sample count calculation
    
    Fixes #21348
    
    (cherry picked from commit 70ff126da4182184fc20a58a9c035e5dd8c8ae5a)

commit 18ff9301fc1acf0f4add623def15ed3ceed8faae
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Oct 21 21:33:32 2018 +0200

    qtsound: Only redeclare function if it does not exist in sdk
    
    (cherry picked from commit 608de0ae39e2ac0e18ed1a1f2b6010ac58eab09d)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit b29e7b9256f0a3692e6110a3a66f2ba2a7fee86e
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Oct 21 21:32:39 2018 +0200

    avcapture: Only redeclare function if it does not exist in sdk
    
    (cherry picked from commit 0f50cd8dcf33a28cead0aae835ecf9a270d461f6)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 5d6cf2cd54e6991c1be35ee2a6a7a7351c3688f5
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Oct 21 18:20:19 2018 +0200

    qtsound: Fix compilation with 10.13 SDK
    
    (cherry picked from commit 194f2787e574ba7504be9a4970b9338777ba6953)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 0aa7083930e0c6040253c1018ba7f1a5d80491cf
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Oct 21 18:19:53 2018 +0200

    avcapture: Fix compilation with 10.13 SDK
    
    (cherry picked from commit fded66483be3cc108affbeef4e86f706950cfb3e)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 0299de24d70ca887e3cc7a10364673fa7dd3510e
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Oct 21 16:16:38 2018 +0200

    qtsound: Explicitly ask for consent before using the audio device
    
    Same reasoning as for avcapture module, see
    ad372574e5e3ce5562dc10eedbb7e2a55de93ac4.
    
    (cherry picked from commit 80282b5a8a7794dfb49056eadafc3fe62d33d59d)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 5d29acc826cf5874c3ed8b7aeaa62b63a866fb6f
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Oct 21 16:11:44 2018 +0200

    avcapture: Explicitly ask for consent before using the video device
    
    On 10.14, the system asks the user for consent for using the video
    device. But by default, it does not block the initialization, but
    just outputs black frames before user consent is given.
    
    This gives a bad experience for the user, also because the module
    is not terminated if the user actually declines.
    
    Instead, ask for consent explicitly, and block the open call to
    wait for the response. On decline, Open directly returns with an
    error, and the log contains the reason.
    
    (cherry picked from commit ad372574e5e3ce5562dc10eedbb7e2a55de93ac4)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit c95c3817d97195879eb23fadc7d4a21eac106427
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Oct 23 20:48:51 2018 +0200

    codesign.sh: Sign helper libaries of Breakpad.framework
    
    (cherry picked from commit 79332e25eaaeb828e8c8a92048e9745f032cb811)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit d2619856cba3a2a69080ba65d7a196c376eee297
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Oct 23 20:43:32 2018 +0200

    codesign.sh: Remove identifier string from sign function
    
    This parameter is not used anymore, instead it is determined automatically
    by the codesign tool.
    
    (cherry picked from commit d24bd15c0509f1a2d4c7e93010fe56a9d945fff2)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 3a1ba9073641b79c2e826e364fea630ebc01f0c8
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Oct 27 17:41:02 2018 +0200

    macosx: Fix quitting of VLC over quit menu item
    
    An event must be queued into the event loop so that the stop flag
    can be executed and the main loop can be actually stopped.
    
    If we we would have called the super implementation of this method
    this would be not needed. But due to our custom deinit code in
    Close, we do not call super, but instead do manual cleanup there.
    
    closes #21369
    
    (cherry picked from commit 874a3e7828879e1f588ff3bb5365328816adceaa)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit a26ab1ec039c2c4749caf3f2bb4b7f3a38c55b0d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Oct 24 18:02:20 2018 +0200

    mediacodec: fix undefined behavior on LP32
    
    cf. https://github.com/android-ndk/ndk/issues/459
    
    (cherry picked from commit c454d1737f1b4bf2ba10c1eb3cbdbfc8b37d512b)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 01083e39ba11271165f9679648b665b13b155c73
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Apr 12 14:15:32 2018 +0200

    use proper check for the search.h availability
    
    (cherry picked from commit 3cea7a78999068f71972094e849f95c1591d3e3a)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 436a1043ee4f078b22de7f7117fed84e8d6578a4
Author: Victorien Le Couviour--Tuffet <victorien.lecouviour.tuffet@gmail.com>
Date:   Tue Sep 11 19:17:35 2018 +0200

    vout: gl: always include gl2ext.h after gl2.h
    
    Fixes android ndk17 build
    (cherry picked from commit b0d41f45f8006ba80578b51071c09dc81cdca1e2)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 522bd3b65fedaa32df30ad0bea86b718eb62716c
Author: Victorien Le Couviour--Tuffet <victorien.lecouviour.tuffet@gmail.com>
Date:   Mon Sep 17 11:32:03 2018 +0200

    vfilter: yadif deint: disable SIMD on android
    
    Fixes android NDK 17 x86 build: clang fails to compile assembly code
    saying it requires more registers than available.
    (cherry picked from commit 812fdcb264e7fee25daab689e1b9904c2677d40f)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit e3baeee84f4205c3d39c5bace7ab4b9778e590b6
Author: Victorien Le Couviour--Tuffet <victorien.lecouviour.tuffet@gmail.com>
Date:   Tue Oct 2 15:42:02 2018 +0200

    compat: add lfind
    
    Fixes android build with NDK 17 as lfind is not always available.
    (cherry picked from commit cf9bd77c67b844cd188f266d6b2aaacdb45bf60c)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit f844c78b272a8e7d4087aa972c9ff7767200c67c
Author: Victorien Le Couviour--Tuffet <victorien.lecouviour.tuffet@gmail.com>
Date:   Wed Sep 12 11:03:42 2018 +0200

    vlc_fixups: fix struct if_nameindex definition
    
    Fixes android ndk17 build
    (cherry picked from commit 0481899b5d17a18d33491f554a8957b63727d864)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 1f41628c6918fc8e59969fb603fcdbe46efbaa7d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Oct 23 14:09:32 2018 +0200

    contrib: dsm: fix Android nl_langinfo detection
    
    Fixes Android NDK 17+ build
    
    (cherry picked from commit 80edb355d9e0685bdb73bc30e83c792cd536ff8f)

commit 00ab22031f0e9439a799bc8731d0f08d151329cd
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Oct 23 12:11:38 2018 +0200

    contrib: dsm: always reconf
    
    (cherry picked from commit 39808918dc06f14dc7c67a0c292558d49cd9efc9)

commit e0736ec3fd2af8a2be35357256b06d88ab53b3d8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Oct 23 14:08:42 2018 +0200

    contrib: microdns: fix Android ifaddrs detection
    
    Fixes Android NDK 17+ build
    
    (cherry picked from commit 161c74fecc4a2b9503f56e7e9f790daa770ce82a)

commit ed44069644145fdab0934e4433bf39305537488f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Oct 23 12:11:32 2018 +0200

    contrib: microdns: always reconf
    
    (cherry picked from commit a22cb071554d2a2b85a80f1c0a87131b41174fc4)

commit 6971f258b7c4d588a6ef5f39ffb8f47f6025e6b3
Author: Victorien Le Couviour--Tuffet <victorien.lecouviour.tuffet@gmail.com>
Date:   Wed Sep 19 16:15:06 2018 +0200

    contrib: aom: fix cpufeatures support
    
    Fixes android NDK 17 build
    
    (cherry picked from commit 530b1c0e76aad02b5c60e2fbe457578aed795ec9)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit de7dac813f891737b9332ec3894eb0bef66372ca
Author: Victorien Le Couviour--Tuffet <victorien.lecouviour.tuffet@gmail.com>
Date:   Tue Sep 18 17:36:56 2018 +0200

    contrib: aom: fix cpu detection
    
    Fixes android NDK 17 build
    
    (cherry picked from commit ea1c82c6588e81a4e877924746f5660143693e84)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 5303c5d4b14f32b0902920fd9126bb5b54157dc8
Author: Victorien Le Couviour--Tuffet <victorien.lecouviour.tuffet@gmail.com>
Date:   Tue Sep 18 14:42:07 2018 +0200

    contrib: aom: fix lib pthread linkage
    
    Fixes android NDK 17 build
    
    (cherry picked from commit 65be347f2fc40f08037bbdcc6726aea21e01abf7)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit fdf70f485bdca2cefd47b572166af84257ca0ea4
Author: Victorien Le Couviour--Tuffet <victorien.lecouviour.tuffet@gmail.com>
Date:   Mon Sep 17 23:43:58 2018 +0200

    contrib: vpx: fix broken text reloc
    
    Fixes android NDK 17 build
    (cherry picked from commit 8e2f1a8c8ef6877b25a43612fcd81bfb8646f1f0)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 6674ee75f1bf75a6702c0437d431055ea7b0e45f
Author: Victorien Le Couviour--Tuffet <victorien.lecouviour.tuffet@gmail.com>
Date:   Mon Sep 17 08:27:25 2018 +0200

    contrib: live555: fix undeclared off64_t functions
    
    Fixes android NDK 17 build:
    ftello and fseeko are available from API level 24.
    (cherry picked from commit 1aaff3b9609f5545bf44903ca23ef0c3be2421b1)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 23258645c6d4c1b78bca9e52607fb2e85542e0ce
Author: Victorien Le Couviour--Tuffet <victorien.lecouviour.tuffet@gmail.com>
Date:   Tue Sep 11 12:43:26 2018 +0200

    contrib: live555: fix in_addr.s_addr field access
    
    Fixes android NDK 17 build
    (cherry picked from commit 9b8b7bc47993c1f245c535b90b613380e39fb138)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c575cef1799bf346c693a2c7f8fe529f7b6c73f6
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Oct 22 11:57:02 2018 +0200

    d3d11_quad: fix buffer overrun
    
    CID #322961
    
    (cherry picked from commit 23e5d8de7c216444317e4f9dd93714b76f27c0a9)

commit b91b3b61a82bf6a3fd5dadf7114e78d19120fe99
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Oct 17 16:06:02 2018 +0200

    Update NEWS after backporting D3D11 fixes

commit b9065345eef1d1d63c3274003974d013bd8fc41e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Oct 15 14:22:40 2018 +0200

    direct3d11: pick the output format based on chroma subsampling
    
    Don't subsample if we don't have to.
    
    In any case we can display in YUVA or RGBA that have no subsampling.
    
    Fixes #20421
    
    (cherry picked from commit f6a25bd66d88eaad77e90e16de08f1fc8f9aec72)

commit f716c6e2adea71415b1a8a8bccb64ec30ec2a3a6
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Oct 15 12:52:20 2018 +0200

    d3d11_shaders: fix stray float3 in tone mapping
    
    (cherry picked from commit 8a2935bff7da2ee1ddb9fb609dabd2c0c5012b59)

commit c7a491fbf354ba1014fb444757881a8eaeb0e4e6
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Oct 15 10:26:57 2018 +0200

    direct3d11_shaders: keep using float4
    
    float3x3 multiplying doesn't seem to work well when float4x4 works fine.
    And it doesn't seem to have any performance impact.
    
    (cherry picked from commit 8180df875791053cf0f745ffe3104c8dae79bc6c)

commit 0df522fac5c82f9191c4b9647f1502ecd0281ed8
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Oct 15 09:42:25 2018 +0200

    direct3d11_shaders: fix negative pixel colours artefacts
    
    It can happens when tone mapping on "LG NASA HDR Demo".
    
    (cherry picked from commit 04d48fefd78e0e170c9937677abc24d7cb43ff33)

commit 7427107d9c77a12673c1eb6869e03887fa63f3aa
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Oct 12 16:21:53 2018 +0200

    d3d11_shaders: use clamp() instead of min(max())
    
    (cherry picked from commit 9bffed4c4d27b641bb035732348bf55dd2d3b835)

commit 1b9c58472e4711cce14ea2a53fb2ac1ccf812fcf
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Oct 12 15:56:07 2018 +0200

    d3d11_shaders: clip linear values
    
    Converting BT2020 to BT709 can create colors outside of the possible range
    
    (cherry picked from commit e06d0df978fc72927bb6a9285927d893556656ca)

commit f13e39b3d68ee9317cecaa73bb8e69abd8619124
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Oct 12 15:19:14 2018 +0200

    d3d11_shaders: add a color primaries conversion in the pixel shader
    
    To convert pixel colors from one colorspace to another.
    
    Using this math http://www.brucelindbloom.com/index.html?Eqn_RGB_XYZ_Matrix.html
    And similar to the one from libplacebo:
    https://github.com/haasn/libplacebo/blob/b6104e121006290f146177e1847ccd7826d2b6f6/src/colorspace.c#L710
    
    (cherry picked from commit 49eb718bc5c3a61fa0b4cbe203e0d2cd7e24e4ea)

commit 587f1c878ab28ca303d41c1593ea151206c6807c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Oct 12 14:55:17 2018 +0200

    d3d11: pass the source primaries when compiling the shaders
    
    the display_info_t already has the destination primaries
    
    (cherry picked from commit a6804a21ab30e8cbf3eb72916262bd6f35e491cf)

commit af8799845807bc58338f0d3b9624608d97289bcf
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Oct 12 14:53:20 2018 +0200

    d3d11_shaders: log the whole pixel shader with -vvvv
    
    (cherry picked from commit a1b3465c6265b850108714ad2306342c18f69907)

commit c10b969de27878799e986f57bc392deeda141cde
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Oct 12 14:52:06 2018 +0200

    d3d11: make sure for colorspace primary conversion
    
    (cherry picked from commit 1dcc1f448e429689976c90a63aaed442d1c16772)

commit 63331b3f416642d21a6af1b2a2065798b964ba0c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Sep 26 14:17:33 2018 +0200

    direct3d11: a device removed/reset is an error
    
    (cherry picked from commit a08bf2242fa1ee6f5c6ad01647b1a218fa3cc121)

commit 3ad404ab6ca40d306758b156780af9402c3cf1a1
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Sep 12 11:39:29 2018 +0200

    dxva2_deinterlace: fill the sample metadata from the source picture
    
    (cherry picked from commit 195ecdd07db944098db6d59c1236c3a7eef9a874)

commit f9b2118bd6382e765f0d00672848b999863095fd
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Aug 2 15:02:09 2018 +0200

    codec: avcodec: map RGB16 (Fixes #19562)
    
    (cherry picked from commit 456a31f6a680400c3533a322cd838159160dcb0d)

commit 03c3510e2156be7a227fae7a00e29e382e121ed6
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Aug 2 15:01:08 2018 +0200

    fourcc: add add VLC_CODEC_GBR_PLANAR_16{L, B}
    
    It was in vlc_fourcc.h but not here
    
    (cherry picked from commit 7670c8c74230a2682195bcb59dbe3b12e0e1c847)

commit 3ec9e83f284aa77dab627bdbc0838ab758a92175
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jan 30 10:02:13 2018 +0100

    d3d11va: do not use the external pool if it cannot be used for decoding
    
    (cherry picked from commit f5320b3c899d75956aee4c14805e5714f28ccc3c)

commit 0ebfcbb4e77f5ee3bb86f69ca64e0dcf195657ce
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Aug 1 10:28:07 2018 +0200

    direct3d11: remove parameter names in prototypes
    
    (cherry picked from commit da2eb1fcde3f9b2ac364294827de2802ed5f904d)

commit 920bc7ece4cb7c21cb8e38bfd5a9c2a0db018499
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jun 5 11:18:39 2018 +0200

    d3d11_quad: fix potential leak
    
    (cherry picked from commit 87b4750d6fefc562dd31c140755c51962a47c9ee)

commit 3ff6847df95ec075034d6992300d3ae86b110f9e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jan 9 15:03:37 2018 +0100

    d3d11_shaders: add a function to clear a render target
    
    (cherry picked from commit 2758d6bd4e5c1d85f097e668ec157493c6c873ef)

commit 4ab5f9915fa6d63b2dd344b8c8b9a1c226aa3dc5
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jan 9 14:26:06 2018 +0100

    d3d11_fmt: add a function to create the render targets for a texture
    
    (cherry picked from commit cfc6df0a17d32bdbfdc318567a633a1e85eb6a9b)

commit f7c2d4a0d376cc8a2f0d2ad915efc325488cb76f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jan 15 15:23:23 2018 +0100

    d3d11_quad: better names for color conversion matrices
    
    (cherry picked from commit c6770b174f0ff670e97716ced65373121a43a6f1)

commit 2e55283d929b69432c3189f24d6f11a90777e816
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jan 9 08:51:07 2018 +0100

    d3d11:shaders: use float3 for the coordinates
    
    Otherwise render to a 2D texture doesn't work. We never need more anyway.
    
    (cherry picked from commit 2deb05b58de17356cba4e8d6bcbc1aa6f7e7c557)

commit dd29291cb13ade8ecd31909cd2e8ec85b242926b
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Thu Dec 21 14:31:25 2017 +0100

    d3d11_shaders: R10G10B10A2 is displayed sampled like other RGB resources
    
    (cherry picked from commit c4de105bb0b78d75f95469bdefe12b24a4a87913)

commit 1480cd7c2b3cdaff48f68907af721bb8334dec48
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Thu Dec 21 18:35:22 2017 +0100

    d3d11_quad: move the vertex input layout in the Quad
    
    (this is not necessary as long as we all use the same one on the same context)
    
    (cherry picked from commit 5269cb157f237a2aa421761526f4d86493d97946)

commit d0a7aee4ddbf38ecfc4f88aa137589fdf6867efe
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Feb 21 14:03:44 2018 +0100

    d3d11_fmt: simplify AllocateTextures() calls
    
    (cherry picked from commit fdcd44202a89352f080def8723f14b041e277030)

commit e9e79be6cdcf4e44b260da7e6da4f5421f02d36b
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Nov 24 08:25:13 2017 +0100

    d3d11_fmt: only list the remaining objects before unloading the DLLs
    
    (cherry picked from commit 97db6a846ba8cf04af548b59aa8f9ea77cd877f0)

commit faa224e9b21d87989c583657abbcb445383fe047
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Mon Dec 4 12:37:44 2017 +0100

    d3d11_shaders: add support for DXGI_FORMAT_AYUV rendering
    
    (cherry picked from commit ce51968ce07b52d32a7a1ff6ccdcf821cfefc058)

commit 7b807ac85c9c6ea2553f533f91f0cc102c761916
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Feb 21 11:14:23 2018 +0100

    d3d11: simplify D3D11_SetupQuad()
    
    Remove parameters that are passed via the Quad
    
    (cherry picked from commit 577ea9c2d37ed34c4b3d96b4393a73e9add13d59)

commit 9b57d135d242f269dcf0fad7ca578c788a57fd31
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Dec 1 14:55:28 2017 +0100

    direct3d11: only look for a suitable decoder format when we need to
    
    And remove dead code
    
    (cherry picked from commit 7d5ab2a61b905b58cb12776f49888aa47995001d)

commit 80430e9143ce2c46a8e7baae874d481e2e5bb355
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Oct 17 15:50:58 2018 +0200

    direct3d11: move the ID3D11PixelShader corresponding to the Quad in the Quad
    
    (cherry picked from commit e389b237114eea2f267d8e6717aeff390e66eb96)

commit cf8136bd9eda22bb3842273ccd03bd2d66c2a662
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Feb 21 10:55:38 2018 +0100

    direct3d11: move the d3d_format_t corresponding to the Quad in the Quad
    
    (cherry picked from commit f0bf03cda3d71fc4e96b0ce011c1b928a6daa43c)

commit 98f705064042adcb251bed7c74b9037416bcd3f9
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon May 28 11:36:53 2018 +0200

    direct3d11: move more Quad functions in d3d11_quad
    
    (cherry picked from commit 7c245b08538c7081c3655e6ef9b517f156e738f7)

commit 93125ccf65679129ad5e434e51a3fdb4773558e3
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Feb 20 17:44:40 2018 +0100

    d3d11_shaders: move the vertex shader sources in d3d11_shaders
    
    And share them for anyone to use.
    
    (cherry picked from commit 3a2fabe650988e556dcb8c597b0467384aadf89f)

commit 8bd8820e05ff59752da34ec5a485065275ee1fc3
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Feb 20 17:41:01 2018 +0100

    d3d11: move D3D11_CompilePixelShader in d3d11_shaders.c
    
    (cherry picked from commit fe1b7df30daf73d5ec740c10d94fc2eb09c542f7)

commit 02fadfcd4c92312489e67c4e7e94525981d521a6
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Feb 20 16:48:39 2018 +0100

    direct3d11: move D3D11_CompileShader() in a separate file
    
    (cherry picked from commit 6e51e865000ce86da5c52dcd29e4024e510fc22e)

commit 4243f7c73949941a90cd4a7cf1782192c56bf184
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Feb 20 16:44:47 2018 +0100

    direct3d11: rename CompileShader()
    
    (cherry picked from commit 9e92cb6e86e9fb7751267e6141eaed07d9068347)

commit 5975994fe4d62690d9e69ff328cbb35afc0fa43a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Feb 20 16:43:59 2018 +0100

    direct3d11: make the shader compilation more generic
    
    (cherry picked from commit 133be56f1b71726a66d79365d9e925df91b8d655)

commit 6cc15f832d46fbd962ba66f60cff727ae4983df5
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Mon Nov 20 11:51:40 2017 +0100

    direct3d11: move the shader DLL loading in libd3d11_common
    
    (cherry picked from commit 6270679d7bb9fb775659a6d9358fde7badafd341)

commit 49bde55e34282384930733edc2e68e7584a82f3d
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Mon Nov 6 18:43:36 2017 +0100

    direct3d11: use a structure to store the display characteristic
    
    AKA the shader output format
    
    (cherry picked from commit cdd9db1013390a0e2cc6eabe42ab3d8b13f12ecf)

commit b9462a459d0f57b965fe4f70783acb20f1193dd2
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon May 28 13:05:52 2018 +0200

    d3d11_quad: move D3D11_RenderQuad in a separate file
    
    (cherry picked from commit 14e215d88f5d587b0be97c6584c4ad473b6ed82b)

commit 80492aca5ab5dba3a6377759f49c83e6a5dd2346
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Dec 1 14:02:55 2017 +0100

    d3d11_quad: move the Quad stride size in d3d_quad_t
    
    (cherry picked from commit 2993e701c8d4de80179528f5ea985fc5c6e1de2c)

commit 0b9027a81fd9ab6e939b5ef975e87d3112948309
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Feb 20 16:26:10 2018 +0100

    direct3d11: make the Quad rendering more generic
    
    (cherry picked from commit 1956b2df01c5830dc5906d36cdd2cac055809003)

commit 0918d4296caaa2a5355ea58a436e16939b7745aa
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Feb 20 16:22:51 2018 +0100

    direct3d11: move the Quad texture in d3d11_quad.h
    
    (cherry picked from commit b7024bace8eb8dd03a5aa08cf7c02ede442f5c6e)

commit b44e529da4f8d231c8f7b6e463d3ea62ccc25085
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Mon Dec 4 17:20:45 2017 +0100

    hw:d3d11: rename AllocateShaderView() to D3D11_AllocateShaderView()
    
    (cherry picked from commit 1378baeb5cc4b1ed34c36f66bf92823fc3dbd16d)

commit a6b3457f13adcf6e918cd0d534177d88c75fb1b3
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Oct 17 13:23:37 2018 +0200

    direct3d11: fix UTF-8 encoding

commit 72e011943665382ff2fb6be2b265f4b676a38957
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Aug 9 11:34:54 2018 +0200

    demux: mp4: add support for AV1
    
    (cherry picked from commit cff945c9fbdf5388847839cfbcdec49d83832b44)

commit c6c60331c3dc5d68639505ef9edbf7119eb7b4de
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jul 19 13:43:18 2018 +0200

    demux: mp4: handle av1C
    
    (cherry picked from commit 2f9a15c3028c901a4973535281d22e561f7bac2a)

commit 4a27c6cd7390e8bc9050f7f58fcedda079b7b515
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 11 22:37:44 2018 +0200

    demux: av1_unpack: fix leb128 width estimation
    
    (cherry picked from commit f6994b6a64735308fd9a83fe8032c5be5402dc80)

commit f1a2c932810b1765910166547e7bd6f32ddcf5cc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 11 15:05:56 2018 +0200

    demux: mkv: use AV1_unpack
    
    (cherry picked from commit 1685d6821f7e88500d9771504a554a34ad17d22e)

commit 29eb16af71ad8f4732571afa24dc82a7378f7fce
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 11 15:03:13 2018 +0200

    demux: mp4: use AV1_unpack
    
    (cherry picked from commit 012a6d58c766774440f1af8df0069b9a03db1d80)

commit 3f45a58a8429e179eb48af94b5f596d9f77ffb03
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 11 11:18:58 2018 +0200

    demux: add AV1 sample unpacking helper
    
    (cherry picked from commit 40634d07f1671c337e87d584d34234f15bc4899d)

commit f648cf424bbb4ea5ac23279745138245a78f797b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 11 15:11:34 2018 +0200

    packetizer: av1: cast enums

commit 23de073328893f2d1a24e15d9f71fd3cef3b2e98
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Oct 10 11:18:56 2018 +0200

    demux:mkv: AV1 in Matroska/WebM is packetized
    
    Otherwise it's a muxer bug.
    
    (cherry picked from commit 76f9e0a433eee84490d3429908d16de856590d19)

commit 1c833fbbb303779c9e66455b6d7c1fd991c3cea9
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Feb 20 15:27:06 2018 +0100

    dxgi_fmt: map DXGI_FORMAT_R10G10B10A2_UNORM to VLC_CODEC_RGBA10
    
    (cherry picked from commit 7710fedb7d6a420c983deec93091fd7de323b4ac)

commit 2e39bc43d528dfbefacc17fa4b9822ca8f3fb2ed
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Oct 31 13:51:07 2017 +0100

    dxgi_fmt: map DXGI_FORMAT_R10G10B10A2_UNORM to RGBA10
    
    (cherry picked from commit 754904d22175371232fa6e5e9f2b13c61be3a792)

commit 0c19a8ff277f577091e79b02fd3b9f864e372221
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Nov 7 14:02:12 2017 +0100

    core: add RGBA 32 bits with 10 bits per RGB channel
    
    Equivalent to DXGI_FORMAT_R10G10B10A2_UNORM. One of the main format on Windows
    to display 10 bits.
    
    (cherry picked from commit bf2f64958b262a0429d5714aa42e367d9c1f10b4)

commit 89e34cfb2461976fe1108f61c8c1b8dcfc1675fc
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Oct 31 13:46:48 2017 +0100

    dxgi_fmt: map DXGI_FORMAT_R16G16B16A16_UNORM to RGBA64
    
    (cherry picked from commit 82ae0d1c2d4ff626960f05e29fd00fd1274af531)

commit 02dbf20976df94f75a40ab1167bfb82ccea955d6
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Oct 31 13:46:03 2017 +0100

    core: add RGBA 64 bits
    
    16 bits per channel. Equivalent to DXGI_FORMAT_R16G16B16A16_UNORM.
    
    (cherry picked from commit 9155641b721004dcc0d7bd9d78c67181b44e38ba)

commit d8c6b239d0faa026831ad6cadaf441beb2e46b87
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Oct 15 13:07:30 2018 +0200

    direct3d11: don't use the flip model before Win8.1
    
    It's supported but Win7 can still use the d3d11 output.
    
    (cherry picked from commit e544360e0bd57bc1d979d260b1ad2098331f1fc1)

commit 736c0e86d05212c37db1992690ca982dff3b920c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Oct 15 12:54:29 2018 +0200

    direct3d11: use DXGI_SWAP_EFFECT_FLIP_DISCARD on Windows 10
    
    See https://docs.microsoft.com/en-us/windows/desktop/direct3ddxgi/for-best-performance--use-dxgi-flip-model
    
    (cherry picked from commit d4f178086f313c759dca1b471666216226bba3d6)

commit acc72c6e25ae9c47b95d16d46063cc043c3e69be
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jan 16 10:27:16 2018 +0100

    fourcc: list the YUV 4:4:4 with alpha channel as YUV formats
    
    (cherry picked from commit 1c52f12f952060e04c16ef511bb8a0d886f9fbd7)

commit 5749f82725c1a4390c8c1b5e4e2fd4f548df2971
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Dec 4 11:43:14 2017 +0100

    dxgi_fmt: map DXGI_FORMAT_AYUV to VLC_CODEC_VUYA
    
    (cherry picked from commit 768e25d29d22db98bbb0d8f3adc78f4445ac0d6b)

commit 3f978f5d0e26c1ce5d1ecaae371fc4920bf08aa6
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Dec 4 11:41:26 2017 +0100

    avcodec: map VLC_CODEC_VUYA to AV_CODEC_ID_AYUV
    
    They seem to be the same MS format
    
    (cherry picked from commit b1126dfe650ac663e8858a400bf7faa3c34c31fc)

commit c6e65aeabb9d85109637ede100dd0dc223bed08d
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Dec 4 11:37:53 2017 +0100

    core: add packed YUVA
    
    (cherry picked from commit 52bc3a57cca59c8bfef0c6d98d37154ea9714e18)

commit 3a4fefdfe0a25bc77ecba6e9c355e0cf2d7e915a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Sep 11 14:37:55 2018 +0200

    d3d11_filters: disable extra processing done by some drivers
    
    (cherry picked from commit 54af59e1f80c0b519191878ce521aeaac39ffbca)

commit 49d2cbb9e3c2e9219fd6d8306f5723c36619a453
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Sep 11 14:37:37 2018 +0200

    d3d11_deinterlace: disable extra processing done by some drivers
    
    Some end up overblowing the picture for no reason.
    
    (cherry picked from commit 79330fd2fc23deed82a101425e7f12d9b18a4625)

commit c9e19828f54108fbdb4ca6c4ba57df8ca6d8ed87
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jan 30 21:19:45 2018 +0200

    avcodec: get avcodec-hw value explicitly
    
    (cherry picked from commit 2f952cf739b636fa7fb01c74baa86fb2c9207d79)

commit 95ffadba8e4eed724d962f2898985dffeb73c042
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Sep 11 15:18:14 2018 +0200

    dxva2: disable decoding to IMC3
    
    On the platforms where it's supposed to work, it doesn't.
    
    (cherry picked from commit 8f199cf6c655fde022c887b96b2b66a4ebbd2cf9)

commit 462ffd25dafb144c5bfe4763bb889bf85685b34e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Apr 19 15:58:36 2018 +0200

    dxva2: log the adapter Ids as hexademical
    
    That's the common way to refer to them.
    
    (cherry picked from commit a8ac11fe302dd39a2082bb63b3cef9dd2166f2e5)

commit ede7eed21134b3d7ee4baa3ac182856ddb4c39f0
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Apr 19 15:58:26 2018 +0200

    d3d11va: log the adapter Ids as hexademical
    
    That's the common way to refer to them.
    
    (cherry picked from commit e6e2dc4b4da7f37af8130e67fea997de9ef08b0c)

commit c42a7204e588ce5a54055cc8ea6c016ad764c67e
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Aug 9 09:58:40 2018 +0200

    d3d11va: Remove tabs
    
    (cherry picked from commit b38a4a4825eabc6a6866db4109ccdd7c364d2204)

commit 781447e4e0f8c42bae4689b03e38df20543012c8
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Oct 9 14:51:52 2018 +0200

    d3d9_fmt: log some device values as hexadecimal
    
    it's more readable this way
    
    (cherry picked from commit 30b8c2f7e269a538390ba42c95d5729650e1a0ac)

commit cf9860e18152b41c458f3e9139e856c001491ec2
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Oct 9 14:54:32 2018 +0200

    dxva_blacklist: blacklist Core Duo and older chipsets
    
    They can't handle decoding+deinterlacing at the same time fast enough.
    
    (cherry picked from commit 131a264288fef5d678f9b51c4f7ce5869c510f37)

commit 79ed7f52059b88463495ef9dfe791a8fef871959
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sun Oct 14 14:11:02 2018 +0200

    contrib/vpx: fix iOS minimal version
    
    (cherry picked from commit 3c18f89171decec31409a4c33a026c01e1b7e756)

commit 5bd058acf1dd2e0a7540b08cf9966be0128eed7a
Author: Salah-Eddin Shaban <salah@videolan.org>
Date:   Thu Sep 27 18:50:06 2018 +0300

    Freetype: glyph advance values can be negative
    
    fixes #21242
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit abeeacc5873d631708360a2228f2a6d171b8ee5c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e9d85901c060ba920530ccbcfae2d3bfcce77d1c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 10 11:45:29 2018 +0200

    demux: mkv: readd missing AV1 temporal delimiter after demux
    
    (cherry picked from commit 7f8079692efce04977de79d1c050e23477dc76d3)

commit 3f38d85d56ed39427e67fed649432500d51bcb8b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 10 11:16:29 2018 +0200

    packetizer: av1: fix bogus cast in leb128
    
    refs #21275
    
    (cherry picked from commit be45c6d961dfd135616594ddbb19a0bd64b42e43)

commit 6b0db1afda56b33882c16a0312e5c6c995790200
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 10 10:31:23 2018 +0200

    packetizer: av1: fix segfault on invalid OBU
    
    refs #21275
    
    (cherry picked from commit 70e36e296718660bf4868a859aabcc9f948e3ca3)

commit 018225d5b4bddde7340cb1930f252d9aff068e7c
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Tue Oct 9 15:12:47 2018 +0200

    contrib/aom: fix compilation for iOS and tvOS
    
    (cherry picked from commit b479f6d26ae8c12873fd32b208894ff0753f2c00)

commit 5413be8a0508b0f3ea7ae5f32a122dbc3e29ea4b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 5 22:46:23 2018 +0200

    packetizer: av1: complete and use canonical names for frame type
    
    (cherry picked from commit 0f782355c8be368d9e7f7a96f66c2964bbbfb1df)

commit f16846b0daea53f4e55d7bea80063a1f891bf6b1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 9 12:34:51 2018 +0200

    codec: videotoolbox: don't expect proper NAL for iframe
    
    (cherry picked from commit 6f69616f154c5d12c90008e2262bce668f674db7)

commit a295995e1222d61406945e73000b2c50e6168041
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 9 11:57:56 2018 +0200

    packetizer: hevc: don't expect specific NAL for IFrames (fix #21289)
    
    (cherry picked from commit eb89ac907209be7c4bd57cb18b94e1059fd71e90)

commit e43004ec8a747fe2f436154abc80725b08685d4a
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Thu Oct 4 11:41:33 2018 -0400

    contrib: aom: disable av1 encoder
    
    Encoding hasn't been backported.
    
    Reverts 2f9f827f9e98267d337ca88b5d04d276055ef2b3

commit 66a706f435bdf88ad4b51b4f2ceee4728ab6036e
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Wed Sep 26 13:40:55 2018 -0400

    contrib: aom: bump to a version that default enables row_mt
    
    This speeds up decoding.
    
    (cherry picked from commit 7506d2622bdf4ea5101288413935af97bedd62e9)

commit ecf0a7c2fd1ba4e4e1a3920259ef1b2957728b35
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Sep 13 10:44:15 2018 +0200

    contrib: aom: use a more recent version that doesn't leak on film-grain
    
    (cherry picked from commit 9d4167e23e13a17c71a5e16a60040dc94e8032b0)

commit a3fdf0193a63d4abf7b094b44805644dc061e428
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed May 16 15:30:11 2018 +0200

    contrib: aom: make sur we use pthreads-win32 on Windows
    
    (cherry picked from commit b7bbf72878edfd230bd17d799a198c9bed395058)

commit 93d6ae3fc415e3672941447b55d3741d7deefd2c
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Apr 19 14:40:48 2018 +0300

    contrib: aom: Use asm/intrinsics on windows on arm/aarch64
    
    (cherry picked from commit 5157dc8988d6c2f7b3f07da9951c1d43053d42be)

commit 79130a43440a25d05dd6ac1f9b0da778568345bc
Author: Martin Storsjö <martin@martin.st>
Date:   Sat Apr 7 00:35:48 2018 +0300

    contrib: aom: Set AOM_TARGET_CPU=generic for windows on arm/arm64
    
    This avoids trying to use any assembler optimizations there; enabling
    that requires a bit more patching.
    
    This fixes building aom for armv7 and aarch64 with llvm-mingw.
    
    (cherry picked from commit 674f4dac30e179638e52eb3a38aaefefa79da85b)

commit 76fc55ed9ec69502fa2f88c2802d0816d7f33630
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Apr 4 17:22:07 2018 +0200

    Contribs: activate AOM/AV1
    
    The codec was officially announced, and is almost finished.
    
    This should not be BP to stable until there is an official release of
    the bitstream and the software. But it can help to test, for now.
    
    Fixes #21227
    
    (cherry picked from commit 3b0b35f33eeb73b68a037008bdb171a37ae287a1)

commit d1719cc1aa1fdc24653293f98d8041b4ad62e46d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 2 18:58:05 2018 +0200

    packetizer: av1: clear undefined shift
    
    (cherry picked from commit b3f7b29b0320f1e953da2b66be69033754633024)

commit 202bd6218548b49241838075020158f668204b5f
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Oct 1 11:26:39 2018 -0400

    packetizer: av1: drop unused include
    
    (cherry picked from commit 4e3b0acd2c0348a38d5dbda978547d259702c9f6)

commit 31122aaf1ef61389e0da48d6221098ffc49d95c4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 26 14:37:47 2018 +0200

    packetizer: add AV1 packetizer
    
    (cherry picked from commit 489384ea50ebe57b5e4d2524c1b5cba2bbe806c4)

commit 7dc9305e83d919cc7010401d4b0c4885ba44d4b6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 26 14:36:53 2018 +0200

    packetizer: add AV1 helpers
    
    (cherry picked from commit e9be573ff0ad162ac2ac545b7cbff491a102e4ad)

commit bb447e5bfcb77e7abd7d692ac153f4709bda3c47
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Sep 28 16:46:10 2018 +0200

    demux: mp4: add AV1 missing temporal delimiters
    
    (cherry picked from commit 0d5de3730835d84ae435cd949344631c850bb69f)

commit 66c5b474959293faa3d8546b937f2985853e02f5
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Sep 12 11:38:14 2018 +0200

    aom: don't pass the private structure pointer, just the index
    
    We can never get a NULL pointer from libaom this way. The PTS may be wrong but
    it won't crash.
    
    (cherry picked from commit 96a606dcaf1bb53537d902b2235c41856cc218bc)

commit fd46f980eb0a02fd5da3d74b2b2abece62f521c3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Aug 8 16:54:12 2018 +0200

    codec: aom: do proper color mapping
    
    (cherry picked from commit c4e5806a0e12dfb099abe865facb5bc7c10e30e5)

commit 0a59986d1c56dbcd233da69a27aebe170bcca248
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jul 19 16:56:30 2018 +0200

    codec: aom: flush decoder on seek
    
    also drops flushed pics intead of sending them
    
    (cherry picked from commit 7d721887512fd4a103215c8949268670c6030cda)

commit 0e662bbbf8af9e679e962097d7d582af623b31a4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jul 19 16:51:29 2018 +0200

    codec: aom: handle drain
    
    (cherry picked from commit a0fe91a6bb6acd224ee86f5fa9fc2f5b770e1707)

commit 4691faa8149fc422c6e4a923837a58cc89b068d4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jul 19 16:46:40 2018 +0200

    codec: aom: rework decoder loop
    
    now outputs delayed frames
    
    (cherry picked from commit 548a1ee07111695f0f34b567486bb259f5611840)

commit cbc1a02c032945b8b86f08c6cf203ebcd1e8667e
Author: Niklas Haas <git@haasn.xyz>
Date:   Fri Sep 28 19:18:44 2018 +0200

    vout_opengl: update for libplacebo 0.6 API
    
    This removed a superfluous field from the pl_shader_alloc signature.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit b90995ef08c2d72a0222c527e1ef3d586d00bccd)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 159ef80cd41bbb24fca51044b09fa73f33382a28
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Sep 26 13:40:51 2018 +0200

    d3d11_deinterlace: add missing D3D11 DLL use
    
    in case the vout is deleted before the filter
    
    (cherry picked from commit eca88bc672ce3fbe80c818a9ddb5c51f6faea8a7)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0d60205dd5f6b68ea0e6ad46213f4ed0cadef1db
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Sep 24 19:05:08 2018 +0200

    macosx: replicate hack in AppKit to retain compilation compatibility with macOS 10.13

commit 8bf109b35721ee29795239df07f86d213356fc86
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Sep 24 15:43:52 2018 +0200

    macosx: enable dark mode on Mojave even if compiled against an older SDK
    
    When compiling against the 10.14 SDK, it would be enabled automatically. This flag allows us to continue using earlier SDKs while retaining support for it.
    
    (cherry picked from commit 4e44bc66c97845603ed613fe79976bfb93bb0dce)

commit 2da573174e5eee4145e860994b33ddfa890378fb
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Sep 24 18:32:54 2018 +0200

    macosx/main window: add dark mode dropzone icon

commit a155ed56e9dd547061c1a032a3b26587afc05beb
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Sep 24 17:34:27 2018 +0200

    macosx/main window: add support for dark mode in mojave to toolbar and window decoration

commit 0e8d438495f4e16e6a1fcd8ac2bf5c0f8e2a4a27
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Sep 24 17:32:33 2018 +0200

    macosx/simple preferences: add support for dark mode in mojave
    
    Also reflect the fact in the UI that the interface style can no longer be changed by the user on macOS Mojave

commit 5b75f3dc693d220314a4c935e6a7759aaa8bc4c5
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Sep 24 00:22:43 2018 +0200

    macosx/VLCVolumeSlider: add dark mode support for mojave

commit 36d9463569fe62ef78a2bcdd67276c7cff28009c
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Sep 24 00:07:58 2018 +0200

    macosx/VLCSlider: add dark mode support for mojave

commit 1bbb128efe107256b71752df51966b5a871dfd0f
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sun Sep 23 23:49:59 2018 +0200

    macosx/VLCBottomBarView: add dark mode support for mojave

commit 002f1025e0388ffd9d057d59b9c37382c3c6d982
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sun Sep 23 19:41:44 2018 +0200

    macosx: retain compatibility with macOS < 10.10

commit 87ebe31a60c662b23a1df7aaa22c331e38ec0d72
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Tue Sep 4 18:35:13 2018 +0200

    macosx: fix incorrect display of attributed strings in about panel and addon manager
    
    Due to a low-level AppKit implementation detail, all attributed strings will be Helvetica sans-neue and black unless you request otherwise
    
    (cherry picked from commit f72c3a4e1568513d94ee79177f03f27e3fc335dc)

commit 5e39b441dccc745316f446bb89fe81afd68e05f4
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Tue Sep 4 18:16:11 2018 +0200

    macosx: minor refinements for dark UI mode
    
    (cherry picked from commit 6a1b0be5915ba6d158889bf72a2a0a5c0d1bdcdc)

commit da083fcd8158809992bb2cc480f434b5b5650737
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Tue Sep 4 16:40:46 2018 +0200

    macosx/mainwindow: improve dark UI appearance
    
    (cherry picked from commit 98dfe25426d4ad6180632df17e146d0335b4fe67)

commit 38e57968b65e3a4a691f6b683e386565ca0fd865
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Wed Aug 22 16:19:30 2018 +0200

    macosx/about: improve dark UI appearance
    
    (cherry picked from commit b571cbc70cb715470db75f621dae12b10b90d3de)

commit 015e3ef03e6f8ae06175b16369b998f094a9b99d
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Wed Aug 22 16:10:59 2018 +0200

    macosx/open: improve dark UI appearance
    
    (cherry picked from commit 9d2be9e4ecce14d85560324c847e28b25e1dd92c)

commit 8dcb9bffcae7dccf3f769bc038fcd7bafa5e73fc
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sun Jun 10 10:57:12 2018 +0200

    macosx/VLCDefaultValueSliderCell: don't access AppKit instance variables directly
    
    Access to those will be removed in a future update of macOS
    
    (cherry picked from commit 934390c913227365f362b294f454791b095f0f60)

commit c5ae5bb68fc809255046ac9c53b6e63f395f246e
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sun Jun 10 10:55:03 2018 +0200

    macosx/windows: don't access AppKit instance variables directly
    
    Access to those will be removed in a future update of macOS
    
    (cherry picked from commit e5b2bb20b3285974e05b6c9e11a9d97584cf2099)

commit 5722df04ae139aade659768a3179d79a23cd73ab
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sat Jun 9 20:02:35 2018 +0200

    macosx: fix deployment target of two xib files
    
    (cherry picked from commit cb19b8d8ef2f9515034eac3b437eb799a6e09086)

commit 4ea463d08e6293b219bf1ae3a920989ae70f0012
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sat Jun 9 17:55:00 2018 +0200

    macosx: add missing selector declarations and more cleanup
    
    (cherry picked from commit 47c81aff1ca2d396ccbb0366b537d54bdd50b0f2)

commit d43fe59e59ca5adde50d3923c7c1761ec790d5e1
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sat Jun 9 16:22:49 2018 +0200

    macosx: add missing selector declarations
    
    (cherry picked from commit 904e3843266b61b10e50b4cc3312056dfbfe6c58)

commit 17b70071b08770c47b9d13272956e0bc7005bb50
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sat Jun 9 16:14:33 2018 +0200

    macosx: remove write-only variables
    
    (cherry picked from commit 1e03d06491e5da4278a2423d2ecd11932b002cff)

commit 05093965224e56ffcfa357da8c67d13d2484f34d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Sep 9 03:32:59 2018 +0200

    youtube.lua: update signature descrambling javascript parsing
    
    The signature descrambling call has moved from using the static
    "signature" string, which could be used as an obvious anchor when
    parsing, to a variable field; update parsing accordingly and document
    properly these parameters involved.
    
    (cherry picked from commit c178a196d37f784437c89d004cbacc66ec0d39ae)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 399ce0fef515bbf0a19f3b1e545232197b5e18c0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Sep 7 12:15:40 2018 +0200

    packetizer: vc1: fix leak
    
    (cherry picked from commit 988e4c03954beac39be22cf1da9f940d0928d52c)

commit fb38da60ff7129aaeab44432d8f0714889c7fcc9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 5 17:30:28 2018 +0200

    demux: dash: fix dead start segment with small availability windows
    
    (cherry picked from commit 560ce4616e3409630a3eaad1a312553102329f3d)

commit 7210d0a7d3148c18834570ea437c2c96d7f62c49
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 5 15:19:50 2018 +0200

    demux: adaptive: never reuse chunked stream
    
    (cherry picked from commit e5dbc5301ebd383f8c4d3eb933703a293e8e8260)

commit a1c8f848d73f6180f691002b53431a7557ff87c0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Sep 4 12:56:08 2018 +0200

    Update NEWS and bump to 3.0.5

commit 042b75e400bb259ba142f91464a214897476488a
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Aug 23 19:09:50 2018 +0200

    macosx: Convert and save: Use correct port
    
    Port must be part of MRL, not as a separate field (which does not
    exist).
    
    (cherry picked from commit 4da26c6c9c8137d9d84ae66d64775760da4d1674)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 7043b5bc20c30bf225601571679662ac8af6d9a9
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Aug 23 18:40:16 2018 +0200

    macosx: Fix streaming using convert and save panel
    
    Closing bracket was missing, also :sout-keep seems to be not supported
    (or needed) here anymore.
    
    close #21037
    
    (cherry picked from commit fdb955057a71eb71bfb635fd099085585d01a767)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 6f2c751c0989362557614374727cbb0ada9ed32b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Aug 22 10:43:14 2018 +0200

    demux: libmp4: SmDm is fixed point
    
    (cherry picked from commit dcb0c69563163968c2538504d9f619ab69fe44be)

commit f8e1f144e40a7b6d6c7fda7d443ef6ef081bb027
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 21 18:57:26 2018 +0200

    demux: libmp4: fix reading SmDm/CoLL
    
    (cherry picked from commit 3e2d5c34e5f797aa6bc2f9fdfac61ab21cd1849f)

commit 14bb61d7abb0bad568b0d071bfbdc3e87c0c2e67
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 21 13:47:10 2018 +0200

    access: live555: don't send keepalive over rtcp
    
    breaks data flow
    
    http://lists.live555.com/pipermail/live-devel/2009-January/010108.html
    (cherry picked from commit 393030d22c3709f5a85715d6a850a01cd08db856)

commit e23d2ab5a363a7d36af5138edb2b611325f701d2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 21 13:29:38 2018 +0200

    live555: dtsgen: reset depth on seek
    
    (cherry picked from commit fe0fecf5d8c1bd00f1655658c0671e5a9109c6ec)

commit ff5d8205a4b7f3c0db6143e881a52add6fc57069
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 21 13:26:56 2018 +0200

    access: live555: really fix off by one
    
    (cherry picked from commit fba91f93af1616fac8ef0c1f8f4dd47c196b241e)

commit 1b4b3178696b0ab493ca7a198078175f84a9640e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jul 8 22:09:37 2018 +0300

    playlist: ignore uncork if paused upon cork
    
    Only resume the playback automatically when the audio is uncorked,
    if playback was actually active and got paused at time of corking.
    
    This does not address all cases. If the user toggles with play/pause
    while already corked, then it is unclear what should happen.
    
    (cherry picked from commit a195ecddbe18c7a51cbe7ecdec11afd6f589844a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a1944e847579bf9c4adcdc88c6e0f3185554810a
Author: Devin Heitmueller <dheitmueller@ltnglobal.com>
Date:   Thu Aug 9 15:36:44 2018 -0400

    hxx_sei: Fix improper counting of remaining bytes due to 3-byte emulation
    
    The routine which iterates over the RBSP to process the SEIs
    attempts to accommodate the individual parsers not reading all
    the bytes (i.e. by reading any remaining bytes before restarting
    the loop), as well as detecting if the parser for a given type
    read past the end of SEI.  However the implementation does this
    by noting the position of the start of the NAL, getting the
    position after parsing, and computing the difference.  This does
    not take into account that the bitstream parser has a pf_forward
    routine to strip out 3-byte emulation.
    
    Hence in cases where an emulation sequence is found, the number
    of bytes processed by the parser don't match how many bytes were
    actually consumed in the stream.  The failure occurs at the bottom
    of the loop where either it fails to read out extra bytes if the
    parser didn't process the entire SEI, or aborting prematurely
    thinking that the parser processed too many bytes.
    
    To avoid this issue, clone the bitstream into a second instance
    which already has the three byte emulation stripped, and use that
    with the existing parser routines.
    
    The use case where this problem manifested was a low latency
    stream where it failed to find the SEI recovery point because
    there was an emulation sequence in the preceding picture timing
    SEI section, and this caused the loop to bail out because the
    bs_position was past the size of the picture_timing SEI length.
    
    Signed-off-by: Devin Heitmueller <dheitmueller@ltnglobal.com>
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>
    (cherry picked from commit 9a478df9efbc80b5718b2c7e5fe6511e183f56c4)

commit e53e2385366f0a9c90acfbf941f7c58c32d59a0f
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Aug 19 02:50:42 2018 +0200

    macosx: Fix argument order when constructing stream chain
    
    (cherry picked from commit feb75e4148220664fc3c38766390083b19077904)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit e45628283d53af07e0299599928ded3b674372d5
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Thu Aug 16 11:18:36 2018 +0800

    packetizer: hevc_nal: fix visiable size
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>
    (cherry picked from commit 596b67eb798ca4fa37ca61c2e576cefebe3c92c9)

commit 3a0e78218a224756f8a0303d2e566e5622a49c1b
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Fri Aug 10 17:24:53 2018 +0800

    packetizer: hevc: fix typo
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>
    (cherry picked from commit 2d0c701fb6c3745648e1bb9694f21a354643a7d1)

commit d80b5bdf2319408261e5e6736f8a79f84544ac7c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu May 17 10:14:01 2018 +0200

    demux: ts: simplify mpga probing
    
    also fixes false positive with ADTS
    
    (cherry picked from commit 5f46e004cf0682314692e5a1fc101d29c37fe258)

commit 5a7ad1b63678634706b7fadf2d0feba5805fbffd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jul 30 21:55:38 2018 +0200

    access: live555: generate dts
    
    (cherry picked from commit e5870f5a5c63cbfa4913352fd62f80d88e7d85ae)

commit f615db63323905da6bdff735c1c717e33e3024fa
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Jul 24 17:37:53 2018 +0200

    winvlc: Work around lack of relocation table in vlc.exe

commit 7da4777400949df7388875b6864a2040e6df296a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Aug 9 15:34:55 2018 +0200

    magnify: only copy the visible pixels of the source visualization
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d9e27703851d3e2b3db300b1f6727569919507ca
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Aug 9 13:30:13 2018 +0200

    chroma: cvpx: fix possible buffer overflow
    
    cf. https://code.videolan.org/videolan/vlc-ios/issues/261
    
    A lot of crashes happen when doing the CVPX HW -> SW conversion. Unfortunately,
    I was unable to reproduce it.
    
    My best guess is that this buffer overflow is caused by the i_visible_height
    that is too big.  This value should be correct since it comes from the hxxx
    packetizer, but it may be different from the actual height of the cvpx buffer.
    
    (cherry picked from commit d0de1ecd59c07bb5c3d857c3e1bed9616a1e09f3)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit e2a0d6361b688049caf98b34e80354a25a5089f3
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Aug 9 10:21:55 2018 +0200

    Update NEWS

commit b183bec33ccfe8e0a6436783b0453cf432d6b90e
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Aug 9 09:58:23 2018 +0200

    dxva2: Fix memory leak on error
    
    (cherry picked from commit 0fd8cdabe9d584bbc4f46e819af68ea0d7dbd315)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 5a52f2adeace5b7a36866c94310de7b9f2a44442
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Aug 9 09:57:56 2018 +0200

    d3d11va: Fix memory leak on error
    
    (cherry picked from commit d88ee7f07c47d1e71797391b0e50c330cd90a4af)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 22c676a605428dc725efb41e1fb5e3ce49d07dac
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Aug 8 23:16:21 2018 +0200

    NEWS: update for macOS

commit d3ea392e08a9773a5251b0d96fef6c3a99ce8cf7
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Aug 8 23:02:31 2018 +0200

    macosx: Fix model rebuilding after drop operation
    
    The old code does not take into account the index shifts if
    dragging an item down the list.
    Easy fix is to reload the whole model for now.
    
    (cherry picked from commit 7cb147a34148621551e89cdfe0448244f34252b6)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 69dd0cb61abb66be4ca0a473391e856a5abad4e9
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Aug 8 00:01:39 2018 +0200

    qtsound: Fix configure detection and build
    
    QTKit header includes objc header files, therefore the configure
    check must be done with an objc file. Also, fix build of qtsound
    module.
    
    (cherry picked from commit 0d181b4172cdeb5bd39b059253b4f8a4da7d0db7)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 33849a7fc3a948da2ddd6a96533e057583ef8e54
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Tue Jul 31 10:55:45 2018 +0200

    Qt: Fix tooltip position
    
    commit 5815534 ("qt: make the time tooltip a tooltip") reintroduced the
    bug fixed by previous commit ea99237 ("remove X11BypassWindowManagerHint
    from time tooltip") meant to fix #17829.
    
    The tooltip window is a shaped, override-redirect window which shows
    when the pointer enters the slider and disappears when it leaves the
    slider.
    
    By placing the tooltip window too low, above the slider, vlc causes a
    constant map/unmap of that window which will flood Xwayland and the
    Wayland compositori.window manager and can up with a deadlock situation.
    
    When the tooltip window is showing, the pointer will enter the tooltip
    window and thus leave the slider, which will cause the tooltip to be
    unmapped, which in turn causes the pointer to re-enter the slider area,
    which will cause the tooltip to show again, so on and so forth.
    
    On Wayland/Xwayland where the Wayland compositor (i.e. the display
    server) is also the window manager, that can lead to a deadlock
    situation because some X11 requests are blocking on rountrips to the
    Xserver, which in the case of Xwayland is also a Wayland client, waiting
    on the Wayland compositor for some operations, the Wayland compositor
    being also a Window manager and an X11 client at the same time...
    
    Avoid the issue by placing the tooltip so that it does not show up at
    the same location where the slider is, without overlap, to avoid that
    map/unmap requests storm.
    
    Closes: https://gitlab.gnome.org/GNOME/mutter/issues/244
    Signed-off-by: Olivier Fourdan <ofourdan@redhat.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 6579a36c56ed30b72de584bf0e8cf21af1a90cf7)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2b0833eb984096ab29360b68a15c7b23ccbe3c53
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Aug 8 13:42:05 2018 +0200

    demux: adaptive: move lock to non buffered chunk
    
    (cherry picked from commit cedb5bb7fbda46f1bc7cc6ac834905ed4c140dfc)

commit ffa68425f82471fc423879a3cf687ff67db87bc1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Aug 8 13:39:08 2018 +0200

    demux: adaptive: remove debug leftoff
    
    (cherry picked from commit 2b111c4bb8daedb7342272337e18369a5f986519)

commit e970754d2142b47c14f29d2ec3dfee691f64d815
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Aug 8 13:33:15 2018 +0200

    demux: adaptive: check connection for content-type
    
    (cherry picked from commit fa4d9d65fd8aefcf29a9d3945150410616c005e5)

commit 05ae946c651666a2316f9ec497f00cacf5ccdab3
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Tue Aug 7 12:47:02 2018 +0800

    mediacodec: fix rotation handling
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 2142b90d7ecb2d38bb7e11db36344d3d8ed80335)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit fb5fc884310ad372055b6b9961096f5967448c88
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Thu Aug 2 16:53:19 2018 +0800

    mediacodec: fix check on csd i_count
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 0cdd6619555ddbee99f1097ecfbaefe22c7dafab)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit b33c5a26bc1f3d0e644e8b875f56c7e33ada275b
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Aug 7 14:18:04 2018 +0200

    d3d11va: make the OS detection not dependent on the app manifest
    
    hopefully the location won't change in future Windows versions
    
    (cherry picked from commit 28676840e3539b56c3339ee617d6b982e0565ed9)

commit 083e7b6f9b80fdfe16cb989d622947304a15119c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Aug 7 13:16:48 2018 +0200

    d3d11: test if a texture format can be used before deciding to use it
    
    Some formats are not handled properly by drivers and so we should fallback
    to working ones when looking for a display format.
    
    Ref #19162
    Ref #20681 (work around the conversion issue which I can't reproduce)
    
    (cherry picked from commit ef69fb83f60cd7b12e8f230269222f588587f1b8)

commit 57af75792baeaeaec276e5a6ec03a54e59bb5664
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Aug 7 13:17:40 2018 +0200

    d3d11_fmt: pass an object and a d3d11_device_t to FindD3D11Format()
    
    So we can test for more errors and log them.
    
    (cherry picked from commit 58739768a0bcafeb10791684a90af55ce740fb57)

commit cfa02ee978523a85b76fd4259a82dc4958920d62
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 7 11:09:58 2018 +0200

    demux: avi: workaround broken RGB in Compression usage (fix #20475)
    
    refs broken_RV24_as_Compression.avi.bz2
    
    (cherry picked from commit 484ac1b76aa209cb7ab10e33daf65936d7113903)

commit db3dd8dccfb53726f8711f7d0fc9c308daf70910
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jun 28 11:53:23 2018 +0200

    demux: ts: restrict HDMV secondary to exact range
    
    (cherry picked from commit 4613998310457312a0ec13100b75d21c1fd80fc6)

commit ff9689a819936c3af91dae7cba5e9c59337e1c78
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Aug 7 09:46:20 2018 +0200

    glwin32: don't activate on XP
    
    Close #20580
    
    (cherry picked from commit 23e8aa021004679ff212fb95e9244f4ecfeb344c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e139904d511af5a749c3f178c816a7cea86972a8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Aug 7 09:33:03 2018 +0200

    Update NEWS for 3.0.4

commit 588c9b64afe16f78f6bda09edecb2dc2b8afc742
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Mon Aug 6 14:14:17 2018 +0200

    lua: fix memory leak
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>
    (cherry picked from commit b9cef2cce0ceb17a10af5db9fe9640e772d07dca)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 871e9b0a198785c0e54a32eb17819482ada89c05
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Aug 7 09:13:34 2018 +0200

    NSIS: Fix Latvian translation

commit a70273d7ea6659928669ecfcc221526d890d2af7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Aug 7 09:13:19 2018 +0200

    NSIS: fix French translation

commit 47755e9fa436af9b5d326fd7db96c0cc4b6591d5
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jul 30 13:59:36 2018 +0200

    avcodec:video: log the reason why the format change won't reuse the decoder
    
    Ref: #20343
    (cherry picked from commit 923dcb3cda8fa679ebb14809a3e9b7c6d8a40054)

commit d4dc21260f4684619372823a8da13b112ec3e990
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Aug 7 08:07:12 2018 +0200

    direct3d11: log the actual source pixel format, not the assumed decoder one
    
    (cherry picked from commit 44bbb10adad1f2cbae7bb7f44bbec2191dd53ea4)

commit cc64d4c6311530a800e253dd8529b07db3d8c3a5
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Aug 2 12:37:20 2018 +0200

    direct3d11: protect the flush from concurrent access from the decoder thread(s)
    
    (cherry picked from commit 83d8394d9b24253e786bc21576155b7a586c1b16)

commit eec002ae4d675fd4ebd2e94780f49dbd8ca5bac9
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Aug 1 07:56:11 2018 +0200

    direct3d9: make the OS detection not dependent on the app manifest
    
    (cherry picked from commit 6f6803c954a8e6b4856f281dde2e0a8a93eea4e9)

commit 725a46ed02f95d29852145e1c1b8398c2f85d964
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Aug 1 07:49:33 2018 +0200

    direct3d11: make the OS detection not dependent on the app manifest
    
    hopefully the location won't change in future Windows versions
    
    (cherry picked from commit 81e6e779e183ffdeebbc8f72a3c81b241933ff7a)

commit f448a795cb7e4643e16b31ce7ec2e89753a701a0
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jul 31 15:37:34 2018 +0200

    d3d11va: don't use D3D11VA automatically on OSes older than Win8.1
    
    (cherry picked from commit 2c2eeb8e5a19bbcd35d6cea02ea3dc52e480cc7a)

commit 3ec6e0859bf9b41dfb4c464d18873a98a05779c0
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jul 31 15:18:16 2018 +0200

    direct3d11: don't use D3D11 automatically on OSes older than Win8.1
    
    (cherry picked from commit 0d6753dc907403e96db82e3d702a4633832be697)

commit 038e853c0357c61e97d688aee53193de3c1ed8d6
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jul 31 15:15:48 2018 +0200

    direct3d9: use a version check with a better name to disable D3D9
    
    The VersionHelpers API is available since Win2000
    
    (cherry picked from commit c0abd168d4e9c4d9f60112105da8b9ff5f1df74b)

commit 5bc3abd7535774c35d5ce18183151104f982cb4c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jul 31 08:15:25 2018 +0200

    directx_va: DXVA2_ModeMPEG2_VLD also supports the main profile
    
    Ref #20343
    
    (cherry picked from commit d170d0d79db04a97d0739564421f48752480d93e)

commit 97faad7f48391e4dd08b1b74e484b8f192b20c44
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jul 30 10:35:54 2018 +0200

    dxva: blacklist core 2 duo related chipsets that can't even decoder 720p properly
    
    (cherry picked from commit 65eed1b9df74850f41c59f29f5ddafae39839312)

commit 192522b75b36c29bc7219a5c46b469a13cffbde1
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 25 17:36:35 2018 +0200

    dxva: allow blacklisting based on the driver build
    
    Not used for now.
    
    (cherry picked from commit 33cc4f2b1f9dace2b3a63098a458f3172fc6ae41)

commit 6e842859cd4439864656655a35bd7ac860da8147
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 25 17:32:08 2018 +0200

    d3d11_fmt: keep the modified build number once and for all
    
    (cherry picked from commit 6dd231f7e007a93dace97b45cc5d015b5ebed929)

commit 578625f6838edc3584faf7373d07cc3a6b12f7e9
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 25 15:38:29 2018 +0200

    dxva: allow blacklisting for different codecs
    
    (cherry picked from commit 79c56aadae985ee55851f2755a351fb8ba9ded86)

commit cc7d112d68fc73a415857898d77958c343ec0e1e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 25 15:20:57 2018 +0200

    dxva: allow per-vendor HEVC black listing
    
    (cherry picked from commit 9daba7a1f7f7c793fd36cbd5c0409c8b350c929c)

commit 9b2310cfd092fa0bd63a77824d934655990633eb
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 25 15:00:37 2018 +0200

    avcodec: add a specific source file to handle GPU blacklisting
    
    (cherry picked from commit ec1313ce0a5a5b9c54f0fa94d0d11afe06de4a0e)

commit 98de307c0aecd357dd24cb429c80730a8961d8f5
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Aug 1 14:09:12 2018 +0200

    direct3d11: fix crash when resource allocation fails
    
    We release the staging picture twice which is not supported.

commit 7cc7c08c7f6854011b7f6627b8704b17dd939fc6
Author: Filip Roséen <filip@atch.se>
Date:   Tue Jul 31 11:58:29 2018 +0200

    vout: win32: direct3d11: fixup of d1e7dc1
    
    As d1e7dc1 explicitly adds copying of the relevant fmt after the
    function is called, the function itself should not be part of such
    copying (to make matters worse, shallow copy is unsafe as the struct
    may contain pointers to dynamically allocated resources).
    
    fixes: #20487
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 025402260df68db97a8d3c7efdb8f797e3285561
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Aug 1 15:08:22 2018 +0200

    direct3d11: use the indirect texture size
    
    It can have padding for the decoder that is not known to avcodec and we don't
    want to show it in vd->fmt to avoid adding a converter.
    
    This padding needs to be taken in account when placing the picture in the display area.
    
    We can get rid of the hackish BEFORE_UPDATE_RECTS/AFTER_UPDATE_RECTS macros.

commit 6f51b19abfa7ea811ef679c13e050c5b9554e998
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Aug 1 15:03:23 2018 +0200

    vout:win32: read the picture pool size indirectly
    
    This allows overriding if the internal size is not set in vd->fmt (to avoid
    a converter being added if some padding is added internally).

commit c848e040286dcc8cd324eab20eef5d813996bb41
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Mar 13 16:55:01 2018 +0100

    direct3d11: Lock the device context mutex when presenting the swapchain
    
    (cherry picked from commit 572d2a87f6733baf2f6c0dae01b2200497fd7b8b)

commit 3bc4d221a6218c6a66fd69da2244a874d72207b0
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Mar 13 15:56:09 2018 +0100

    d3d11: Store context_mutex in the DeviceContext private data
    
    And create it as soon as the DeviceContext is created so they have the same
    lifetime.
    
    (cherry picked from commit 0d7d3f6e7ab4fc3b1b962ed9d304d81d88df6a4e)

commit fb14e6ed2046605d2b85233c3e153b4b6df4eb59
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Thu Nov 30 14:20:47 2017 +0100

    d3d11_fmt: add helpers to lock/unlock the D3D11VideoContext
    
    (cherry picked from commit 717daca1c62f298902db807ae6eee82a32d6890d)

commit 9aa42f5d3a39b1aba078c402149ef30eb2f5fdc0
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Thu Nov 30 11:22:06 2017 +0100

    d3d11: move the D3D11DeviceContext mutex storage in d3d11_device_t
    
    (cherry picked from commit 369cf77c1fffe86f0e8e99404f1990dd8c4c1869)

commit 6487a7f1712a0e604cee1f43d7b6c7c213b40c10
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Feb 26 12:17:26 2018 +0100

    hw:d3d11: fix crash in D3D11_NV12
    
    The source may not always come from a decoder
    
    (cherry picked from commit 6fc9c9f63eeb5ff4c86dbcf8e44209f283f93007)

commit a4a859994439334a32302989d67f7036cac03d8e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Feb 26 11:54:39 2018 +0100

    hw:d3d11: fix texture leak
    
    (cherry picked from commit 3f922c78203d08ac6ee6a3a8502148f6d5ec2265)

commit 69f7edf9e9ea271a79fa503d22f96475b2ec1d67
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Aug 3 07:18:31 2018 +0200

    screen:win32: screen capture is in sRGB and full range
    
    The same should probably be done on other screen capture sources but the actual
    values may be check with an API for some of them. The Windows HDC API doesn't
    provide that.
    
    Fixes #20956
    
    (cherry picked from commit 24627b49a8e239748a0bd6c60e0a93f8841cf590)

commit dbe172ceb6dcf13801671212e6980ed940930b80
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Aug 1 11:43:11 2018 +0200

    codec:jpeg: JPEG are always decoded to full range
    
    Ref #19127
    
    (cherry picked from commit 7a64f68ac92617c40d62adbe7bae6749c89f48b5)

commit 61f621c2a4d1753e04676cdccd2da9b82b477f33
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Aug 1 11:36:47 2018 +0200

    codec:png: PNG are always decoded to full range
    
    Ref #19127
    
    (cherry picked from commit 7ab4c048083661579fb620f1eee137af18ec8dc3)

commit 7f62b64b6468907185c8582382b44700845788dc
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jul 30 15:35:10 2018 +0200

    codec:jpeg: set the decoder output to sRGB
    
    That's how the decoder is configured in line 522
    
    Ref #19127
    
    (cherry picked from commit 8dc281d2d01e5dfefbe4087c5bc9bec3e5601906)

commit a01c757ee2515d7f0ac75b8f80874e74b7b6b633
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jul 30 15:12:43 2018 +0200

    codec:png: set the default transfer function to sRGB
    
    See line 266
    
    Ref #19127
    
    (cherry picked from commit c533dfd94064fef221bca5550cdd898079882b30)

commit 23bcd7c43dc1fa573d79a0dc56ef29d60d92ed8b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Aug 3 14:10:43 2018 +0200

    demux: h26x: don't override packetizer values
    
    (cherry picked from commit 21fe4d73327a7ad27cb16f473d4e224f4482e81b)

commit e8529a76099134f7ca0f8b1f477cf3cbbe83181d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jul 31 09:01:21 2018 +0200

    demux: dash: replace duplicate tokens
    
    refs #20868
    
    (cherry picked from commit 73acf3fec0bf49a11c9b0f7d912142bc91f8b02c)

commit 96056e6ca033b95a2fdc92b3274c0452d0f9ea1b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Aug 6 11:20:35 2018 +0200

    Revert "codec: avcodec: drop frame internally"
    
    Supposely freeing buffers internally faster for next
    frames, it worsened the aync output/frame drop algorithm
    since there's no signal from avcodec of dropped frame.
    
    This reverts commit 3f5daf4d2f5501a5e8868bf2dbfccbe615cfdf5a.
    
    (cherry picked from commit a67ba8ca61ee5789e0b32628a79dfa58a07ee4ad)

commit 5090d8ce426bd5e757c95d33b2d4ea57bebe20c2
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Jul 22 21:05:51 2018 +0200

    macosx: Fix misbehaving audio device popups
    
    Prevents changing selection automatically, note that the audioChanged
    selector is used multiple times.
    
    refs #20766
    
    (cherry picked from commit 558c52cf5cfc1ff0604b6c12c5865c6b052d1cc0)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 2590915b58fa31e1a91cd54ec4fafc74866f4048
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Jun 3 09:23:50 2018 +0200

    macosx: remove autolayout for save panel accessory view
    
    The current constraints work perfectly fine on macOS >= 10.10, but
    it crashes on 10.7. Therefore, for that view only, remove autolayout
    as it is unknown how to fix it.
    
    This is for 3.0 branch only.
    
    closes #20587

commit c9a03f4a4a3cc440efd7f8c6d66f26df288c68b1
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Fri Aug 3 01:45:09 2018 +0200

    news: update

commit e09bd2c01afbc46ea5b3e4a2c3efdc538e7fb3bc
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Aug 2 02:01:32 2018 +0200

    macosx: SPMediaKeyTap: Remove need for SPInvocationGrabbing
    
    (cherry picked from commit 1827563799bb18a8ebb724721b56ed399ad7c95f)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit dd10c2999f1f1b0ceed238960d3413a4665f1e6a
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Aug 2 00:48:38 2018 +0200

    macosx: SPMediaKeyTap: Replace long deprecated Carbon APIs
    
    (cherry picked from commit f70a3de4f035e5e1027786d6247040cc069c5201)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 1f145948af1f3494503082e27bd1a10154905695
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Aug 1 22:55:13 2018 +0200

    macosx: SPMediaKeyTap: Always use default bundle identifiers list
    
    Do not read the list from the user defaults, it is unlikely anyone
    ever has to customize this.
    
    (cherry picked from commit 4221ab456bf634a62eb56ecbbd4276c6e1505dbe)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit e604293e598f3a35eb7bfa07a978f6e36032f8cc
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Aug 1 21:25:09 2018 +0200

    macosx: SPMediaKeyTap: Clean up comments
    
    (cherry picked from commit c7943c82b2c3a61cf616a4f3fe38d83f47d33bfd)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 1150368a3d7f5bd23aeeb2f83b3b402e58034f17
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Aug 1 21:35:58 2018 +0200

    macosx: SPMediaKeyTap: Remove unused singleton
    
    (cherry picked from commit 2c47b89103359a0506654155833308e9deed1ec1)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 37d3f6adae185ce4dd0d8df682daefa514c378e8
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Aug 1 21:16:43 2018 +0200

    macosx: SPMediaKeyTap: Remove unnecessary ivar initialization
    
    Instance variables are automatically initialized with 0 or nil.
    
    (cherry picked from commit f68c20980075b4b8387b7b7174affd7c7023aa98)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 1e90394e93e77e0cb2325844441db3885ee403d7
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Aug 1 21:10:58 2018 +0200

    macosx: SPMediaKeyTap: Move ivars out of header
    
    (cherry picked from commit 5e4bf8dbefff89eeed1cebe51e7eab6ddcf716a3)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 5562d9891db317242a891a17b3af37302fe164ea
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Aug 1 20:38:39 2018 +0200

    macosx: SPMediaKeyTap: Improve codestyle
    
    (cherry picked from commit 990785986b0ea248bfa83efa0c944c3846b551dc)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 658f37b0c869d439bd234077c6e66e340d1a64ca
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Aug 1 20:31:47 2018 +0200

    macosx: SPMediaKeyTap: Improve error handling
    
    (cherry picked from commit 5ed5ef0c99d83570e05b2467e342363251c4da06)
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit b51a091c0679b0c0a923e659b0dbbce76214d436
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Thu Aug 2 23:39:32 2018 +0200

    macosx: enforce macOS 10.7.5 or later
    
    VLC will no longer launch on earlier 10.7.x releases due to known incompatiblities

commit 339c70f8661573d9d5a00341b4c86460621ba27b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Aug 2 22:57:23 2018 +0200

    Update PO files

commit 4bfb625ecc9797691755976e43d5ae9321e6ca59
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:15:58 2018 +0200

    l10n: Zulu update
    
    14% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit f366c53d0497f6a4d241bd72c6fda831f41a63b4
Author: Frank Chao <frank0624@gmail.com>
Date:   Sun Jul 29 12:07:58 2018 +0200

    l10n: Chinese (Taiwan) update
    
    65% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 95b66883c6439798d768420e90f71ffbe46590e4
Author: Dian Li <xslidian@gmail.com>
Date:   Mon Jul 9 01:38:26 2018 +0200

    l10n: Chinese (China) update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 72cbc49c711a9cb65a16c73fcf3c75c3271bb866
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:03 2018 +0200

    l10n: Walloon update
    
    57% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 3a05ca58bf5dbb549cf5fdc6d55b12c85ae08625
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Jul 9 01:36:43 2018 +0200

    l10n: Vietnamese update
    
    73% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 30c4e9c1fa7cc20adf589e30fb0393d67b462e62
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:05 2018 +0200

    l10n: Uzbek update
    
    14% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 6302b14214ec90d2ee881b10eefcd8b2eda3aef1
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:15:54 2018 +0200

    l10n: Urdu update
    
    0% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 85a9528f10e903e6a2220fffad81e3adf04336e5
Author: Андрій Бандура <andriykopanytsia@gmail.com>
Date:   Mon Jul 9 01:34:54 2018 +0200

    l10n: Ukrainian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 303c28488b006ed0de3047c11bcffdb576512904
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:07 2018 +0200

    l10n: Uighur update
    
    15% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 3f5b87a758397806f80e5e11321c63fadd1b44a4
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:05 2018 +0200

    l10n: Tatar update
    
    14% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 45dcd203501388c6647e81a6c5fec634213a39e1
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Mon Jul 9 01:33:08 2018 +0200

    l10n: Turkish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 858af119dd0b14e21754ba67e42b7cba566965b3
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:15:52 2018 +0200

    l10n: Thai update
    
    58% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 0ef8e15b50522729f611e9776ed1eca4ce9f451c
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:15:51 2018 +0200

    l10n: Telugu update
    
    28% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 6830769ce044b0de50438d3ef633bc62b75e9106
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:15:50 2018 +0200

    l10n: Tamil update
    
    29% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 4fe2f41d8a665303e5ec4c7cb44e95d18bf3c146
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:20 2018 +0200

    l10n: Silesian update
    
    1% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit b01fa981f3033d4b6bef48f8930d1b86fd6aa1f2
Author: Anton Regnander <anton_r_3@hotmail.com>
Date:   Thu Jul 5 09:13:04 2018 +0200

    l10n: Swedish update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit e8c82408cdf27164579f16013e531c624a05bbb4
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Jul 9 01:30:40 2018 +0200

    l10n: Serbian update
    
    50% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit c00545276208eed7dea07967d3ddf3e4b8253dbf
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Jul 5 22:49:32 2018 +0200

    l10n: Albanian update
    
    15% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 592a3bd0ab55c5e90126227d1c27dcc64227807f
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:17 2018 +0200

    l10n: Samoan update
    
    5% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit b4455a384bd5fbc6fdb5810bbc5b5267b58f86c8
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Jul 9 01:29:32 2018 +0200

    l10n: Slovenian update
    
    99% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 8b7de393996d94d66b364d1f83208f12ff793811
Author: Marián Hikaník <podnety@mojepreklady.net>
Date:   Mon Jul 9 01:28:08 2018 +0200

    l10n: Slovak update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 40f7f93b9d588d6de6e6ffdbd44978357ae203ea
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Jul 5 09:21:35 2018 +0200

    l10n: Sinhala update
    
    42% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit c9c90e7319a309b6df13c65a5d2f04c6a43d50f3
Author: Alexander Lakhin <exclusion@gmail.com>
Date:   Mon Jul 9 01:25:12 2018 +0200

    l10n: Russian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 24a8ac096f667e32ad3418ab309aadad0b6c222b
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Jul 9 01:23:50 2018 +0200

    l10n: Romanian update
    
    72% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit de6f69990e5fedd5a925e20050788e9092254cfe
Author: Manuela Silva <manuela.silva@sky.com>
Date:   Mon Jul 9 01:22:43 2018 +0200

    l10n: Portuguese (Portugal) update
    
    92% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit af0f205f468fbfe8e2212ab7224870d31084552c
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Jul 9 01:17:15 2018 +0200

    l10n: Portuguese (Brazil) update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit aeb6a667cf1b700df4df819ee6c44b65659a1bc6
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:06 2018 +0200

    l10n: Pashto update
    
    11% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 11d2deb12ba3e6fde768ea2e2ad67484208c4265
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Mon Jul 9 01:16:13 2018 +0200

    l10n: Polish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 8645e40f533c393ab8cdccc7c9377e7f09ac3cd5
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:20 2018 +0200

    l10n: Pampanga update
    
    0% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit e76f380baa77d0798b3fb72abb4357b212d37bc4
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:15:38 2018 +0200

    l10n: Punjabi update
    
    55% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 9817c838c73efd078c212f9d210d7665ca0033dd
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:16 2018 +0200

    l10n: Oriya (India) update
    
    5% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 572e24e1fac8374bd94d8cc06ce3d63f7ba7c7db
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Jul 9 01:11:09 2018 +0200

    l10n: Occitan update
    
    89% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit b23103e36534f2f241d2fc67fa01fddf16a189af
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:20 2018 +0200

    l10n: N’Ko update
    
    0% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 3e6221110ce933f5c3b0bada9f31735f6eea4780
Author: Bjørn I <bjorn.svindseth@online.no>
Date:   Wed Jul 25 13:21:03 2018 +0200

    l10n: Norwegian Nynorsk update
    
    56% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 57126a4fe54567cc4440457422a93866c4ffae4f
Author: Thomas De Rocker <thomasderocker@outlook.com>
Date:   Mon Jul 9 01:09:52 2018 +0200

    l10n: Dutch update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 8857a485b50a24f9dfff796d123597956cd83a83
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Jul 5 19:07:32 2018 +0200

    l10n: Nepali (Nepal) update
    
    42% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 8c94b54df459d62366defc55e860ccaa76058453
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Jul 9 01:07:47 2018 +0200

    l10n: Norwegian Bokmål (Norway) update
    
    93% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 928bb2af90fb606f8ae7fb1670aa84f0cd0ef3d8
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:11 2018 +0200

    l10n: Burmese (Myanmar [Burma]) update
    
    3% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit ac9b6557f9d86148e6a40438728a7152e47a9d00
Author: abuyop <abuyop@gmail.com>
Date:   Mon Jul 9 01:05:49 2018 +0200

    l10n: Malay update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 98c19f6dc8f60b77cb03a9e6ac343e245513d264
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Jul 9 01:04:58 2018 +0200

    l10n: Marathi update
    
    89% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 4843a7bc74bda36925de2e70c85e826f06c34fbe
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:13 2018 +0200

    l10n: Mongolian (Mongolia) update
    
    21% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 588a30b8d197419b6d489cabe636186a29555f94
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Jul 9 01:04:07 2018 +0200

    l10n: Malayalam update
    
    89% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit d74c562cd239b9b51794dc65001c0709b26e8c99
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:15:30 2018 +0200

    l10n: Macedonian update
    
    2% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit d2eb7f477cfdadf6b76f2f6e372661efd619e32f
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Jul 9 01:02:02 2018 +0200

    l10n: Maithili update
    
    89% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 85c2f3a640cdd18ce7a62c69186b3d2547a99fc2
Author: Ingmārs Dīriņš <melhiors14@gmail.com>
Date:   Sat Jul 28 10:39:23 2018 +0200

    l10n: Latvian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 2ffb7ba966f31a1fad0179762f10b35a5fe0d368
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Jul 5 22:27:43 2018 +0200

    l10n: Lithuanian update
    
    62% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit be56e0475305b45441a6eae4753809ca50791fa8
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:18 2018 +0200

    l10n: Ganda update
    
    13% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit fcf123a114a19a1e2d365a99e3f72fe22a452404
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:00 2018 +0200

    l10n: Kirghiz update
    
    12% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 25e5aa2acd54adabf36de32d9306eb51349f0919
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:13 2018 +0200

    l10n: Kurdish (Iraq) update
    
    18% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 489d78abc0f1faf59d7e5b2df17001590e66a97c
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Jul 5 10:46:33 2018 +0200

    l10n: Kashmiri (India) update
    
    89% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 48ed0b39bb45e38d6629f157a8964cb7a6a41cfc
Author: Potato <sheppaul@naver.com>
Date:   Mon Jul 9 00:55:39 2018 +0200

    l10n: Korean update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit e7c8f4065663a0c7688c4c301a037d01d5b6834e
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Jul 5 22:23:20 2018 +0200

    l10n: Kannada update
    
    87% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit dd18ce3bffe352ea3784da211d79fd0df5be1118
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Jul 9 00:53:24 2018 +0200

    l10n: Khmer update
    
    85% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 12e097f7bf7a51d6ac1485b0ed44ebd63675b1af
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:03 2018 +0200

    l10n: Kazakh update
    
    42% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit cd57d0129d18730f89bd08abdba9ad8093ddd6d7
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Jul 9 00:51:31 2018 +0200

    l10n: Kabyle update
    
    87% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 24d3108205836012217a847eed5d1036c603082d
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:15:25 2018 +0200

    l10n: Georgian update
    
    12% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 549d94984909e11063eab75409be2ae271e5e51f
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Mon Jul 9 00:50:49 2018 +0200

    l10n: Japanese update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit ccf05bfbd62097fe17a6a8f30b2409570bd6c19e
Author: Vincenzo Reale <smart2128@baslug.org>
Date:   Wed Jul 18 05:26:15 2018 +0200

    l10n: Italian update
    
    99% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 5667fb5f896d513d093662782a29514cd97f9b77
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Jul 5 22:21:58 2018 +0200

    l10n: Icelandic update
    
    70% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 6f447b654aa34c4970adda61d470c66ea15dcbd6
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Jul 9 00:44:20 2018 +0200

    l10n: Indonesian update
    
    67% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 745fb60c2d6d3d4b8270547b9a952f9153c2d52a
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:09 2018 +0200

    l10n: Interlingua update
    
    4% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit c81d8c2f90ee984e332266261374f1df0930ac2d
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:15:20 2018 +0200

    l10n: Armenian update
    
    29% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 0a6866d6c961bcb11c5d7bebcbebe7d359c0e82a
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Mon Jul 9 00:45:35 2018 +0200

    l10n: Hungarian update
    
    99% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 3e247fb5d73040db980fcc8ca69845f64f2c8588
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jul 8 23:09:34 2018 +0200

    l10n: Croatian update
    
    81% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit f2b65e1ceb27fe01087cc3cca5d8da5792a12223
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:15:17 2018 +0200

    l10n: Hindi update
    
    18% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit c79feafca2dede60b7906e6b3a60432f38834369
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Jul 5 17:45:00 2018 +0200

    l10n: Hebrew update
    
    54% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 7ae8ccecd47c213890e31bbe8e40d7894f25d6c1
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jul 8 23:07:36 2018 +0200

    l10n: Gujarati (India) update
    
    89% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 51dd8941e92992b478424ce10b3c1b3e1c8ad327
Author: antiparvos <marcoslansgarza@gmail.com>
Date:   Sun Jul 15 22:43:41 2018 +0200

    l10n: Galician update
    
    97% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 12ace7842123471ae75eccbc2326ae3687b3d540
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Jul 19 16:11:08 2018 +0200

    l10n: Scottish Gaelic update
    
    40% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 2fb34d6663c4cbc6187c446bbeefdff3e57670a2
Author: Seanán Ó Coistín <seananoc@gmail.com>
Date:   Wed Jul 4 21:15:14 2018 +0200

    l10n: Irish update
    
    44% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit e10684f269a17040ce9a5da14e1a7bd22f153418
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jul 8 23:01:01 2018 +0200

    l10n: Western Frisian update
    
    91% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit b4ea7356aac0de5e6f89a75b8edc2c6f308c0a8f
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:15:13 2018 +0200

    l10n: Friulian update
    
    11% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 95114ca5a22400b83e6b5bb6af91da2b6d4149e7
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jul 8 22:58:49 2018 +0200

    l10n: French update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 546c4fa489fd446bb4a5ade2114884cde5c6f797
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jul 8 22:57:13 2018 +0200

    l10n: Finnish update
    
    85% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 8126caa866d2b62c90f0ab26d165664c68c09d4b
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:18 2018 +0200

    l10n: Fulah update
    
    20% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit efa3790bea90a055ed7d7f3173bd2f02d3177a0b
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Jul 5 21:34:35 2018 +0200

    l10n: Persian update
    
    28% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 77dfaa6e6f66c0f99883c26d0ac9fd9416427cdb
Author: Txopi <txopi@ikusimakusi.eus>
Date:   Tue Jul 31 17:06:02 2018 +0200

    l10n: Basque update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit bdada0fb11b1819d8f3a1b10eafbe4fbb64ed668
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:15:07 2018 +0200

    l10n: Estonian update
    
    78% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 4984749aef248d279c71eb305459a00341286d40
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jul 8 22:51:40 2018 +0200

    l10n: Spanish (Mexico) update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 85a1e5a0812111a70f714b12e7ed6839035386d9
Author: picodotdev <pico.dev@gmail.com>
Date:   Sun Jul 8 22:50:36 2018 +0200

    l10n: Spanish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 854932caf3851eee6031fd859f0fb146a677e0d1
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:15:05 2018 +0200

    l10n: English (United Kingdom) update
    
    8% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit d6c31e692162c0986a84e6dff16f4b974b1cef86
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Jul 9 02:59:12 2018 +0200

    l10n: Greek update
    
    91% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 1128661cfcc9fe0132b696000d3058a155ade51f
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Sat Jul 28 11:49:11 2018 +0200

    l10n: German update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 86d62b33d69ee806decb615b982ab8fe145e8418
Author: VideoLAN <videolan@videolan.org>
Date:   Fri Jul 27 18:20:39 2018 +0200

    l10n: Danish update
    
    93% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 9d40d7878c9643a4b956a641f6de40e3ac57aefd
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Jul 5 11:13:32 2018 +0200

    l10n: Welsh update
    
    59% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit cebb21da00cc0f275d46007dea71b93d9e62afc5
Author: Tomáš Chvátal <tomas.chvatal@gmail.com>
Date:   Fri Jul 20 11:34:21 2018 +0200

    l10n: Czech update
    
    62% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit f57bc9154786d54e4b554d1cbebb86de0b73a91a
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Jul 5 11:16:29 2018 +0200

    l10n: Corsican update
    
    42% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 2dfe69389b11d05caf0114c418dce244094180cd
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Jul 5 21:14:11 2018 +0200

    l10n: Chiga update
    
    10% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 1bff277e641a6059452a4c9cf4b020438d610cf2
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jul 8 22:46:26 2018 +0200

    l10n: Catalan (Valencia) update
    
    85% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit f930a3188bc54395eeabed05d0ac8c819c042eab
Author: Benny Beat <bennybeat@gmail.com>
Date:   Sun Jul 8 22:45:33 2018 +0200

    l10n: Catalan update
    
    87% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 128723d1945636e7137d3a5ecd89abcc87f901b2
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:14:53 2018 +0200

    l10n: Bosnian update
    
    38% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 5f18cbdb7d9d1b3e8fc12e1c2678137fc34cb14a
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jul 8 22:43:41 2018 +0200

    l10n: Bodo update
    
    89% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 230d3485e2c76bfaf940c8ad6ae392e49697fb0a
Author: Gwenn M <tornoz@laposte.net>
Date:   Fri Jul 6 16:14:41 2018 +0200

    l10n: Breton update
    
    30% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit b02a7917be951eddf0e97637a39c8abb36ddeed3
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jul 8 22:42:24 2018 +0200

    l10n: Bengali (India) update
    
    74% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 6b0a01ca660e20b1c7a6ee1a4ee0182c771d5029
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jul 8 22:41:15 2018 +0200

    l10n: Bengali (Bangladesh) update
    
    64% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit bfbdc381ffe97c98de70b6b92f260151809c1aca
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:14:51 2018 +0200

    l10n: Bulgarian update
    
    68% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit ebca63dd06f63d30b8ff0fb97581fbeb14425f99
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jul 8 22:39:58 2018 +0200

    l10n: Belarusian update
    
    85% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 6ac38eebb54dc6bee85e76056952be1064138958
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:14:49 2018 +0200

    l10n: Azerbaijani update
    
    3% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 71fe9e34b6f23b02c4fc033cd5c5c97e1ca31049
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:15:59 2018 +0200

    l10n: Asturian update
    
    72% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 7dcbb599571af684e5dfe744eff97bdada8fddf0
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jul 8 22:37:13 2018 +0200

    l10n: Assamese (India) update
    
    89% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 4bb2a275702ec67994b51295e94b273da2d5f622
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Jul 5 21:33:50 2018 +0200

    l10n: Arabic update
    
    56% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit a980029d7fe5ad7266c00ccb6dce19ff887073cd
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jul 8 22:33:10 2018 +0200

    l10n: Aragonese update
    
    70% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit fd1215b9d6feb053ca23757d81ace7173d3aa377
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jul 28 18:13:22 2018 +0200

    l10n: Amharic (Ethiopia) update
    
    23% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit d6b1bb0c3a8bc2337b8148cd53ab67a5684f5bd9
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:14:47 2018 +0200

    l10n: Amharic update
    
    14% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit c90d6c54575ecddd0299ef9cb1b9ebc952d6a706
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:14:46 2018 +0200

    l10n: Afrikaans update
    
    27% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 586548a93b72bf16f033a959da190558470e2bab
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jul 4 21:16:18 2018 +0200

    l10n: Acoli update
    
    14% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 23576d4bca680a8580dd287b0c0ff8fa7b797d5e
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Jun 26 22:57:56 2018 +0200

    (new file) l10n: Breton NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 716a5512960d0e2b6e7a51e317c9f4e98df00b6d
Author: Wim Benes <fryskefirefox@gmail.com>
Date:   Fri Jul 27 14:11:43 2018 +0200

    (new file) l10n: Western Frisian NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 909f266623adcc0aee24adeef53600e621033e75
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Welsh NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 27edd3107264bc54a373f389cf8c4916f79b44b7
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:12 2018 +0200

    l10n: Uzbek NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 03508905f835306b9aaae705a99450d2a6267b2b
Author: Андрій Бандура <andriykopanytsia@gmail.com>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Ukrainian NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 6613ef74cf8d3b3da6b7e796ad71c70bf5058876
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Turkish NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit cf0c7ef0d3f5b479493d988779a4221a82a40432
Author: Jeff Huang <s8321414@gmail.com>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Chinese (Taiwan) NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 0489b596d545a800471e9ffadba608753d9033bb
Author: Anusuk Sangubon <jaideejung007@gmail.com>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Thai NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 0074f722c6f649fc52f5e8cc7cd1edac30484a13
Author: Anton Regnander <anton_r_3@hotmail.com>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Swedish NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 789f9e2e62f8de3662b9857ad5abee0eac67f982
Author: picodotdev <pico.dev@gmail.com>
Date:   Sun Jun 24 10:43:12 2018 +0200

    l10n: Spanish NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 0ca85741e6e2a11aa7b957b942c60ee53e8029c3
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Slovenian NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 50a780bf6b07a8bbb7a4f723c10139dabd545cd8
Author: Marián Hikaník <podnety@mojepreklady.net>
Date:   Sun Jun 24 10:48:10 2018 +0200

    l10n: Slovak NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit fd3ce5d85ee0d3131d75d74428961629a72d720f
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Sinhala NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 58dd0b084db2c8c809e2d6b640ccfeb4e9acc6e8
Author: Dian Li <xslidian@gmail.com>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Chinese (China) NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit eafdf23799dc0e1deb1a3df84b9d82de05bb6306
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Serbian NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 056dbf13f06a9d3c43351d3d6cc2e9ec7c02aa06
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:12 2018 +0200

    l10n: Scottish Gaelic NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 3dd8b501f57f18fe63c707cd053d88dbdc07bbcc
Author: Alexander Lakhin <exclusion@gmail.com>
Date:   Mon Jun 25 05:54:16 2018 +0200

    l10n: Russian NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit c9815c47b56e95c06a55cb6e9f5dafc559db3737
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Romanian NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 123fd1fcddcaea80434f195ffb3e6b27f0a92d33
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Punjabi NSIS update
    
    93% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 3030b08358cc720c0b6222e993afaac50b99cb19
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:12 2018 +0200

    l10n: Portuguese (Portugal) NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 613aadcfb7da7e5e419a912a7b285fa62f3d4fd2
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Portuguese (Brazil) NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 73b1fa54ed8cdb2621968f3eb6ae3582ecd5a732
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Polish NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 7b51a07362e81ae3e5754f76506675c44337873b
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jul 7 01:44:51 2018 +0200

    l10n: Occitan NSIS update
    
    74% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 622637c4d43bba84a89aaad88025f7706239c750
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:12 2018 +0200

    l10n: Norwegian Bokmål (Norway) NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 2b487d3431af30e4260de09736989485b9d9857c
Author: VideoLAN <videolan@videolan.org>
Date:   Fri Jul 6 23:07:31 2018 +0200

    l10n: Malay NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 828731039cbbdbef3b88ecfe4debff5abaf37c21
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Lithuanian NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit ebf909a5e1d0e1c66c04bff995e1264f59dc1714
Author: Ingmārs Dīriņš <melhiors14@gmail.com>
Date:   Fri Jul 6 09:49:42 2018 +0200

    l10n: Latvian NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 53de3a941ea73ad2f3e8100438a27c67ce2360c2
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Jun 27 10:02:14 2018 +0200

    l10n: Korean NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 5fcb6e141465040f2f8523967ac93835ca441eb3
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Khmer NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit f799bfe4dda0ddf5155bd58f0dd21e8193c8ca60
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jun 24 12:10:21 2018 +0200

    l10n: Japanese NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 85faca6c4ec59c1a1cc85a7051a8d9dc6812fd5a
Author: Vincenzo Reale <smart2128@baslug.org>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Italian NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit c051ddebbfdd7bd88aaa101814bd4963e4f30a4a
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Indonesian NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit ce497e6521313f46b366e3dac6bc678857cb7bf3
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Icelandic NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 6e6f9e6bf16914434f8c9816eb8a09182bfaa16a
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Sun Jun 24 07:47:13 2018 +0200

    l10n: Hungarian NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 4d53d213928cea346ad131629644b7c049d470f8
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Hebrew NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 2ca160f462e737252953affa0420e7d9931cd94c
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Greek NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit bf4fa7d7b69e79dca130c1350c1e8eda8be2e9d3
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: German NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit a7aab51960076b0eb404ddb13fc1a005ca47642d
Author: antiparvos <marcoslansgarza@gmail.com>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Galician NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 2efdd71bcf86505f5025af6747b6f51dc357bf0e
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jun 24 08:18:09 2018 +0200

    l10n: French NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 1700cb3d158815788045a9de6bc5ea09062effba
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Finnish NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 62b28fc0b6472904fc4afd95066b3735a4d79ccd
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Estonian NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit d643e6e653c7a9589106320e83f91f18e1a5f984
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: English (United Kingdom) NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit fb8a3ce20b1acf0081554eda5c227b880a7d9673
Author: Thomas De Rocker <thomasderocker@outlook.com>
Date:   Mon Jun 25 16:53:05 2018 +0200

    l10n: Dutch NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 553841b811664852a0d2d2f20aea65910100c5fd
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Danish NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 90989fa8da59a5fa1c2b5815e6a9656e1a5e581c
Author: Tomáš Chvátal <tomas.chvatal@gmail.com>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Czech NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit f180d249ee3fa41ab87486c39e2c228663580ca8
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Croatian NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 239b11fe9824b099d9c6ad9ebe4689bc398d1ff0
Author: Benny Beat <bennybeat@gmail.com>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Catalan NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit a2bde3b899cf419bad79e06de45e2123a9027dd2
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Bulgarian NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 95606f7b4eed475ecbdc078d8e062e4b5c3fef97
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Bosnian NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 1a2a765a36f00bdfeb9d2008fe342689037ef9d8
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:12 2018 +0200

    l10n: Bengali (Bangladesh) NSIS update
    
    61% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 2ce6fcb852e0d9d2c2cf21d216a24af715f4b986
Author: Txopi <txopi@ikusimakusi.eus>
Date:   Sun Jun 24 17:15:42 2018 +0200

    l10n: Basque NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit b36f94ca3b45ca89bd9c536b8a9e92bb1878f798
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:10 2018 +0200

    l10n: Arabic NSIS update
    
    96% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit f54162af20a6ffc7f07016fbf60f87bf62867fed
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Albanian NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit ac52718adb3c066964466374a7763a44f268e0e6
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:09 2018 +0200

    l10n: Afrikaans NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 96e00a45c6b932e265c2c70d96210c22ab5e2f67
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Wed Aug 1 03:34:06 2018 +0200

    share: vlc.desktop.in: Add more translations

commit f0d804bb1bc981518404912a131211a380bf2e07
Author: Filip Roséen <filip@atch.se>
Date:   Mon Jul 30 07:25:14 2018 +0200

    sd: upnp: parseSatipServer: add missing error check
    
    Prevents a potential null-dereference on the line that follows.
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit ace5c8805deeb8d63fc6b62d33bf1748814f8ee5)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 92a5852dd4c8d5d0489d8c3ca12a8aa7e70c4940
Author: Filip Roséen <filip@atch.se>
Date:   Tue Jul 31 14:44:05 2018 +0200

    sd: upnp: parseSatipServer: prevent leak
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 413cb87b73eaa20c78a92436a99c92b529696be6)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 6d23fdd6089a127648e7fa28a9c1317b661b2522
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Jul 31 14:30:33 2018 +0200

    upnp: Fix leak
    
    CID #1438148
    
    (cherry picked from commit 1a441d3e72738cefeb2dfdbddf55a58e7552807e)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit a08b75793359306e558d6f97c8a009b83f5f1980
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Jul 31 14:31:48 2018 +0200

    upnp: Fix wrong comparison of psz_satip_channellist
    
    (cherry picked from commit 856bb8dc7085b77985f87ec5b8c45a1f8399071f)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e82c771a901b9d0a280603139ecf68bfdd1e7ddd
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Jul 31 14:11:58 2018 +0200

    scaletempo: Fix leak on error
    
    (cherry picked from commit 2a3e036fb221a8cb96817d6b05d6deba70ac0743)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0f684e532b12af7e50c449637d372fae7acc3562
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Jul 31 14:09:41 2018 +0200

    soxr: Fix leak on error
    
    (cherry picked from commit 881a158d5037e9e6f95dbc7484d7b23641a89cf1)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2ba3c4c2c106c5310bbb5f9a858f7508dcee119e
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Jul 31 14:04:28 2018 +0200

    trivial mixer: Don't leak all input blocks
    
    (cherry picked from commit 18a433d88d55052168fcd89307c508d9d06325c0)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d2c557acaaa1152bcb250ec3a3d1d46454c1319d
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jul 30 07:31:07 2018 +0200

    sout:record: fix invalid dts test
    
    (cherry picked from commit 7afd8e917908df71b353896a214b87d26321c773)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 74ae32e6f32d66926f04f4c76256c75a2fc6f7f0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 27 15:31:42 2018 +0200

    sout: record: workaround missing dts
    
    (cherry picked from commit 81c47e30ecfa2eec7f8986a220f5ad4e3e97bd73)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b5d736ac0e4d6ae1ef88e8f762142f6f14f91014
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 27 16:10:31 2018 +0200

    demux: adaptive: extend single chunk to 32M
    
    (cherry picked from commit 5277f82db82918fad4ab19f1a1200e46630ab456)

commit b6c28019e4fa700afa31f40b01b07241d17a8dec
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jul 30 10:03:55 2018 +0200

    demux: adaptive: force access for manifests & keys
    
    ok because, single file, no range, no pipelining.
    workarounds missing compression w/ huge yt manifests
    
    (cherry picked from commit d529b79a8d5812f00550e3033ef51d23eb53c7f8)

commit d995a300e4ab29ac91d764169890b3346e444146
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 27 12:45:31 2018 +0200

    demux: adaptive: allow to force access for some segments
    
    (cherry picked from commit 58a26f0d7d52e7ec4478dff8fda338445fefb54e)

commit d83aa6d76c3479e678c3a4e1cd0a63d78ffaf7d6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 27 18:33:01 2018 +0200

    demux: adaptive: add abstractconnectionfactory
    
    (cherry picked from commit 2282ae6aeb9bb980c98afab9f8e55a114d5dbc66)

commit ee0157e8bafd861570793315c0cc3e1fc53ecbd4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jul 29 18:28:48 2018 +0200

    UPnP: split sat>ip parsing function
    
    And add an Auto mode, that works as one would expect
    
    Close #19751
    
    (cherry picked from commit b1fb710176ddca879fab52d6b15c2fbe467ed16a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3af898a429fc04afce3974b55ce484c0326d4716
Author: Filip Roséen <filip@atch.se>
Date:   Wed Jul 25 04:06:40 2018 +0200

    playlist: item: playlist_Preparse: use vlc_MetadataRequest
    
    As the functionality provided by the externally accessible
    libvlc_MetadataRequest is not satisfactory for the usage in
    playlist_Preparse, the call has been replaced by an invocation of
    vlc_MetadataRequest (that will not result in indefinite recursion).
    
    fixes: #18236
    refs: #20865
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit d7d9f8e4b61f4ab30bc2a3cefc64b09b8236a2a4)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f7f301cce34a93324efa572f181552fb0cb361a8
Author: Filip Roséen <filip@atch.se>
Date:   Wed Jul 25 04:06:38 2018 +0200

    core: add vlc_MetadataRequest
    
    This function is to be used by entities within the core that would
    like to spawn a metadata request. Such request will not have the
    implicit recursiveness of libvlc_MetadataRequest (which is to be
    called by users of libvlc).
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit d2c29640ffcc0af46e9abde972a10d636f688a29)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bd355244bb69ddb9642a03a4520cab2ecfdf69f7
Author: Filip Roséen <filip@atch.se>
Date:   Wed Jul 25 21:49:14 2018 +0200

    stream_extractor: archive: enable Control/Seek even if libarchive died
    
    As we might be able to recover from a libarchive fatal error (by
    resetting the handle to an appropriate state), there is no need for us
    to disable controls completely.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 51824f14fdcbfb813cba667e432cb0df2b639776)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 348b723e3b05c58bf84131e759084d8f7d34622f
Author: Filip Roséen <filip@atch.se>
Date:   Wed Jul 25 04:33:24 2018 +0200

    stream_extractor: archive: simplify seeking
    
    As a seek should be successful even if the requested position is
    outside the bounds of the input, there is no need for us to reset the
    state of the libarchive reader immediately after seeking fails,
    instead we rely on the fact that future reads will return EOF, and
    that the reader will have to seek to a proper position in order to
    continue reading (causing a libarchive reset).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 3ecbbfac7d35b52599d295ac7f71c001e03f57b2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit aa6dfc98452c56f11e62cf03d76fea2f893099ab
Author: Filip Roséen <filip@atch.se>
Date:   Wed Jul 25 05:34:44 2018 +0200

    stream_extractor: archive: kill archive on reset error
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 3844aeab7e7a82a659bd3aa90c261bc03f32256b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 38a9c332e5e6b9a12f9c86c03d4250e1fb51c1e6
Author: Filip Roséen <filip@atch.se>
Date:   Wed Jul 25 05:04:06 2018 +0200

    stream_extractor: archive: explicitly handle EOF
    
    Things will be a lot simpler if we explicitly handle EOF different
    from a libarchive error.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 072c3e6368cb831bb85d908f2ea70164d71c57b0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3dd68ecf51d28cf6e14b22c5af67735bbc2c0330
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jul 25 22:10:36 2018 +0200

    codec: avcodec: set low delay on low fps
    
    fixes non frame output with low fps videos
    
    refs #20740
    
    (cherry picked from commit c50cc26697eb92af03d73bd8e1a52c47bc6c3802)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f3d9daf134a0b462a112129ebb82fbf55b33cfb4
Author: Devin Heitmueller <dheitmueller@ltnglobal.com>
Date:   Fri Jul 20 14:40:29 2018 -0400

    cc: Only reset line position if rollup mode changed
    
    The EIA-608 parser was always resetting the line position whenever
    it received a rollup code.  However this would cause the text to
    be rendered improperly if the rollup code was received in the
    middle of an existing line and the mode was unchanged.
    
    Only reset the line position if the rollup mode changes from the
    existing value.
    
    This problem was exhibited in streams from the "Steve Harvey show"
    where whatever EIA-608 encoder they are using would sometimes send
    rollup codes mid-row (causing the leading characters on that line to
    be overwritten by whatever characters followed the rollup code).
    
    Signed-off-by: Devin Heitmueller <dheitmueller@ltnglobal.com>
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>
    (cherry picked from commit 693727d3d7a70f94cbbdc7ec983d68c1d5c2c91a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e2a4b1b577dcab173e91f88b6355902c9b7dfc4a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Jul 27 13:05:57 2018 +0200

    d3d11_filters: fix the second processor texture not setting up a ProcessorInputView
    
    And the first one being used twice.
    
    Also make sure we don't try to release NULL input even though it should
    not ever be possible.
    
    (cherry picked from commit 0a2332aa8c3bddd59fe4b00d01fa710102006c5a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a3f3b935fdc8efd34cf7b0c673e68dc862e5dabd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jul 26 14:02:47 2018 +0200

    text_renderer: freetype: add and default to 0 for freetype-rel-fontsize
    
    Overrides relative size inconditionally,
    and this conflicts with HiDPI fixes where we need only
    to compute relative font size.
    
    Fixes closed caption incorrect font size regression.

commit 4e07f32ea6125ec25f8ae0d56498017aba22adb8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jun 28 12:04:44 2018 +0200

    Revert "codec: cc: make captions default background half opaque"
    
    This reverts commit e51f96aa07247a244f68650a544db0162699712b.
    
    (cherry picked from commit 1a5484aa0423c27a4fba294c12305074c16da5ec)

commit 442d49cac5eae13df0685b5db8bee54d717012fb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jul 25 17:11:05 2018 +0200

    demux: avi: fix unread audio chunks
    
    need to rewrite all that legacy 0.9.x crap...
    if only we could fully understand and avoid further regressions
    
    (cherry picked from commit 50bd23227231f08f30fa272bfb12746accf55ac9)

commit f0981be9dd07a14e10969e1acc19df176adafaaf
Author: Filip Roséen <filip@atch.se>
Date:   Wed Jul 25 03:54:07 2018 +0200

    access: screen: Close: release blend filter if created
    
    This is necessary for quite obvious reasons.
    
    fixes: #20831
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit efe3eabd5c411e0c24be90209503889945ee1070)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9ed50b630ea1fa3a538cbc95357d4c441e1aae9c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jul 24 18:28:28 2018 +0200

    audiounit_ios: fix resume from pause
    
    Fixes #20885
    
    (cherry picked from commit 1ae26b6c257e4e8ffa800a41b3289076240bf8f8)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit b24f17c0f60961bbbba0d2ea91697beb68e1b46d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jul 24 18:25:46 2018 +0200

    audiounit_ios: rename paused variable
    
    (cherry picked from commit d51941cfc71d5ac29cc1c66b156b3e7e3115477b)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 7f2e931af54dc98527b5919808517199d9dfdee1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Mar 6 14:28:05 2018 +0100

    demux: avi: reject 0 scaled tracks
    
    (cherry picked from commit b2d52c22b9018d361c43b24f4edcd307c611af55)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ff4078ec719d7d99fa47a513a8fc0dd75e808bc2
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jul 24 11:09:41 2018 +0200

    copy: do not copy more than the cache width on cache
    
    (cherry picked from commit 09d421a20851e1c49aa98e117957dd118620fae4)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit b495b98f72444e899fc2465ac045187997ee469f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jul 23 16:57:15 2018 +0200

    copy: do not copy more than the destination pitch on split planes
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 3123b0e91539879e4dd035d13289645ed25a9c9e)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit f7e8a4e55652cbecb2f7b5bd3e491e0d84ade821
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jul 24 14:06:47 2018 +0200

    videotoolbox: remove restart hack
    
    This is not needed since VideoToolboxNeedsToRestartH* was added.
    
    (cherry picked from commit ebc6b1c73d053197d3465e0f116a976301f8b7b1)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit db57522832b36d8f354f850a0e90b319e7923195
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Jul 23 14:49:31 2018 +0200

    videotoolbox: require I-frame for h264
    
    This fixes BadDataErr when playing streams in the middle (when video track is
    disabled and enabled).
    
    This happened a lot when running chromecast in the middle of playback.
    
    Furthermore, a BadDataErr from the decoder, while the videotoolbox encoder is
    running cause random crashes.
    
    (cherry picked from commit 60f8fff1d35b7bbd264a70bc6a6a930a344870a0)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 4ca48e61e939b09b45c04b0f5483d80be9a6bb6e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jul 19 16:21:05 2018 +0200

    codec: aom: store frame private data locally
    
    fix leaks on error
    
    (cherry picked from commit 135bdbbe75913a2a210a9273fe078eac705e56ac)

commit 7eaef538fbf038e79b8bce888864ba596c6c8bbc
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Tue Jul 3 10:18:37 2018 -0400

    aom: treat unsupported bitstream errors as fatal
    
    This avoids repeatedly trying to decode an impossible to decode stream.
    
    Cherry-picked from 0beabcc7725a00de4b03f4a2f5da14756295d640
    
    (cherry picked from commit 1b09b95e0e6c53b5c22ec8bd80c5e71647230514)

commit e131e1c6c7d4a0e68b13a0e26b0b24a23ef7d943
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Tue Jul 3 03:23:06 2018 -0400

    aom: flush decoder on close
    
    Fixes #20788
    
    (cherry picked from commit a5b4bbb9f27c801d1fd1c9650d895c906c191841)

commit 1a6bea46b79cc40eb3573a8e2fced0b641d7bfa8
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Fri Jun 29 10:44:12 2018 +0800

    codec: aom: use VLC_TS_INVALID
    
    Signed-off-by: Tristan Matthews <tmatth@videolan.org>
    (cherry picked from commit efff6ccbf734048e1d7593e83c2059e9b09112e6)

commit 61dc5e559a7eb00be8f2a6d6e35675e7c7d06859
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Thu Jun 28 21:15:26 2018 -0400

    aom: decoder: update video resolution if it changes mid-stream
    
    Cherry-picked from 93a3f58b7afc4d3b4290b5f8fb1e4f6671c30ce6
    
    (cherry picked from commit 18b909f4fb402302185487f191bea503b95f79ee)

commit 5b5d9313f61e55222cf6c46227228a2a90bce5eb
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Thu Jun 28 21:14:08 2018 -0400

    aom: decoder: fallback to dts if pts is invalid
    
    Cherry-picked from 043cde8a16911e540543b5f63daee5e3282f4aac
    
    (cherry picked from commit ff5adfedeab70d1d1c2d70f1a13a029786d9fa32)

commit 554c203b89ce793837e3cd1f8c5db86e9cf8f874
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Thu Jun 28 21:11:56 2018 -0400

    aom: decoder: pass metadata from demuxer
    
    Cherry-picked from commits:
    
    5bf3ee01298253707bd8f780b54b216ed79a8108
    8bb28646fa95de4957df96029401481c1f45e3f2
    
    (cherry picked from commit c8132e3a8e01e564726b43d8642ab1f3126fd829)

commit 3fc16eb259acce7c540a70513c5ffb7a7f7cc565
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Thu Jun 28 21:11:00 2018 -0400

    aom: decoder: pass sar values through
    
    Cherry-picked from 7d69fdb7d87f1c49352a50ee2374ae13cfeeb184
    
    (cherry picked from commit a9d4ee5e83099b0ecefd58b52fd52350dd541463)

commit 363c11af4120d4be9d494656938fc96130ba4731
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Apr 19 18:25:07 2018 +0300

    aom: Remove unsupported pixel formats
    
    Support for these was apparently never in the codebase, and the enum
    values were recently removed from the public headers [1].
    
    This fixes build with latest libaom build.
    
    [1] https://aomedia.googlesource.com/aom/+/3f29cc20e3a4c348cb41a797c68de856ddb84e12
    
    (cherry picked from commit 622360c2c4335fff793f81f5e673326a581f5c0c)

commit ea3f83e53a7be4d59003571e58156ab97a661ea8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jul 24 16:08:26 2018 +0200

    codec: subsdec: change default align
    
    (cherry picked from commit 4d35f100b529a17876d84dbd5a13549773e83823)

commit ad0b966b65ed4398101668606d17a0328f1b6143
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jul 24 14:44:22 2018 +0200

    codec: subsdec/subsusf: do inner align on user value
    
    adds default -1/auto/invalid value for align.
    we had no way to tell if user specified something.
    
    (cherry picked from commit 8b589802198ae4a0c5ba3838922453d93e465fb3)

commit eb9decc16ee690d4dc0129803a3a392865bb2b6e
Author: Filip Roséen <filip@atch.se>
Date:   Mon Jul 23 19:57:02 2018 +0200

    sout: chromecast: prevent conflict between multiple chromecasts
    
    In order for us to support streaming to more than one chromecast using
    the same instance of libvlc (as through VLM), and with the same
    options for the httpd, we will need to have a unique identifier for
    each output.
    
    These changes generates a random path upon initialization of the
    relevant object, while also incorporating the current tick. There is
    an extremely slim chance that two chromecast souts would try to create
    the http bindings at the exact same time, but vlc_tick_now + a random
    identifier is a "better safe than sorry" implementation.
    
    In order to really dive down in the "better safe than sorry"-category,
    we try three times before giving up.
    
    fixes: #20380
    fixes: #20890
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 710a2ef49669806e208d6845a494a01ed90b18db)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8859e3bd50e95c74af81e05f59745ae25b2ae1b7
Author: Filip Roséen <filip@atch.se>
Date:   Mon Jul 23 19:57:01 2018 +0200

    sout: chromecast: use stream info helpers for ChromecastCommuncation
    
    Both the path and port are available upon construction of the
    ChromecastCommuncation, they also do not change during the lifetime of
    the object.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit c4d351ccfb6990d2ba1b4996e1a582aa5e6d8f85)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a6b62430d530440ee1ec56436720fc5e7a32bc44
Author: Filip Roséen <filip@atch.se>
Date:   Mon Jul 23 19:57:00 2018 +0200

    sout: chromecast: use stream info helpers in sout_access_out_sys_t
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit fe6112b6dedade5193df0d2c0cf152358371f2d8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0e6019f22a1fd6863d24fe9cbb1851860df5273b
Author: Filip Roséen <filip@atch.se>
Date:   Mon Jul 23 19:56:59 2018 +0200

    sout: chromecast: use stream info helpers in intf_sys_t
    
    These changes includes usage of the relevant stream info helpers.
    
    It also adds an additional slash to the art URI, so that items can be
    accessed through "/chromecast/unique/unique/art/$ID", where $ID
    denotes the art-id as used in the implementation, instead of
    "[...]/art$ID". This is not a change in behavior as the URIs passed to
    the device is per session, and the device is given notice of the URI
    by us, it does not probe it implicitly.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit d0ed421fb2f6760147dc29a814b661aadcc3dc2c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a17b7c99903b1da2d0dfb07d4cf299db7a235ca2
Author: Filip Roséen <filip@atch.se>
Date:   Mon Jul 23 19:56:58 2018 +0200

    sout: chromecast: add stream info helpers
    
    The previous implementation had hard-coded paths in several places,
    and each place relied on other relevant part using the same paths.
    From a maintainability perspective this is a mess, and bound to fail
    one way or another.
    
    These changes introduce helper-functions that can be called in places
    where the values are needed, effectively adding a layer of protection
    to maintainability issues by making sure everything is using the same
    values.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 92c90c5b0a98a01d3f81d1a8d9ffeea0e230a7a2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d0a3a6e3a6d73a32ab0171b1e553affe36d4f7dc
Author: Filip Roséen <filip@atch.se>
Date:   Mon Jul 23 19:56:57 2018 +0200

    sout: chromecast: remove flawed sout-test in Open
    
    The relevant code suffers from some immediate flaws, with no real
    gain:
    
      1. The implicit http-bind from within sout_StreamChainNew has a high
         chance of colliding with other things in vlc (most notably a
         web interface).
    
      2. It does not bind to the same httpd URI as is later used in the
         module, causing the check to signal false security in terms of
         usability.
    
      3. As the sout is created only to immediately be shut down, other
         attempts (not made within the module) to create a relevant sout
         will race with this "check".
    
         Just because we succeed in Open does not mean that we will
         succeed later on, nor does failure guarantee further failed
         attempts.
    
      4. There is no reason for us to check if a muxer is available at
         this stage as it:
    
            a) Does not send any data down the pipe, meaning that we might
               fail anyway when we actually get started due to, as an
               example, codec issues.
    
            b) Does not match what might actually be used (avformat/webm
               or avformat/mkv is selected further into the
               implementation)
    
            c) Is the wrong way of checking things. If we want to make
               sure that an sout is created before some other work is
               done, we should create an sout which we then use, _before_,
               other work is done.
    
    refs: #20380
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit b59640ec084f23c8d430f089389f1f0fb0726469)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e2de3896b9f20a0ac0ab94ce9d2f8bfc99ea7885
Author: Filip Roséen <filip@atch.se>
Date:   Tue Jul 24 15:07:01 2018 +0200

    stream_extractor: archive: do not try to seek beyond entry size
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 5d3f5afc24f19d4447ae5f0675e7aa6bc74a14f3)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c81e551b54eabea0245d706f2b0efd993a11c062
Author: Filip Roséen <filip@atch.se>
Date:   Tue Jul 24 15:06:23 2018 +0200

    stream_extractor: archive: fail STREAM_GET_SIZE if size is unavailable
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 04e6b7a226c2a0481aeda7d9241c740a39a7883f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a8e62c28f80e79bccd13a72c5a4b15f55ec6f888
Author: Filip Roséen <filip@atch.se>
Date:   Tue Jul 24 14:31:35 2018 +0200

    stream_extractor: archive: reset position on failed seek
    
    The previous implementation would not reset the read position if
    someone tried to seek outside the current buffer, causing the module
    to signal EOF on subsequent reads, which is of course false.
    
    These changes makes sure that we do our best to reset back to the
    original position, preventing a premature EOF.
    
    Close #20540
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 9399f255e779c9a5505c87c4bff0c50c6ba415e0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b588f5f91841cb627dc33e1ac5a3bbbb40e367cc
Author: Filip Roséen <filip@atch.se>
Date:   Tue Jul 24 14:30:47 2018 +0200

    stream_extractor: archive: add archive_extractor_reset
    
    In order for us to start over, such as a failed attempt of
    dumb-seeking, we must reset the state of our extractor as if we just
    opened the file.
    
    This helper accomplishes that while also making sure that all
    associated variables are back in a proper state.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 6062e012d835e384cbfe8d1ae6ba2e2f17704815)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 42df6b34a74cc5d436f43701cd4ecb9f10a0b564
Author: Filip Roséen <filip@atch.se>
Date:   Tue Jul 24 14:28:56 2018 +0200

    stream_extractor: archive: add archive_skip_decompressed
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 732058913798092a5c23811d0c03af5dc33fe56b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 605a8c2f17b4a4375b48bd1843e772f22fc62868
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jul 24 14:16:51 2018 +0200

    demux: avi: fix regression with DVAudio (fix #20643)
    
    (cherry picked from commit d3a801d1455e776a8786f153512776c9daa819c3)

commit fbcff40d5b96999908224a6fb1ba1208c4b0dcff
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jul 23 14:57:51 2018 +0200

    Update NEWS

commit 83ed86307b02d7d7dad1cac50799455dcc089e04
Author: Filip Roséen <filip@atch.se>
Date:   Sat Jul 21 21:57:30 2018 +0200

    input: var: multiple bookmark options leading to UB
    
    The crash was due to the previous imlpementation inaccurate
    assumptions regarding the input-data, more specifically it assumed
    that only one bookmarks= option would be present (something which is
    not guaranteed to be true).
    
    These changes also fixes a premature release of the input_item_t's
    mutex.
    
    fixes: #18382
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 5a5e68c38d67cbf0fba0f7f2c17503aa2f70f3ac)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fd40560a02a81a346e9fbe755c67c794c5a2ed58
Author: Filip Roséen <filip@atch.se>
Date:   Sat Jul 21 19:00:19 2018 +0200

    input: input: always DEMUX_GET_TIME before --stop-time check
    
    In order for --stop-time to work as it is intended, we must compare
    the threshold to where the demuxer says it is. By introducing an
    explicit DEMUX_GET_TIME before said logic we have some good
    guarantees, such as:
    
     - Jumps due to --input-repeat does not result in premature EOF
       of playback because input_priv(i_time)->i_time not yet having
       received an update between the jump and our stop-check.
    
     - The --stop-time value is correct respected even if we have not yet
       reached the update threshold introduced in 7adcf5f7c6.
    
    fixes: #20833
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 1f51babddb8644d1f1db0d1438e3357eae4f7019)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 20a0fe5fdcaca5d95c4b65849e44b79cb339262b
Author: Filip Roséen <filip@atch.se>
Date:   Fri Jul 20 10:05:16 2018 +0200

    input: input: MainLoopDemux: use intermediate variable
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit bba34c6ccde75a8a0f9f6b3b148bc52868ad3537)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c014f068244ca12a33ecd0f59665d842e26218c4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jul 20 10:29:26 2018 +0200

    egl: explicitly destroy the context
    
    The eglTerminate() documentation state that any contexts and surfaces
    associated with the display are marked for deletion.
    
    But this doesn't seem to be the case on Android with a GLES2 context.
    
    (cherry picked from commit f5a766e3699f19f3a37f6331e62bdc5de0e7fd04)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit e02e60ca2bb7eeb5069856101c7aae8588798715
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   Thu May 17 17:40:37 2018 +0200

    qt: fix build against Qt 5.11
    
    Qt 5.11 is in RC phase now, and some headers need to be explicitly
    included in order to build successfully.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 39b0590165501cdeb85595a19bf076d06bcc594c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ee8c6e5d79a585a78077ef337938e02b37e6ca4c
Author: Filip Roséen <filip@atch.se>
Date:   Mon Jul 16 05:26:30 2018 +0200

    gui: qt: prevent fullscreen controller from stealing focus
    
    A widget will (per default) receive focus when it is displayed,
    something which is not ideal for our fullscreen controller (as it may
    result in VLC grabbing focus from whatever window the user is actually
    interested in at the time).
    
    fixes #8712
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit d60312d3ad4c4e27f3455b4f579999b826d3948c)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f9ed6b5ca1379feab94978fe1d3ccc46fba75e4d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jul 18 12:01:08 2018 +0200

    codec: webvtt: handle flush
    
    duplicate spu issue with demuxers not flagging discontinuity
    
    (cherry picked from commit 8ef0512052e6fa47f19db503ab9da2161c9c59f6)

commit 5217f5be871592c1ec280a161496bd5f8bbeffa3
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Jul 17 10:40:18 2018 +0200

    configure.sh: Don't force enable twolame & x264
    
    They will be enabled if the dependency is there. This fixes builds with
    configure.sh & --disable-sout
    
    (cherry picked from commit e5f06a0538a8b281f4ec3dc85d0c4cd3e61015de)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit bbfb5955e377c67485f77d3fa3babd36735e9d24
Author: Filip Roséen <filip@atch.se>
Date:   Mon Jul 16 05:19:57 2018 +0200

    demux: mkv: ESDestroy on end-of-edition
    
    fixes: #20196
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>
    (cherry picked from commit 7dfc5072f8e024cc5313d33e61c7c8996ed14b00)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 72dd08b59ac86bb546e70bb5df0f3b7e04957fe3
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Jul 15 22:13:36 2018 +0200

    macosx: Improve UI if users cancels dialogs
    
    This deletes previous output if the section is cancelled.
    
    refs #20835
    
    (cherry picked from commit 0c6b1d369a4a917cf01068465d37cd1872013873)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit eae89571c9da57f6584c6a56bb4ff300a996205c
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Jul 15 22:11:55 2018 +0200

    macosx: Fix layout issue in CAS panel
    
    Overly longs filenames are now handled correctly.
    
    refs #20835
    
    (cherry picked from commit a64f8c285103e3cb0f766b61cf532695fb7e7d2d)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit c9c020862b760b7d345586c2e9b4cb7e677e2a0e
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Thu Jul 12 19:05:10 2018 +0200

    ntservice: fix service command line truncated when using very long arguments
    
    Close #20823
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 09003c7627344ce048d5528a250186aeb387c28e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cee79263f32faed74ae855223c3cb04388221aab
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jul 11 09:53:36 2018 +0200

    live555: set dts on VP8
    
    (cherry picked from commit 68be47c991683e92b215b87c388673cbbc2f224e)

commit 4dfc8f9da5d618697409f2271108da0c6e819631
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jul 10 15:26:12 2018 +0200

    packetizer: h264: try to set dts without bframes
    
    (cherry picked from commit 2174cba9af6d66a1864c5e4f5081148f9eaef51e)

commit 707d4a657ef24a7f66cce53bb128a63d27cfbdc1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jul 12 20:19:11 2018 +0200

    demux: mp4: fix regression with disabled tracks
    
    (cherry picked from commit 7f2269f3017c163404e83a0b20be0e749daeea48)

commit 971d23216d39a40fe64c43e8ec31ad9c87ca2ffc
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Jul 12 15:47:16 2018 +0200

    preparser: fix segfault if input_Start fails
    
    PS: This function is very unlikely to fail (only if vlc_clone fails).
    (cherry picked from commit e86e9e59c2dd243fd3780f7791fba57b2ca9d65e)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 5967a6469a86f43131021d8a089e98670b952bef
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Jul 11 13:17:30 2018 +0200

    wasapi: fix passthrough with DTS WAV
    
    (cherry picked from commit 3c68e5ff1ff8da2936da1db4bd9b4e2c4c93c06b)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 4734586236df9074c08324226a6b77b829cf6ed2
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Jul 11 13:01:40 2018 +0200

    converter/tospdif: convert DTS 14bit to DTS 16bit
    
    DTS inside WAV (@44.1kHZ) use 14bits words and have a fsize of 4096 bytes for
    1024 samples. This means there is no room to put the IEC61937 header (IEC frame
    size = 4096 = fsize = 1024 samples x 4).
    
    Before this commit, we sent the IEC61937 frame without the header, this worked
    only for some receivers.
    
    This commit converts the 14bit sample to 16bit in order to have room for the
    IEC61937 header. The new fsize is 4096*14/16 = 3584, so there is room for the 8
    bytes header (plus 0 padding until 4096).
    
    (cherry picked from commit 7af9abbecb62f8b77640786a222a78ea6ee29cf2)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit ec6e03632a55b17c3ebd8bce097be277e0d93ec6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jul 10 18:37:30 2018 +0200

    packetizer/dts_header: add an helper that converts 14bit words to 16bit
    
    cf. https://wiki.multimedia.cx/index.php/DTS#14-bit_words
    
    (cherry picked from commit d701887137e647ecbb0512912b0069367c4bbb80)
    (cherry picked from commit a5359226bea6501eaef7050d703762301e618238)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit bca4a6df491a685b93dbfd2b4d0b9ccd6225dfa8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jul 10 14:24:32 2018 +0200

    directsound: fix crash when guid is NULL
    
    This happened, very rarely, when the user explicitly selected the mmdevice aout
    with the directsound backend and with a specific volume start level.
    
    Fixes CD d75ffdd0-0354-411f-9c6a-339d30c5031a
    
    (cherry picked from commit 22bc62b75bd7ad25b693461b4432230d73c80148)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 7d9ccb9b165d64a8a08d4cb4c6e49eb2b4051572
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jul 10 13:37:53 2018 +0200

    gl: add an extra check to workaround HD3000 crashes
    
    VLC 3.0 only
    
    Fixes CD 6ec2362d-e648-4a5f-a98c-e70191525173

commit 2999f776da041c77e586bfe88ed55f326ab7a412
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Jul 9 13:43:50 2018 +0200

    opengl: don't use PBO buffers before OpenGL 3.0
    
    The version was checked for persistent mapped buffers, but it's also needed for
    PBO usage.
    
    cf. comments
    
    (cherry picked from commit c1b43715870f8bb7f07a6eb76922d291e51a1951)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c9c73a55a1c86a07cd7292bc1e3f2534d0cc810e
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Jul 9 11:46:41 2018 +0200

    opengl: fix YUV packed height display
    
    Regression from 2599e2f7394972ec595b2f14d03bf0fb8f808c46
    
    Fixes #20799
    
    (cherry picked from commit 5547f0277db2333431eaf16e3269d4fbc2e1b09a)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 439f9cd22b27d1a2b9acd9e5c9ac1a209e3f247b
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Jun 29 16:07:30 2018 +0200

    demux:mkv: don't check if a track is selected if it has no ES
    
    (cherry picked from commit 01737e895f5f83eadcab6e32996324f2cc482561)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 74297b7d44a14703dc9827d2bd837da463d45421
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Jun 27 11:16:56 2018 +0200

    httpd: Fix leak in case of dubious requet headers
    
    (cherry picked from commit 80e6e93afa4001d0c3df988ecec13fdc86282cc6)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 8dd42113957a2f9a9b60c540585f64066141e631
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Jun 27 11:06:42 2018 +0200

    httpd: Fix potential out of bound write
    
    (cherry picked from commit d087a5f90abe4250ea7f3552f5031834abb689bd)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 25e9c6819c4d5b7ceefce2165f9a902b8850ba23
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Feb 23 15:18:09 2018 +0100

    qt: always enable subtitle selection menu
    
    This was incoherent with audio/video selection menus. Indeed, audio/video
    selection menus are always visible (regardless of vout/aout state).
    
    This allows users to change the spu track when using a sout (and a renderer).
    
    (cherry picked from commit be89546fd049d16360f1cf97b434ad1c70d3f5a5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a7505eeb251398575ca34944a1215ea2b84b17ac
Author: Filip Roséen <filip@atch.se>
Date:   Wed Jul 4 09:34:14 2018 +0200

    freetype: darwin: fix memory-leak
    
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>
    (cherry picked from commit 67820835539624b5e71f9407c067be846b475a51)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit a1a54308475b025016c3dff65ac10b891b0f21e5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jun 27 23:27:54 2018 +0200

    transcode: video: align scaled visible
    
    (cherry picked from commit 95e350c597e57c64db915b255ad6cd72ea03a234)

commit b22b917638064f9df66add1cf92efdcf9ae67504
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jul 2 18:19:32 2018 +0200

    Contribs: remove the quotes from the previous commit

commit cfa5869cb88375988983d1e6e01801d4ce8efa28
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jul 2 13:13:25 2018 +0200

    contrib:matroska: fix compilation optimisation issue on iOS
    
    See: https://code.videolan.org/videolan/vlc-ios/issues/248
    Manual Cherry-pick of 46d71e87ac7f09fadf8ab90d961a972e9405b63b

commit a7508244c96bceb1f9653cc50061a214065646d2
Author: Salah-Eddin Shaban <salah@videolan.org>
Date:   Wed Apr 11 09:42:46 2018 +0300

    Freetype: fix RTL
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit b50d5cac3ca6bca2695cf7d6acc84b2933ad90c8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9e44dfcc6dc465b5da75b7c375c5d7492206eb22
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Feb 9 11:25:57 2018 +0100

    text_renderer: freetype: init indices on alloc
    
    (cherry picked from commit 6335f1e34c45f1476c0f331fe3f4ccf7a380ba90)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 993c19b77d11bca20f9cc1f2e2ed86e588626909
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Feb 9 11:04:55 2018 +0100

    text_renderer: freetype: check fribidi result before using indices
    
    (cherry picked from commit e4c4962c7466c0135cb879942fa0943d02b7dbc6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 84631b050a156c8cf99f44f417d3f51129ed565c
Author: Shaleen Jain <shaleen@jain.sh>
Date:   Sun Feb 25 18:42:27 2018 +0530

    fribidi: update for version 1.0
    
    Update functions deprecated in version 1.0 when building with release 1.0 and
    above.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 26e2d3906658c30f2f88f4b1bc9630ec43bf5525)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 45c350735bbe9599fbc908a3b0ab736bd8e1a26d
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Jul 1 21:21:21 2018 +0200

    NEWS: mention delay fix

commit aaf3aa8c63c2340a3b122b19c6078b349367aa91
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Jul 1 21:15:15 2018 +0200

    macosx: Fix delay and FPS values in subsheets panel
    
    Also make them nicer and add a unit, makeing it similar to the
    syncronization panel.
    
    (cherry picked from commit 495aae003f008d0542a4f27b48fb1df3fe56d62e)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit a55e71655eec6b32c4e9f2ee96b9dae222e659b5
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Apr 16 08:56:45 2018 +0200

    videotoolbox: map ap4x to the ProRes 4444 decoder
    
    (cherry picked from commit 5df0d12659bc8a7b1332d4861580b54aa09dbe91)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8c5532d5a45271b5796f53e0f3d9d4b006270a39
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Mar 16 16:28:13 2018 +0100

    videotoolbox: h264: fix playback when slices are not tagged
    
    Cf. 497efd3dafb94d6d7eece88955218813883e2ae4
    
    We can't do that for HEVC (since it may cause iOS crashes) but there was no
    report of keyframes issues with H264.
    
    Fixes #19967
    
    (cherry picked from commit bc1ee3dbc4d50602485254f9f6e9ed2bdad54fbf)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7c642456f5dc819528ba0a6886532e354bc0b81a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 29 17:56:12 2018 +0200

    contrib: fix C/XXFLAGS overriding missing the $(PIC) flags
    
    (cherry picked from commit 106a02ddd45cc7e24a23fe186f871ecbfbaba31c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9273d0fd0b21814f1511dc19401b6932f54a62f2
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 17 12:35:08 2018 +0200

    contrib: matroska: fix passing flags to to compiler
    
    Given it wasn't use maybe it's not needed anymore with the switch to cmake.
    
    (cherry picked from commit fb607e31d866362bfd9081ed85e35f26802dce00)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ce3bb8755cec6e3b35d540e206686cadc7e90fb1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jun 29 14:43:20 2018 +0200

    lpcm: prepare dec->fmt_out
    
    In order to set i_bytes_per_frame and i_frame_length.
    
    Fixes #20753
    
    (cherry picked from commit f9b1f67b4a1c99068a1a6cf770c4b144be2cb63f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c0ad9d38b82b9e09ebc56e8d36e56e4a3cd00b4a
Author: Alexandre Janniaux <alexandre.janniaux@gmail.com>
Date:   Wed Jun 27 15:22:28 2018 +0200

    input: add .mts%d extra file recognition pattern
    
    Some set top boxes are recording videos with first a .mts then .mts$ID
    filenames. Bind the pattern to concat access module.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 44b17440047cdbc0bb895c47238d1eb0945b3247)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4606efc7c6208d9e92f27ecce210a5dda9dcbb8f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jun 27 22:48:46 2018 +0300

    configure: disable Wayland by default
    
    This was not ready when 3.0 was branched. Better use VLC on Xwayland.

commit 5b826919d0fe64b0fd86fae1273ac5b617cdd849
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jun 27 19:33:10 2018 +0300

    httpd: fix parsing hostname variable
    
    The variable is a hostname / address, not an URL.
    
    (cherry picked from commit 8e1fcb90815408e5eab7dc269c8acdfc578ebaa9)
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 050f12cf3f52dc8a5203528347729ebb6f1a0ecd
Author: Salah-Eddin Shaban <salah@videolan.org>
Date:   Mon May 28 11:20:58 2018 +0300

    Freetype: fix calculation of max advance
    
    Some fonts like Sakkal Majalla have a large max_advance_width, apparently due to some glyphs that are rarely if ever used. This was causing "Invalid max width" errors for text that did fit the available width.
    
    So the calculation of max advance has been modified to take into account only the glyphs we are actually rendering.
    
    Fixes #20102
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit c47d0c4df2d3735cdf4bb4abc812a2c6befdb523)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5dc2069428f5f33479ef29a305300e57a015b98d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jun 26 23:06:51 2018 +0200

    input: vlm: fix 'now' date scheduling
    
    Since the times have moved from mtime_t to time_t,
    both lastcheck and now have same value over
    the two successive calls.
    It is then never scheduled, or only on next
    condsignal or wall clock scheduled command.
    
    (cherry picked from commit 7655b6cc2ae55b8d2505b3869e72e16cd6a69425)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e843b313d039170c27143d6754dbb5eb3b3e6697
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Jun 25 23:54:20 2018 +0200

    freetype: darwin: Fix heap buffer overflow
    
    The old getCStringCopyForCFStringRef function had a flaw that would
    cause a heap-buffer overflow if the CFString easy obtaining of the
    pointer fails and the string contains characters that need more than
    one byte.
    
    To fix this, remove the old getCStringCopyForCFStringRef and use the
    recently added CFStringCopyUTF8CString instead, and generalized it to
    work with any encoding. Additionally add a check for the malloc
    result to prevent passing NULL to CFStringGetCString.
    
    Fix #20721
    
    (cherry picked from commit e89663939f86bbb4d914060f87f2c129714b2416)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 618252caea1641e2b86315514900f143d23e090e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jun 4 17:33:32 2018 +0200

    access: sftp: add ecdsa key matching for known_hosts
    
    (cherry picked from commit afee1e72a8e08866bbe35d1a57e859cac81052b4)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 141fccdb7d26574ccf58e4cf139024eda678a4a1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jun 8 15:59:47 2018 +0200

    demux: avi: point directly to next parent chunk on empty
    
    refs #9056 #8413
    ch01-20130719054942.avi
    REC000.avi
    MOVI0000.AVI
    
    (cherry picked from commit ba61c94a423e4248361f28de1262c85b9085d73a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c60e89a838c9ab18c4b4ccfebdbf9a6b65889b98
Author: Jeremy Vignelles <jeremy.vignelles@dev3i.fr>
Date:   Thu May 24 17:25:39 2018 +0200

    demux: ts: fixed duration probing
    
    Symptoms: I have a recorded .ts file that is around 15 seconds long for
    testing.
    VLC can play the stream fine, but the displayed duration is 10s.
    When VLC reaches the end of the file, it seems to realize that there is
    more data and increases the duration as the file plays.
    
    Digging into ProbeEnd:
    I digged into the code and found the ProbeEnd method.
    It calls ProbeChunk, with output args (the pcr and a found boolean).
    
    If pcr == -1, the previous chunk is taken, until PROBE_MAX is reached.
    
    However, the i_pcr received from the ProbeChunk method is the pcr of the
    last packet, and not the pcr of the last packet with a pcr.
    It means that most of the time, the pcr is -1 and the previous chunk is
    read, even though b_found is true.
    
    What's the use of that condition? I removed it, please correct me if I'm
    wrong.
    
    The ProbeStart has the same suspicious condition, so I removed it too. I
    also saw the suspicious `i_pos > 0` which is always false at the first
    iteration.
    
